<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<div id="wrapGrid" class="u-border" style="display:none;">
<table class="mainTable minWidthTableX" border="0" cellspacing="0" cellpadding="0" height="100%" style="display:;border-top:none;background-color:#e0e2e5">
	<tr>
		<td style="border:none;padding:1px;width:25%" nowrap><fieldset style="min-height:8em;height:auto;">
			<legend><fmt:message key="fcm.alert.result.txt"/></legend>
			<table width="100%" border="0" cellspacing="0" cellpadding="0" style="padding-right:3px;">
				<tr>
					<td style="padding:0px;">
						<fmt:message key="fcm.alert.assessment.txt"/>: <br/>
						<select name="callResult" id="callResult" class="famSelect" onChange="handleCallResult(this.selectedIndex);" style="width:25em;">
						</select>
					</td>
				</tr>
				<tr>
					<td style="padding:0px;">
						<span style="display:none;" id="QCR_REROUTE_QUEUES">
							<fmt:message key="fcm.alert.queue.txt"/>: <br>
							<select name="rerouteToQueue" id="rerouteToQueue" class="famSelect" style="width:25em;margin-top:2px;">
								<option value="" selected><fmt:message key="fcm.alert.selectQueue.txt"/></option>
							</select>
							<br/><br/>
						</span>

						<span style="display:none;" id="QCR_RESURFACE_TIMESTAMP">
							<fmt:message key="fcm.alert.resurfaceWhen.txt"/>:<br>
							<input type="text" id="calTarget1" name="resurfaceStr" class="famTextEntry" size="25" readonly style="vertical-align:middle">
							<a href="#" id="calAnchor1" data="${esapi:encodeForHTMLAttribute(rescheduleCalendarDays)}"><img src="analyst/images/calendarIcon.gif" id="calendarImg" class="icon" width="16" height="15"/></a>
						</span>

						<span style="display:none;" id="QCR_FRAUD_TYPES">
							<fmt:message key="fcm.alert.reasonCode.txt"/>: <br>
							<select id="fraudType" name="fraudType" class="famSelect" style="width:25em;margin-top:2px;">
								<option value="" selected><fmt:message key="fcm.alert.selectReasonCode.txt"/></option>
							</select>
						</span>
					</td>
				</tr>
			</table>
			</fieldset>
		</td>

<%-- S1314727: Alert memo field does not wrap -- remove td's nowrap attribute which the memo textarea inherited --%>
		<td style="border:0px;padding:1px;"><fieldset style="min-height:8em;padding-right:6px;">
			<legend><fmt:message key="fcm.alert.memo.txt"/></legend>
			<table border="0" cellspacing="0" cellpadding="0" width="100%">
				<tr>
					<td style="text-align:right;padding:1px;">&nbsp;
						<c:if test="${not empty displayEntity.currentAlert.predefinedMemos}">
							<fmt:message key="fcm.alert.template.txt"/>:
							<select name="memoTemplateID" class="famSelect" onChange="handleMemos(this.selectedIndex);">
								<option value=""></option>
								<script>
									document.write(_memoOpts.join(' '));
									_memoOpts = undefined;
								</script>
							</select>
						</c:if>
					</td>
				</tr>
				<tr>
					<td style="padding:1px;">
					<textarea name="memoText" class="famTextEntry" rows="3" maxlength="450" wrap="soft" onKeyDown="limitChars(this,450);" onKeyUp="limitChars(this,450,true);"></textarea>
					</td>
				</tr>
			</table>
			</fieldset>
		</td>
	</tr>
	<tr>
		<td nowrap style="border:none;padding:1px;"><fieldset style="min-height:8.2em;">
			<legend><fmt:message key="fcm.alert.action.txt"/></legend>
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td style="border:none"><input type="checkbox" name="msgHomePhoneFlag" id="msgAtHome" value="true" style="vertical-align:middle"/><label for="msgAtHome"><fmt:message key="fcm.alert.msgHome.txt"/></label></td>
					<td style="border:none">
						<input type="checkbox" name="sendLetterFlag" id="sendLetter" value="true" style="vertical-align:middle" disabled="disabled" /><label for="sendLetter" id="sendLetterLabel" style="margin-right:2px" disabled="disabled"><fmt:message key="fcm.alert.sendLetter.txt"/></label>
						<c:choose>
							<c:when test="${enableTemplates=='true'}">
								<a id="letterAnchor"><img id="letterImg" src="analyst/images/altAddressDisabled.gif" class="icon" width="16" height="16"/></a></td>
								<c:if test="${not empty displayEntity.currentAlert.letterTemplates}">
									<script>enableSendLetter();</script>
								</c:if>
							</c:when>
							<c:otherwise>
								<img id="letterImg" src="analyst/images/altAddressDisabled.gif" class="icon" /></td>
								<script>enableLetterSent();</script>
							</c:otherwise>
						</c:choose>
				</tr>
				<tr>
					<td style="border:none"><input type="checkbox" name="msgWorkPhoneFlag" id="msgAtWork" value="true" style="vertical-align:middle"/><label for="msgAtWork"><fmt:message key="fcm.alert.msgWork.txt"/></label></td>
					<td style="border:none" nowrap><input type="checkbox" name="sendEmailFlag" id="sendEmail" value="true" style="vertical-align:middle" disabled="disabled" /><label for="sendEmail" id="sendEmailLabel" disabled="disabled"><fmt:message key="fcm.alert.sendEmail.txt"/></label>
					<c:choose>
						<c:when test="${enableTemplates=='true'}">
							<a id="emailAnchor"><img id="emailImg" src="analyst/images/emailDisabled.gif" class="icon" width="16" height="16"/></a></td>
							<%-- Per Ian & Lisa request: removed the check for contactDetails.email --%>
							<c:if test="${not empty displayEntity.currentAlert.emailTemplates}">
								<script>enableSendEmail();</script>
							</c:if>
						</c:when>
						<c:otherwise>
								<img id="emailImg" src="analyst/images/emailDisabled.gif" class="icon" width="16" height="16"/></td>
								<script>enableEmailSent();</script>
						</c:otherwise>
					</c:choose>
				</tr>
				<tr>
					<td style="border:none;" nowrap><input type="checkbox" name="msgMobilePhoneFlag" id="msgOnMobile" value="true" style="vertical-align:middle"/><label for="msgOnMobile"><fmt:message key="fcm.alert.msgMobile.txt"/></label>&nbsp; &nbsp; &nbsp; &nbsp; </td>
					<td style="border:none"><input type="checkbox" name="sendSmsFlag" id="sendSms" value="true" style="vertical-align:middle" disabled="disabled"/><label for="sendSms" id="sendSmsLabel" disabled="disabled"><fmt:message key="fcm.alert.sendSms.txt"/></label>

					<c:choose>
						<c:when test="${enableTemplates=='true'}">
							<a id="smsAnchor"><img id="smsImg" src="analyst/images/smsDisabled.gif" class="icon" width="16" height="16"/></a></td>
							<c:if test="${not empty displayEntity.currentAlert.smsTemplates }">
								<script>enableSendSms();</script>
							</c:if>
						</c:when>
						<c:otherwise>
							<img id="smsImg" src="analyst/images/smsDisabled.gif" class="icon" width="16" height="16"/></td>
							<script>enableSmsSent();</script>
						</c:otherwise>
					</c:choose>

					</td>
				</tr>
				<tr>
					<td style="border:none;" nowrap><input type="checkbox" name="invalidContactDetails" id="invalidContactDetails" value="true" style="vertical-align:middle"/><label for="invalidContactDetails"><fmt:message key="fcm.alert.invalidContactDetails.txt"/></label>&nbsp; &nbsp; &nbsp;</td>
					<td style="border:none;" nowrap><input type="checkbox" name="sendSecureMessage" id="msgSecure" value="true" style="vertical-align:middle"/><label for="msgSecure"><fmt:message key="fcm.alert.sendSecureMsg.txt"/></label>&nbsp; &nbsp; &nbsp; </td>
				</tr>
			</table>
			</fieldset>
		</td>
		<td style="border:none;">
			<table border="0" width="100%" cellspacing="0" cellpadding="0" height="100%" style="padding:0px">
				<tr>
<%--
				<c:choose>
				<c:when test="${enableClientControlGroups}">
					<td style="display:; border:none;padding:1px;vertical-align:middle"><fieldset style="min-height:12.2em;">
						<legend><fmt:message key="fcm.alert.independentControls.txt"/></legend>
						<table border="0" cellspacing="4" cellpadding="0" style="margin:6px 3px 3px 6px" >
							<tr>
								<td style="border:none;" nowrap>
									<select multiple  style="min-height:12em;min-width:25em">
										<optgroup label="Block">
										<option>Y Card Block</option>
										<option>Q Card Block</option>
										<option>Z Acct Block</option>
										</optgroup>
										<optgroup label="Unblock">
										<option>Clear Card Block</option>
										<option>Clear Acct Block</option>
										</optgroup>
										<optgroup label="Non-Mon">
										<option>Do something a</option>
										<option>Do something b</option>
										<option>Do something c</option>
										</optgroup>
									</select>
								</td>
							</tr>
						</table>
						</fieldset>
					</td>
				</c:when>
				<c:otherwise>

				</c:otherwise>
				</c:choose>
--%>
					<td style="border:none;padding:1px;vertical-align:middle"><fieldset style="min-height:8.2em;">
						<legend><fmt:message key="fcm.alert.block.txt"/></legend>
						<table border="0" cellspacing="4" cellpadding="0" style="margin:6px 3px 3px 6px" >
							<tr>
								<td style="border:none;"><fmt:message key="fcm.alert.system.txt"/>:</td>
								<td style="border:none;" nowrap>
									<div id="systemBlockDIV">
										<fmt:message key="fcm.alert.na.txt"/>
									</div>
								</td>
							</tr>
							<c:if test="${enableSystemBlockDate=='true'}">
							<tr style="display:none;align:left;vertical-align:middle" id="systemBlockDateDIV">
								<td style="border:none;">
								</td>
								<td style="border:none;" nowrap>
									<fmt:message key="fcm.alert.until.txt"/>:
									<input type="text" id="calTarget3" name="systemBlockUntilStr" class="famTextEntry" size="25" readonly>
									<script>document.forms['alertForm'].systemBlockUntilStr.value=DateUtil.formatDateTime(DateUtil.parseDateTime('<fmt:formatDate value="${systemBlockDate}" pattern="yyyy/M/d HH:mm" timeZone="${userTimeZone}"/>','yyyy/M/d HH:mm'));</script>
									<a href="#" id="calAnchor3" data="${esapi:encodeForHTMLAttribute(maxSystemBlockDays)}">
									<img src="analyst/images/calendarIcon.gif" id="calendarImg3" width="16" height="15"/>
									</a>
								</td>
							</tr>
							</c:if>

							<tr>
								<td style="border:none;"><fmt:message key="fcm.alert.transaction.txt"/>:</td>
								<td style="border:none;" nowrap>
									<div id="transactionBlockDIV">
											<fmt:message key="fcm.alert.na.txt"/>
									</div>
								</td>
							</tr>
							<c:if test="${enableTransactionBlockDate=='true'}">
							<tr style="display:none;align:left;" id="transactionBlockDateDIV">
								<td style="border:none;">
								</td>
								<td style="border:none;" nowrap>
									<fmt:message key="fcm.alert.until.txt"/>:
									<input type="text" id="calTarget4" name="transactionBlockUntilStr" class="famTextEntry" size="25" readonly>
									<script>document.forms['alertForm'].transactionBlockUntilStr.value=DateUtil.formatDateTime(DateUtil.parseDateTime('<fmt:formatDate value="${transactionBlockDate}" pattern="yyyy/M/d HH:mm" timeZone="${userTimeZone}"/>','yyyy/M/d HH:mm'));</script>
									<a href="#" id="calAnchor4" data="${esapi:encodeForHTMLAttribute(maxTransactionBlockDays)}"><img src="analyst/images/calendarIcon.gif" id="calendarImg4" width="16" height="15"/></a>
								</td>
							</tr>
							</c:if>
						</table>
						</fieldset>
					</td>

					<td align="center" style=""><fieldset style="min-width:8em;min-height:8.2em;text-align:center;vertical-align:bottom;padding:30px 6px 0px 6px;">

						<input type="hidden" id="nextAlertID" name="nextAlertID" value=""/>
						<input type="hidden" id="afterSaveOption" name="afterSaveOption" value="STAY"/>
						<c:choose>
						<c:when test="${serviceMode=='outboundMode'}">
							<input type="hidden" name="method" value="wrapupOutbound">
						</c:when>
						<c:otherwise>
							<input type="hidden" name="method" value="wrapupInbound">
						</c:otherwise>
						</c:choose>

						<c:if test="${enableAlertUpdate}">
						<button class="sapMBtn" id="save" type="button">
							<div class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnPaddingLeft sapMBtnPaddingRight sapMFocusable">
								<span class="sapMBtnContent"><fmt:message key="fcm.alert.update.txt"/></span>
							</div>
						</button>
						<span style="display:none;">
							<br clear="left">
							<button class="sapMBtn" id="saveNext" type="button" disabled="true">
								<div class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnPaddingLeft sapMBtnPaddingRight sapMFocusable">
									<span class="sapMBtnContent"><fmt:message key='fcm.alert.nextAlert.txt'/></span>
								</div>
							</button>
						</span>

						<span style="display:none;">
							<br clear="left">
							<button class="sapMBtn" id="saveFinish" type="button" disabled="true">
								<div class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnPaddingLeft sapMBtnPaddingRight sapMFocusable">
									<span class="sapMBtnContent"><fmt:message key="fcm.alert.returnToSummary.txt"/></span>
								</div>
							</button>
						</span>
						</c:if>

						<c:if test="${not enableAlertUpdate}">
						<span style="display:none;">
							<br clear="left">
							<button class="sapMBtn" id="saveNext" type="button" disabled="true">
								<div class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnPaddingLeft sapMBtnPaddingRight sapMFocusable">
									<span class="sapMBtnContent"><fmt:message key='fcm.alert.saveNext.txt'/></span>
								</div>
							</button>
						</span>

						<span style="display:none;">
							<br clear="left">
							<button class="sapMBtn" id="saveFinish" type="button" disabled="true">
								<div class="sapMBtnDefault sapMBtnHoverable sapMBtnInner sapMBtnPaddingLeft sapMBtnPaddingRight sapMFocusable">
									<span class="sapMBtnContent"><fmt:message key="fcm.alert.saveFinish.txt"/></span>
								</div>
							</button>
						</span>
						</c:if>

						</fieldset>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</div>

<div id="calDiv1"  style="position:absolute;visibility:hidden;background-color:white;z-index:99"></div>
<div id="calDiv2"  style="position:absolute;visibility:hidden;background-color:white;z-index:99"></div>
<div id="calDiv3"  style="position:absolute;visibility:hidden;background-color:white;z-index:99"></div>
<div id="calDiv4"  style="position:absolute;visibility:hidden;background-color:white;z-index:99"></div>

<%-- since navigation panel may not be there, we should check current alert's service state --%>
<c:set var="entity" value="${displayEntity.currentAlert}"/>
<c:set var="alertStatus" value="${entity.alertStatus}"/>
<c:set var="checkoutUser" value="${entity.checkoutUser}"/>
<c:set var="lastCallResult" value="${entity.lastCallResult}"/>
<c:set var="alertServiceable" value="${not sfmfn:isFutureTime(entity.nextServiceTimestamp)}"/>

<c:choose>
	<c:when test="${alertStatus eq 'CHECKOUT' and checkoutUser ne username}"><c:set var="serviceState" value="0"/></c:when>
	<c:when test="${alertStatus eq 'ACTIVE' and not empty entity.suspendUser}"><c:set var="serviceState" value="0"/></c:when>
	<c:when test="${(alertStatus eq 'ACTIVE' or alertStatus eq 'CHECKOUT') and (alertServiceable or empty lastCallResult)}"><c:set var="serviceState" value="1"/></c:when>
	<c:when test="${(alertStatus eq 'ACTIVE' or alertStatus eq 'CHECKOUT')}"><c:set var="serviceState" value="2"/></c:when>
	<c:otherwise><c:set var="serviceState" value="0"/></c:otherwise>
</c:choose>

<script language="JavaScript">

/* ****** use buttons ****** */

$(document).ready(function(){

	$("#save").click(function () {
		if (!$mainForm.isDirty())
		{
			alert ($i18n("fcm.alert.js.doSave.update.noData.txt"));
			return;
		}

		$mainForm[0].dirty.value = true;

		$('#afterSaveOption').val('STAY');

		//assessment is optional
		doSave(true);
	});

<c:if test="${enableAlertUpdate}">
	// enable/disable save buttons
	$("#callResult").change(function () {
		var state = (this.selectedIndex == 0) && ${serviceState eq 1};
		$("#saveNext, #saveFinish").attr("disabled", state);
	}).change();

	$("#saveNext").click(function () {
		$mainForm[0].dirty.value = $mainForm.isDirty();

		// set next alert based on the list order
		var nextAlert = $("#entitiesGrid tr[checkoutable='1'],[checkoutable='3'],[checkoutable='5']").filter("[alertID!='${displayEntity.currentAlert.id}']").first();
		if (nextAlert.length == 0)
			nextAlert = $("#entitiesGrid tr[serviceState='1'][alertID!='${displayEntity.currentAlert.id}']").first()
		if (nextAlert.length == 1)
			$("#nextAlertID").val(nextAlert.attr("alertID"));

		$('#afterSaveOption').val('CONTINUE');

		var optional = ${serviceState eq 2};
		doSave(optional);
	});

	$("#saveFinish").click(function () {
		$mainForm[0].dirty.value = $mainForm.isDirty();

		$('#afterSaveOption').val('FINISH');

		var optional = ${serviceState eq 2};
		doSave(optional);
	});

	if ($("#entitiesGrid").length == 0 || ($("#entitiesGrid tr[serviceState='1']").length <= 1 && $("#entitiesGrid tr[checkoutable='1'],[checkoutable='3'],[checkoutable='5']").length <= 1) )
	{
		<c:if test="${serviceMode=='outboundMode'}">
			$("#saveNext").parent().show();
		</c:if>
		<c:if test="${serviceMode!='outboundMode'}">
			$("#saveNext").parent().hide();
		</c:if>

		//hide if the last to be serviced is not the current alert
		var $row = $("#entitiesGrid tr[serviceState='1']");
		if ($row.length==1 && $row.attr("alertID") != ${displayEntity.currentAlert.id})
			$("#saveFinish").parent().hide();
		else
			$("#saveFinish").parent().show();
	}
	else if ($("#entitiesGrid").length > 0 && ($("#entitiesGrid tr[serviceState='1']").length + $("#entitiesGrid tr[checkoutable='1'],[checkoutable='3'],[checkoutable='5']").length) > 1 )
	{
		$("#saveNext").parent().show();
		$("#saveFinish").parent().hide();
	}
</c:if>


<c:if test="${not enableAlertUpdate}">

	// enable/disable save buttons
	$("#callResult").change(function () {
		$("#saveNext, #saveFinish").attr("disabled", (this.selectedIndex == 0));
	}).change();

	<c:if test="${serviceMode=='outboundMode'}">
		$("#saveNext").click(function () {
			$mainForm[0].dirty.value = $mainForm.isDirty();

			// go to next alert from  priority/direct servicing
			$('#afterSaveOption').val('CONTINUE');

			// assessment is required
			doSave(false);
		});
		$("#saveNext").parent().show();
	</c:if>

	$("#saveFinish").click(function () {
		$mainForm[0].dirty.value = $mainForm.isDirty();

		$('#afterSaveOption').val('FINISH');

		// assessment is required
		doSave(false);
	});
	$("#saveFinish").parent().show();
</c:if>

	 $("#debugInfo").append(": -${enableAlertUpdate}-");

});

</script>

