<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<SCRIPT language="JavaScript" src="rules/scripts/rules.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/dynamicRows.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/itemPriorityList.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/autoSizing.js"></SCRIPT>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/console.js"></SCRIPT>
<SCRIPT language="JavaScript" src="admin/scripts/preference.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/properties.js"></SCRIPT>


<%-- This jsp is used to display and update AGS properties --%>


<SCRIPT language="JavaScript">
<!--
	var doSaveAction = function () {
		document.propertyForm.submit('return submitPropertyForm();');
	}
//-->
</SCRIPT>

  <%-- Start scrollable area --%>
  <div id="consoleTabScrollableDiv" class="consoleTabScrollableClass">

  <%-- Title --%>
  <table style="width:98%;float:left;" border=0>
    <tr>
      <td nowrap>
        <h4><fmt:message key='fcm.preferences.consoleConfigurationProperties.txt'/></h4>
      </td>
      <td width="90%">
         <%-- Error handling code --%>
         <div onclick="this.innerHTML='<br>'" style="float:left;">
           <c:url var="reloadURL" value="/r_console.do?method=viewProperties&type=${esapi:encodeForURL(propertyType)}" />
           <tiles:insert page="rulesSystemMessages.jsp" flush="true">
             <tiles:put name="reloadURL" value="${reloadURL}" />
             <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
             <tiles:put name="objectTypeName" value="Property" />
           </tiles:insert>
         </div>
      </td>
  </tr>
  </table>


  <%-- Form for property values --%>
  <form name="propertyForm" action='<c:url value="/r_console.do?method=saveProperties"/>' method="post">

  <input type="hidden" name="method" value="saveProperties">
  <input type="hidden" name="type" value="${propertyType}">
  <input type="hidden" name="dataSource" value="${dataSource}">


  <%-- Table to display properties --%>
  <TABLE class="mainTable" id="hbarTable" style="margin:5px 0px 5px 0px;width:98%;" border="0" cellspacing="0" cellpadding="0">

    <THEAD>
      <TR class="tableColumnHeaderRow" style="color:#353535;">
        <TH width="4%" rowspan='2' class="centeredTableHeader" title="<fmt:message key='fcm.preferences.content.count.header.title'/>"><fmt:message key='fcm.preferences.content.count.header.title'/></TH>
        <TH width="20%" rowspan='2' class="centeredTableHeader" title="<fmt:message key='fcm.preferences.property.name.header.title'/>"><a href="javascript:sortProperties('hbarTable',0)">&nbsp;<fmt:message key='fcm.preferences.property.name.header.title'/></a></TH>
        <%-- <TH width="10%" rowspan='2' class="centeredTableHeader"  title="<fmt:message key='fcm.preferences.property.subtype.name.txt'/>"><c:if test="${dataSource=='MEH'}"><a href="javascript:sortProperties('hbarTable',1)"></c:if>&nbsp;<fmt:message key='fcm.preferences.property.subtype.name.txt'/><c:if test="${dataSource=='MEH'}"></a></c:if></TH> --%>
        <TH width="30%" rowspan='2' class="centeredTableHeader"  title="<fmt:message key='fcm.preferences.property.value.header.title'/>"       >&nbsp;<fmt:message key='fcm.preferences.property.value.header.title'/></TH>
        <TH width="15%" rowspan='2' class="centeredTableHeader" title="<fmt:message key='fcm.preferences.property.label.header.title'/>"><fmt:message key='fcm.preferences.property.label.header.title'/></TH>
        <TH width="30%" rowspan='2' class="centeredTableHeader"  title="<fmt:message key='fcm.preferences.property.description.header.title'/>" >&nbsp;<fmt:message key='fcm.preferences.property.description.header.title'/></TH>
      </TR>
    </THEAD>

    <TBODY>
      <c:forEach var="property" items="${properties}" varStatus="status">
        <TR class="dataRow${status.count%2+1}_tableRow" class="configurationTableDataRow" valign="top">
          <TD style="text-align:center;border-style:solid;border-color:#c6cad0;border-width:0px 1px 0px 0px;">${status.count}</td>
          <TD>${property.name}</td>
<%--           <TD>${property.subTypeLabel} --%><!-- </td> -->
          	<input type='hidden' name='subType' value='${property.subType}'<c:if test="${property.editable==false}"> disabled="disabled"</c:if>>
          	<input type='hidden' name='subTypeLabel' value='${property.subTypeLabel}'<c:if test="${property.editable==false}"> disabled="disabled"</c:if>>
          <TD>
             <input type='hidden' name='name' value='${property.name}' <c:if test="${property.editable==false}"> disabled="disabled"</c:if>>
             <input type='hidden' name='version' value='${property.version}' <c:if test="${property.editable==false}"> disabled="disabled"</c:if>>
             <textarea class="famTextEntry" name="value" xstyle="height:100%;" rows="4" wrap="PHYSICAL" onKeyDown="limitChars(this,1020);" onKeyUp="limitChars(this,1020,true);"
             <c:if test="${property.editable==false}"> disabled="disabled"</c:if>>${fn:escapeXml(property.value)}</textarea>&nbsp;&nbsp;
          </TD>
          <TD>${property.label} </td>
          <TD>${property.description}</td>
        </TR>
      </c:forEach>
     </TBODY>

  </TABLE>


  </form>

  </div>
