<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<SCRIPT language="JavaScript" src="rules/scripts/rules.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/dynamicRows.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/itemPriorityList.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/autoSizing.js"></SCRIPT>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/console.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/consoleMonitorColumnHider.js"></SCRIPT>


<style type="text/css">
#hbarTable th,
#hbarTable td,
#hbarTable span {
	font-size:0.6rem;
}
</style>

<%-- This jsp is used to display monitoring stats and to re-acquire them periodically via an iframe. --%>
<%-- In "parent" mode, it displays the report.  In "child" mode (in the iframe), it just gets stats. --%>

<SCRIPT language="JavaScript">
//<!--
	consoleTabOnLoadHandler();
   <%-- Both parent and child capture the stats they were passed in a javascript array --%>
   var label = "${fn:replace(label,QUOT,ESCQUOT)}";
   var label = "${label}";
   <c:if test='${isJOSE==true || param.type=="AGS"}'>
     <c:url var="parentURL" value="/r_consoleActivity.do?method=monPerf&type=${esapi:encodeForURL(type)}&serverHost=${esapi:encodeForURL(serverHost)}&child=no"/>
     <c:url var="childURL"  value="/r_consoleActivity.do?method=monPerf&type=${esapi:encodeForURL(type)}&serverHost=${esapi:encodeForURL(serverHost)}&child=yes"/>
   </c:if>
   <c:if test='${isJOSE==false && param.type=="OSE"}'>
     <c:url var="parentURL" value="/r_consoleActivity.do?method=monPerf&type=${esapi:encodeForURL(type)}&child=no"/>
     <c:url var="childURL"  value="/r_consoleActivity.do?method=monPerf&type=${esapi:encodeForURL(type)}&child=yes"/>
   </c:if>
   var parentURL = "${parentURL}";
   var childURL  = "${childURL}";
   var recordingGuid = "${esapi:encodeForURL(recordingGuid)}";
   var previousRecordingGuid;
   var webappDateFormat = "${webappDateFormat}";
   var rowTime = "${oldRowTime}";

   var paramType = "${param.type}";

   var newJoseStats = null;

   <c:if test="${not empty newJOSEStats}">
     newJoseStats = new Array();
     <c:forEach var="js" items="${newJOSEStats}" varStatus="status">
   	   newJoseStats[${status.index}] = "${js}";
     </c:forEach>
   </c:if>

   // Capture the stats that just arrived in arrays
   var oldStats = new Array();
   // One set of server stats
   <c:forEach var="s" items="${server}">
     oldStats["${s.key}"] = "${s.value}";
   </c:forEach>

   <c:set var="tod" value="${server.tod}"/>
   var tod = new Date(<%= (pageContext.getAttribute("tod")==null ? "" : Long.toString(((java.util.Date) pageContext.getAttribute("tod")).getTime())) %>);
   // Many sets of processor stats (one per processor)
   var processor;
   var processorCount = 0;
   <c:forEach var="p" items="${processors}" varStatus="status">
      processor = new Array();
      <c:forEach var="s" items="${p}">
         processor["${s.key}"] = "${s.value}";
      </c:forEach>
      oldStats["processor" + processorCount++] = processor;
   </c:forEach>
   oldStats["errorMsg"] = "${error}";

    // Placeholder for when the engine is down
    function rulesTabOnLoadHandler()
    {
    }

   var cookieRetentionPeriod = new Date();
   cookieRetentionPeriod.setDate(cookieRetentionPeriod.getDate()+365);

//-->
</SCRIPT>






<c:choose>

<c:when test="${param.child == 'yes'}">

  <%-- The child frame just calls a method in the parent to create a new row --%>
  <SCRIPT language="JavaScript">
  //<!--

    // If initial call, sleep a moment so the first bar is more likely to have something to show
    if (window.location.search.indexOf("initialLoad"))
       setTimeout("parent.addRow(oldStats,tod,newJoseStats,paramType,rowTime)", 1000);
    else
       parent.addRow(oldStats,tod,newJoseStats,paramType,rowTime);
  //-->
  </SCRIPT>

</c:when>


<c:otherwise>

   <%-- The parent formats out an empty hbar chart header which is filled in incrementally by addRow() calls from the child --%>
   <SCRIPT language="JavaScript">
   //<!--
      // Load up bar slice names
      var barNames = new Array();
      var i = 0;
      <c:forEach var="barName" items="${barNames}">
         barNames[i++] = "${barName}";
      </c:forEach>
      var sliceCount = barNames.length;

      // Load up bar slice titles
      var barTitles = new Array();
      var i = 0;
      <c:forEach var="barName" items="${barNames}">
         barTitles[i++] = "<fmt:message key='console.monitor.pipeline.${barName}.label.txt'/> (<fmt:message key='console.monitor.pipeline.${barName}.desc.txt'/>)";
      </c:forEach>

      // Load up counters
      var counterNames = new Array();
      i = 0;
      <c:forEach var="counterName" items="${counterNames}">
         counterNames[i++] = "${counterName}";
      </c:forEach>

      // Load up rate pairs
      var rateNames = new Array();
      i = 0;
      <c:forEach var="rateName" items="${rateNames}">
         rateNames[i++] = "${rateName}";
      </c:forEach>

      // Load up gauges
      var gaugeNames = new Array();
      i = 0;
      <c:forEach var="gaugeName" items="${gaugeNames}">
         gaugeNames[i++] = "${gaugeName}";
      </c:forEach>

      // Load up configuration values (slowly changing so only appear a top of page)
      var configNames = new Array();
      i = 0;
      <c:forEach var="configName" items="${configNames}">
         configNames[i++] = "${configName}";
      </c:forEach>

      // Also create a list of colors to use in bar slices (different lists based on how many slices are in the bar)
      var colors = new Array();
      i = 0;
      <c:choose>
      <c:when test="${barNamesCount==5}">
        <c:set var="colors">navy,blue,blueviolet,mediumvioletred,forestgreen</c:set>
      </c:when>
      <c:when test="${barNamesCount==6}">
        <c:set var="colors">navy,blue,blueviolet,mediumvioletred,forestgreen,darkgreen</c:set>
      </c:when>
      <c:when test="${barNamesCount==7}">
        <c:set var="colors">navy,blue,blueviolet,purple,mediumvioletred,forestgreen,darkgreen</c:set>
      </c:when>
      <c:when test="${barNamesCount==8}">
        <c:set var="colors">navy,blue,blueviolet,purple,mediumvioletred,mediumseagreen,forestgreen,darkgreen</c:set>
      </c:when>
      <c:when test="${barNamesCount==9}">
        <c:set var="colors">navy,blue,dodgerblue,blueviolet,purple,mediumvioletred,mediumseagreen,forestgreen,darkgreen</c:set>
      </c:when>
      <c:when test="${barNamesCount==10}">
        <c:set var="colors">navy,blue,dodgerblue,blueviolet,purple,mediumvioletred,mediumseagreen,forestgreen,darkgreen,teal</c:set>
      </c:when>
      <c:when test="${barNamesCount==11}">
        <c:set var="colors">navy,blue,dodgerblue,blueviolet,purple,mediumvioletred,crimson,mediumseagreen,forestgreen,darkgreen,teal</c:set>
      </c:when>
      <c:when test="${barNamesCount==12}">
        <c:set var="colors">navy,blue,dodgerblue,blueviolet,purple,mediumvioletred,crimson,orangered,mediumseagreen,forestgreen,darkgreen,teal</c:set>
      </c:when>
      <c:when test="${barNamesCount==13}">
        <c:set var="colors">navy,blue,dodgerblue,blueviolet,purple,mediumvioletred,crimson,orangered,orange,mediumseagreen,forestgreen,darkgreen,teal</c:set>
      </c:when>
      <c:when test="${barNamesCount==14}">
        <c:set var="colors">navy,blue,dodgerblue,blueviolet,purple,mediumvioletred,darkred,crimson,orangered,orange,mediumseagreen,forestgreen,darkgreen,teal</c:set>
      </c:when>
      <c:when test="${barNamesCount==15}">
        <c:set var="colors">navy,blue,dodgerblue,blueviolet,purple,mediumvioletred,darkred,crimson,orangered,orange,gold,mediumseagreen,forestgreen,darkgreen,teal</c:set>
      </c:when>
      <c:otherwise>
        <c:set var="colors">navy,blue,dodgerblue,cornflowerblue,blueviolet,purple,mediumvioletred,darkred,crimson,mediumseagreen,forestgreen,darkgreen,teal,olive,chocolate,mediumpurple,deeppink,slateblue,brown,deepskyblue,mediumpurple,chartreuse,cyan,indianred,darkturquoise</c:set>
      </c:otherwise>
      </c:choose>

      <c:forEach var="color" items="${colors}">
        colors[i++] = "${color}";
      </c:forEach>

   //-->
   </SCRIPT>

  <%-- Title and option selectors across the top --%>
  <table style="margin:5px 0px 0px 5px;color:#353535;width:98%;float:left;" border=0>
    <tr>
      <td nowrap style="color:#353535;width:100%;">
         <div style="float:left;">
          <h4>
            <c:choose>
            <c:when test="${empty service}">
              <fmt:message key='console.monitor.pipeline.title.txt'/>
            </c:when>
            <c:when test="${empty instance}">
              <fmt:message key="console.monitor.pipeline.title.${fn:toLowerCase(service)}.txt" />
            </c:when>
            <c:otherwise>
              <fmt:message key="console.monitor.pipeline.title.${fn:toLowerCase(service)}.txt" />: ${fn:escapeXml(label)}
            </c:otherwise>
            </c:choose>
<%--           <c:if test='${isJOSE==false && param.type=="OSE"}'><image src='analyst/images/down.gif' onclick='showHideConsoleMonitorColumnHider("config")' title="" style='cursor:pointer;' />&nbsp;</c:if> --%>
          <span id="pausedArea"     title="" style="display:none;color:navy;">&nbsp;<i><fmt:message key='console.consoleMonitorDetailContent.paused.txt'/></i></span>&nbsp;
          <span id="recordingArea"  title="" style="display:<c:if test='${empty recordingGuid}'>none</c:if>;color:red;font-style:italic;"><fmt:message key='console.consoleMonitorDetailContent.recordingStarted.txt'/>&nbsp;${prettyRecordingGuid}</span>&nbsp;
          <span id="quiescingArea"  title="" style="display:none;color:forestgreen;">&nbsp;<i><fmt:message key='console.consoleMonitorDetailContent.quiesced.txt'/></i></span>&nbsp;
          <span id="stoppingArea"   title="" style="display:none;font-weight:bold;font-size:10px;color:black;">&nbsp;<i><fmt:message key='console.consoleMonitorDetailContent.stopping.txt'/></i></span>&nbsp;
          <span id="errorArea"      title="${error}" style="display:<c:if test='${empty error}'>none</c:if><c:if test='${not empty error}'>inline</c:if>;color:red;" onmouseover="this.style.cursor='pointer';" onmouseout="this.style.cursor='normal';" onclick='alert(this.title)'>&nbsp;***<fmt:message key='console.consoleMonitorDetailContent.errorConnectingToInstances.txt'/>***</span>&nbsp;
          <c:if test='${isJOSE==true || param.type=="AGS"}'> <c:if test='${not empty OSEstatus}'><span id="msgOSEArea"   title="${OSEstatus}" style="color:red;" onmouseover="this.style.cursor='pointer';" onmouseout="this.style.cursor='normal';" onclick='alert(this.title)'>${OSEstatus}</span>&nbsp;</c:if></c:if>
          </h4>
         </div>
         <div style="float:right;">
         &nbsp;&nbsp;&nbsp;&nbsp;
         </div>
      </td>
      <td nowrap style="font-weight:normal">
       <fmt:message key='console.consoleMonitorDetailContent.refresh.txt'/>:
      </td>
      <%-- Shorten by the warning period - 120 seconds --%>
      <c:set var="maxRefreshInterval" value="${pageContext.session.maxInactiveInterval - 120}"/>
      <td colspan="2">
       &nbsp;<select name="updateInterval" id="updateInterval" onchange="setCookie('monitor_updateInterval',''+this.selectedIndex,cookieRetentionPeriod);startMonitor();">
         <option value="0"><fmt:message key='console.consoleMonitorDetailContent.continuous.txt'/></option>
         <option value="1">1&nbsp;<fmt:message key='console.consoleControlDetailContent.second.txt'/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>
         <option value="2">2&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="3">3&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="4">4&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="5">5&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="10" selected>10&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="15">15&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="20">20&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="25">25&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="30">30&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="60">60&nbsp;<fmt:message key='console.consoleControlDetailContent.seconds.txt'/></option>
         <option value="120">2&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
         <option value="180">3&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
         <option value="240">4&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
         <option value="300">5&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
        <c:if test="${maxRefreshInterval > 600}">
         <option value="600">10&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
        </c:if>
        <c:if test="${maxRefreshInterval > 900}">
         <option value="900">15&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
         </c:if>
        <c:if test="${maxRefreshInterval > 1200}">
         <option value="1200">20&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
         </c:if>
        <c:if test="${maxRefreshInterval > 1500}">
         <option value="1500">25&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
         </c:if>
        <c:if test="${maxRefreshInterval > 1800}">
         <option value="1800">30&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
         </c:if>
        <c:if test="${maxRefreshInterval > 3600}">
         <option value="3600">60&nbsp;<fmt:message key='console.consoleControlDetailContent.minutes.txt'/></option>
        </c:if>
       </select>
      </td>
    </tr>

    <tr>
      <td style="font-weight:normal;">
       <c:if test='${isJOSE==false && param.type=="OSE"}'>
        <table id="pipeTable" width="100%">
         <tr>
          <th id="configHeader" colspan='${configNamesCount}'></th>
         <tr>
         <c:forEach var="configName" items="${configNames}">
           <td style="color:#353535;vertical-align:bottom;text-align:left;" id="head_config${configName}" columnDisplay="inline" title="<fmt:message key='console.monitor.pipeline.${configName}.desc.txt'/>">
             <span style="font-weight:bold;"><fmt:message key='console.monitor.pipeline.${configName}.label.txt'/></span>&nbsp;&nbsp;&nbsp;&nbsp;<br>
             <span id="${configName}" style="font-weight:normal;">?</span>
           </td>
         </c:forEach>
         </tr>
        </table>
       </c:if>
      </td>

      <c:if test='${isJOSE==true || param.type=="AGS"}'>
        <td style="width:90%;" align=right></td>
        <td nowrap style="font-weight:normal;" align="left">
          <input id="showBarsCheckBox" name="showBarsCheckBox" type="checkbox" style="display:none;" title="Click to display numbers or bars" onclick="this.style.visibility='hidden';" />
        </td>
      </c:if>

      <c:if test='${isJOSE==false && param.type=="OSE"}'>
        <td style="width:90%;display:none;" align=right><fmt:message key='console.consoleMonitorDetailContent.bars.txt'/>:</td>
        <td nowrap style="font-weight:normal;" align="left">
          <input id="showBarsCheckBox" name="showBarsCheckBox" type="checkbox" style="display:none;" title="Click to display numbers or bars" onclick="this.style.visibility='hidden';toggleBarNums()" />
        </td>
      </c:if>

      <td nowrap align="right" style="font-weight:normal;">
        <c:set var="barsPerPage">${param.barsPerPage}</c:set>
        <c:if test="${empty barsPerPage || barsPerPage=='undefined'}">
           <c:set var="barsPerPage">24</c:set>
        </c:if>
        <fmt:message key='console.consoleMonitorDetailContent.rows.txt'/>:<select name="barsPerPage" id="barsPerPage" onchange="setCookie('console_barsPerPage',this[selectedIndex].value,cookieRetentionPeriod);window.location.href='${parentURL}&barsPerPage=' + this.value + '&recordingGuid=' + recordingGuid + '&prettyRecordingGuid=' + getPrettyGuid(recordingGuid)">
          <option <c:if test="${1==barsPerPage}">selected</c:if> value="1">1</option>
          <option <c:if test="${2==barsPerPage}">selected</c:if> value="2">2</option>
          <option <c:if test="${4==barsPerPage}">selected</c:if> value="4">4</option>
          <option <c:if test="${8==barsPerPage}">selected</c:if> value="8">8</option>
          <option <c:if test="${12==barsPerPage}">selected</c:if> value="12">12</option>
          <option <c:if test="${16==barsPerPage}">selected</c:if> value="16">16</option>
          <option <c:if test="${24==barsPerPage}">selected</c:if> value="24">24</option>
          <option <c:if test="${32==barsPerPage}">selected</c:if> value="32">32</option>
          <option <c:if test="${40==barsPerPage}">selected</c:if> value="40">40</option>
          <option <c:if test="${48==barsPerPage}">selected</c:if> value="48">48</option>
          <option <c:if test="${64==barsPerPage}">selected</c:if> value="64">64</option>
          <option <c:if test="${78==barsPerPage}">selected</c:if> value="78">78</option>
        </select>
      </td>

    </tr>


  </table>

<%-- Selectors for columns to show or hide are defined here --%>
<c:if test='${isJOSE==false && param.type=="OSE"}'>

<tiles:insert page="/rules/tiles/consoleMonitorColumnHider.jsp" flush="true">
  <tiles:put name="nameType"  value="config" />
  <tiles:put name="nameTitle" value="<fmt:message key='console.consoleMonitorDetailContent.configurationValues.txt'/>" />
  <tiles:put name="metricNames"  beanName="configNames" />
</tiles:insert>
<tiles:insert page="/rules/tiles/consoleMonitorColumnHider.jsp" flush="true">
  <tiles:put name="nameType"  value="num" />
  <tiles:put name="nameTitle" value="<fmt:message key='console.consoleMonitorDetailContent.responseBreakdown.txt'/>" />
  <tiles:put name="metricNames"  beanName="barNames" />
</tiles:insert>
<tiles:insert page="/rules/tiles/consoleMonitorColumnHider.jsp" flush="true">
  <tiles:put name="nameType"  value="rate" />
  <tiles:put name="nameTitle" value="<fmt:message key='console.consoleMonitorDetailContent.averagespercentages.txt'/>" />
  <tiles:put name="metricNames"  beanName="rateNames" />
  <tiles:put name="onlyEvens" value="true" />
</tiles:insert>
<tiles:insert page="/rules/tiles/consoleMonitorColumnHider.jsp" flush="true">
  <tiles:put name="nameType"  value="gauge" />
  <tiles:put name="nameTitle" value="<fmt:message key='console.consoleMonitorDetailContent.gauges.txt'/>" />
  <tiles:put name="metricNames"  beanName="gaugeNames" />
</tiles:insert>
<tiles:insert page="/rules/tiles/consoleMonitorColumnHider.jsp" flush="true">
  <tiles:put name="nameType"  value="counter" />
  <tiles:put name="nameTitle" value="<fmt:message key='console.consoleMonitorDetailContent.counters.txt'/>" />
  <tiles:put name="metricNames"  beanName="counterNames" />
</tiles:insert>

</c:if>

  <%-- Empty table (to be filled in gradually by addRow() calls from the child iframe) --%>
  <TABLE class="mainTable" id="hbarTable" style="margin:5px 0px 5px 5px;width:98%;float:left;" border="0" cellspacing="0" cellpadding="0">
    <c:if test='${isJOSE==false && param.type=="OSE"}'>
     <THEAD>
       <TR class="tableColumnHeaderRow" style="color:#353535;">
         <TH rowspan='2' class="centeredTableHeader" title=""    style="font-weight:bold;width:1%;"><fmt:message key='console.consoleMonitorDetailContent.tod.txt'/></TH>

         <%-- <TH rowspan='2' class="centeredTableHeader" barBar="barBar" title="" style="font-weight:bold;display:none;width:100%;" ><fmt:message key='console.consoleMonitorDetailContent.transactionResponseBreakdown.txt'/></TH> --%>

         <%-- <TH id="numHeader" colspan='${barNamesCount}' class="centeredTableHeader" columnDisplay="inline" title="" barNum="barNum" style="font-weight:bold;width:15%;" >
            <fmt:message key='console.consoleMonitorDetailContent.responseBreakdown.txt'/><image src='analyst/images/down.gif' onclick='showHideConsoleMonitorColumnHider("num")' title="<fmt:message key='console.consoleMonitorDetailContent.clickSelectMetrics.txt'/>" style='cursor:pointer;' />
         </TH> --%>

         <%-- <TH rowspan='2' class="centeredTableHeader" barBar="barBar" title="" style="font-weight:bold;width:1%;text-align:left;"><fmt:message key='console.consoleMonitorDetailContent.transactionTime.txt'/></TH> --%>

<%--          <TH rowspan='2' class="centeredTableHeader" barNum="barNum" columnDisplay="inline" title="" style="font-weight:bold;width:1%;text-align:left;"><fmt:message key='console.consoleMonitorDetailContent.transactionTime.txt'/></TH>
 --%>
 		 <TH rowspan='2' class="centeredTableHeader" title=""    style="font-weight:bold;width:1%;"><fmt:message key='console.consoleMonitorDetailContent.transactionsPerSecond.txt'/></TH>
         <%-- <TH rowspan='2' class="centeredTableHeader" title="" style="font-weight:bold;width:1%;text-align:left;"><fmt:message key='console.consoleMonitorDetailContent.tps.txt'/></TH> --%>

         <%-- <TH id="counterHeader" colspan='${counterNamesCount}' class="centeredTableHeader" title="" style="font-weight:bold;width:1%;">
            <fmt:message key='console.consoleMonitorDetailContent.counts.txt'/><image src='analyst/images/down.gif' onclick='showHideConsoleMonitorColumnHider("counter")' title="<fmt:message key='console.consoleMonitorDetailContent.clickSelectMetrics.txt'/>" style='cursor:pointer;' />
         </TH> --%>

         <%-- <TH id="gaugeHeader" colspan='${gaugeNamesCount}' class="centeredTableHeader" title="" style="font-weight:bold;width:1%;">
            <fmt:message key='console.consoleMonitorDetailContent.gauges.txt'/><image src='analyst/images/down.gif' onclick='showHideConsoleMonitorColumnHider("gauge")' title="<fmt:message key='console.consoleMonitorDetailContent.clickSelectMetrics.txt'/>" style='cursor:pointer;' />
         </TH>

         <TH id="rateHeader" colspan='${rateNamesCount/2}' class="centeredTableHeader" title="" style="font-weight:bold;width:1%;">
            <fmt:message key='console.consoleMonitorDetailContent.averagespercentages.txt'/><image src='analyst/images/down.gif' onclick='showHideConsoleMonitorColumnHider("rate")' title="<fmt:message key='console.consoleMonitorDetailContent.clickSelectMetrics.txt'/>" style='cursor:pointer;' />
         </TH> --%>
       </TR>

       <TR class="tableColumnHeaderRow" style="color:#353535;">
         <!-- TOD -->

         <!-- Response breakdown -->
         <%-- <c:forEach var="barName" items="${barNames}">
            <TH class="centeredTableHeader" id="head_num${barName}" barNum="barNum" columnDisplay="inline" title="<fmt:message key='console.monitor.pipeline.${barName}.desc.txt'/>" style="font-weight:bold;width:15%;text-align:left;" ><fmt:message key='console.monitor.pipeline.${barName}.label.txt'/></TH>
         </c:forEach> --%>

         <!-- Visible Bar Total Time -->

         <!-- Msg Time -->

         <!-- TPS -->

         <%-- <c:forEach var="counterName" items="${counterNames}" varStatus="status">
            <TH class="centeredTableHeader" id="head_counter${counterName}" columnDisplay="inline" title="<fmt:message key='console.monitor.pipeline.${counterName}.desc.txt'/>" style="font-weight:bold;width:1%;text-align:center;"><fmt:message key='console.monitor.pipeline.${counterName}.label.txt'/></TH>
         </c:forEach> --%>

         <c:forEach var="gaugeName" items="${gaugeNames}">
            <TH class="centeredTableHeader" id="head_gauge${gaugeName}" columnDisplay="inline" title="<fmt:message key='console.monitor.pipeline.${gaugeName}.desc.txt'/>" style="font-weight:bold;width:1%;text-align:center;"><fmt:message key='console.monitor.pipeline.${gaugeName}.label.txt'/></TH>
         </c:forEach>

         <c:set var="previousRateTitle" value=""/>
         <c:forEach var="rateName" items="${rateNames}" varStatus="rstatus">
            <c:if test="${rstatus.index % 2 == 0}">
              <c:set var="previousRateName" value="${rateName}"/>
            </c:if>
            <c:if test="${rstatus.index % 2 == 1}">
              <TH class="centeredTableHeader" id="head_rate${previousRateName}" columnDisplay="inline" title="<fmt:message key='console.monitor.pipeline.${previousRateName}.desc.txt'/> divided by <fmt:message key='console.monitor.pipeline.${rateName}.desc.txt'/>" style="font-weight:bold;width:1%;text-align:left;"><fmt:message key='console.monitor.pipeline.${previousRateName}.label.txt'/></TH>
            </c:if>
         </c:forEach>
       </TR>
     </THEAD>

     <TBODY id="tableBody">
      <c:forEach begin="1" end="${barsPerPage}" varStatus="status">
        <TR id="row${status.index-1}" valign="top" style="height:10px;width:95%">
          <TD id="tod${status.index-1}" style="padding-bottom:0px;padding-top:0px;width:1%;" nowrap> </td>

          <%-- <TD id="bar${status.index-1}" barBar="barBar" style="padding-bottom:0px;padding-top:0px;width:100%" nowrap><span style='width:10%;'></span> </td> --%>

          <%-- <c:forEach var="barName" items="${barNames}">
             <TD id="num${barName}${status.index-1}" barNum="barNum" columnDisplay="inline" style="text-align:left; padding-bottom:0px;padding-top:0px;width:25%;" amount="0" nowrap></td>
          </c:forEach> --%>

<%--           <TD id="visibleBarTotal${status.index-1}" barBar="barBar" style="color:black;padding-bottom:0px;padding-top:0px;width:100%;text-align:right;width:1%;" nowrap> </td>
 --%>
<%--           <TD id="barTotal${status.index-1}" barNum="barNum" columnDisplay="inline" style="color:black;padding-bottom:0px;padding-top:0px;width:100%;text-align:right;width:1%;" amount="0" nowrap> </td> --%>

          <TD id="tps${status.index-1}" style="color:red;padding-bottom:0px;padding-top:0px;width:1%;text-align:center;" nowrap> </td>

          <%-- <c:forEach var="counterName" items="${counterNames}" varStatus="cstatus">
             <TD id="counter${counterName}${status.index-1}" columnDisplay="inline" style="padding-bottom:0px;padding-top:0px;width:1%;text-align:center;" nowrap> </td>
          </c:forEach> --%>

          <c:forEach var="gaugeName" items="${gaugeNames}">
             <TD id="gauge${gaugeName}${status.index-1}" columnDisplay="inline" style="color:red;padding-bottom:0px;padding-top:0px;width:1%;text-align:center;" nowrap> </td>
          </c:forEach>

          <c:forEach var="rateName" items="${rateNames}" varStatus="rstatus">
             <c:if test="${rstatus.index % 2 == 0}">
              <TD id="rate${rateName}${status.index-1}" columnDisplay="inline" style="padding-bottom:0px;padding-top:0px;width:1%;text-align:center;" nowrap> </td>
             </c:if>
          </c:forEach>
        </TR>
      </c:forEach>

     </TBODY>

</c:if>
<c:if test='${isJOSE==true || param.type=="AGS"}'>
  <c:if test="${oseNotConnected==null}">

  <THEAD>
  <TR>
    <td colspan='5' style="padding:5px;font-size:11px;color:#353535;background-color:#f0f1f2;font-style:italic;border-width:1px;border-style:solid;border-color:#d1d5d9;"><fmt:message key='console.consoleMonitorDetailContent.keyStatistics.txt'/></td>
    <%-- <td colspan='${fn:length(statColumns)}' style="padding:5px;font-size:11px;color:#353535;background-color:#f0f1f2;font-style:italic;border-width:1px;border-style:solid;border-color:#d1d5d9;"><fmt:message key='console.consoleMonitorDetailContent.detailedStatistics.txt'/></td> --%>
  </TR>

       <TR class="tableColumnHeaderRow" style="color:#353535;">

         <TH rowspan='2' class="centeredTableHeader" title="<fmt:message key='console.consoleMonitorDetailContent.timeStatisticsCollected.txt'/>" style="font-weight:bold;text-align:center;"><fmt:message key='console.consoleMonitorDetailContent.tod.txt'/></TH>

         <TH rowspan='2' class="centeredTableHeader" title="<fmt:message key='console.consoleMonitorDetailContent.transactionsPerSecond.txt'/>" style="font-weight:bold;text-align:center;"><fmt:message key='console.consoleMonitorDetailContent.transactionsPerSecond.txt'/></TH>

		 <c:forEach var="statCols" items="${statColumns}">
	         <TH rowspan='2' class="centeredTableHeader" title="${statCols}" style="font-weight:bold;text-align:center;padding:3px;">${statCols}</TH>
		 </c:forEach>

       </TR>

     </THEAD>

     <TBODY id="tableBody">

      <c:forEach begin="1" end="${barsPerPage}" varStatus="status">

        <TR id="row${status.index-1}" valign="top" style="height:10px;width:95%">

          <TD id="tod${status.index-1}" nowrap> </td>

		        <%int i=0;%>
				<!-- Last column for transactions/second --> <TD id="TPS<%=i%>${status.index-1}" style="color:red;" nowrap>-</TD>
		        <c:forEach var="newJoseStat" items="${newJOSEStats}">
		  	       <TD id="newJose<%=i%>Stat${status.index-1}" style="color:#505050;" nowrap>-</TD>
		  	       <%i++;%>
		       </c:forEach>

        </TR>

      </c:forEach>

     </TBODY>

	</c:if>
	<c:if test="${oseNotConnected!=null}">
	  <fmt:message key='console.consoleMonitorDetailContent.oseUnavailable.txt'/>
	</c:if>
  </c:if>
  </TABLE>

<c:if test='${isJOSE==false && param.type=="OSE"}'>

  <%-- Legend for bar slice colors --%>
  <table cellspacing=0 id="legend" style="display:none;width:98%;">
  <tr>
  <c:forEach var="color" items="${colors}" varStatus="status">
     <c:if test="${not empty barNames[status.index]}">
       <td align=center style="background-color:${color};color:white;font-weight:bold;padding-left:10px;padding-right:10px;padding-top:3px;padding-bottom:3px;cursor:pointer;" onclick="showHideSlices(this)" title="<fmt:message key='console.monitor.pipeline.${barNames[status.index]}.desc.txt'/>.  Click here to show/hide the portion of the above bars which corresponds to this value.">
         <fmt:message key='console.monitor.pipeline.${barNames[status.index]}.label.txt'/>
       </td>
     </c:if>
  </c:forEach>
  </tr>
  </table>


  <%-- Show a few per-process stats --%>
  <table id="procStatsTable" cellspacing=0 cellpadding=5 style="color:#353535;width:98%;display:none;" border='1'>
  <tr><th><span id="resetNeeded" style="display:none;color:red;"><fmt:message key='console.consoleMonitorDetailContent.clickReset.txt'/></span>
          <c:choose>
          <c:when test="${not empty processors}"><c:set var="align" value="right"/></c:when>
          <c:otherwise><fmt:message key='console.consoleMonitorDetailContent.noProcessMetrics.txt'/>.</c:otherwise>
          </c:choose>
          &nbsp;
      </th>
      <c:forEach var="p" items="${processors}">
        <th align="right" style="padding-right:1em;">${fn:replace(fn:replace(fn:replace(p.PROCESS_NAME,"_"," "),'Processor',' Processor '),'processor',' processor ')}</th>
      </c:forEach>
  </tr>
  <tr>
      <th align="${align}" style="padding-right:1em;"><fmt:message key='console.consoleMonitorDetailContent.read.txt'/></th>
      <c:forEach var="p" items="${processors}">
        <td align="right" style="padding-right:1em;">
          <span id="${p.PROCESS_NAME}_ReadCount" title="">${p.PROCESS_READ_COUNT}</span>
        </td>
      </c:forEach>
  </tr>
  <tr>
      <th align="${align}" style="padding-right:1em;"><fmt:message key='console.consoleMonitorDetailContent.unsafed.txt'/></th>
      <c:forEach var="p" items="${processors}">
        <td align="right" style="padding-right:1em;">
          <span id="${p.PROCESS_NAME}_UnsafCount" title="">${p.PROCESS_UNSAF_COUNT}</span>
        </td>
      </c:forEach>
  </tr>
  <tr>
      <th align="${align}" style="padding-right:1em;"><fmt:message key='console.consoleMonitorDetailContent.processed.txt'/></th>
      <c:forEach var="p" items="${processors}">
        <td align="right" style="padding-right:1em;">
          <span id="${p.PROCESS_NAME}_ProcCount" title="">${p.PROCESS_PROC_COUNT}</span>
        </td>
      </c:forEach>
  </tr>
  <tr>
      <th align="${align}" style="padding-right:1em;"><fmt:message key='console.consoleMonitorDetailContent.safed.txt'/></th>
      <c:forEach var="p" items="${processors}">
        <td align="right" style="padding-right:1em;">
          <span id="${p.PROCESS_NAME}_SafCount" title="">${p.PROCESS_SAF_COUNT}</span>
        </td>
      </c:forEach>
  </tr>
  </table>

</c:if>

<%--
-- % >

   <H4> Pipeline Stats </H4>

    ALLSERVER:<br>
      ${barNamesCount} barNames:<br>      <c:forEach var="n" items="${barNames}">${n} </c:forEach><br>
      ${counterNamesCount} counterNames:<br>  <c:forEach var="n" items="${counterNames}">${n} </c:forEach> <br>
      ${rateNamesCount} rateNames:<br>     <c:forEach var="n" items="${rateNames}">${n} </c:forEach> <br>
      ${gaugeNamesCount} gaugeNames:<br>    <c:forEach var="n" items="${gaugeNames}">${n} </c:forEach> <br>
      ${configNamesCount} configNames:<br>   <c:forEach var="n" items="${configNames}">${n} </c:forEach> <br>
   <br><br>

   PROCESSORS:
   <c:forEach var="processor" items="${processors}" varStatus="status">
      <br>${processor.PROCESS_NAME}: ${status.index}. ${processor}
   </c:forEach>
   <br><br>

   SERVERSTATS:<br> ${server}

< % --
--%>



  <IFRAME id="childFrame" name="childFrame" src="${childURL}&initialLoad=1&recordingGuid=${esapi:encodeForURL(recordingGuid)}&prettyRecordingGuid=${esapi:encodeForURL(prettyRecordingGuid)}" height='0' width='1' border="0" style="display:none"></iframe>


</c:otherwise>

</c:choose>


