<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<script language="JavaScript" src="common/scripts/cf.js"></script>
<script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/ruleActions.js"></script>
<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script>
i18n.init();

function deployRules()
{
   setBusyDetail();
   document.deploymentForm.submit();
}

var action = '<c:url value="/r_rules.do"/>';
var workflow = 'Current';
var ruleNames = new Array();
var reloadParams = '?method=showDeployment&type=Current';

<c:forEach var="rule" items="${deployableProductionRules}" >
//-->
</script>
   <pre id="ruleName${rule.id}" style="display:none">${fn:escapeXml(rule.name)}</pre>
<script>
//<!--
   ruleNames[${rule.id}] = document.getElementById("ruleName${rule.id}").innerHTML;
</c:forEach>
//-->

<c:forEach var="rule" items="${deployableTestingRules}" >
//-->
</script>
   <pre id="ruleName${rule.id}" style="display:none">${fn:escapeXml(rule.name)}</pre>
<script>
//<!--
   ruleNames[${rule.id}] = document.getElementById("ruleName${rule.id}").innerHTML;
</c:forEach>
//-->


<c:forEach var="rule" items="${deactivatedRules}" >
//-->
</script>
   <pre id="ruleName${rule.id}" style="display:none">${fn:escapeXml(rule.name)}</pre>
<script>
//<!--
   ruleNames[${rule.id}] = document.getElementById("ruleName${rule.id}").innerHTML;
</c:forEach>
//-->
</script>
<c:choose>
	<c:when test="${empty productName}">
<pre id="tabTitle" style="display:none;">SAS&reg; Fraud Management - <fmt:message key="creditfraud.tab.rules.txt" /> <fmt:message key="rules.ruleDeploymentDetailContent.table.title.deployment.txt" /></pre>
	</c:when>
	<c:otherwise>
<pre id="tabTitle" style="display:none;">${fn:replace(fn:replace(productName,"<sup>", ""), "</sup>", "")} - <fmt:message key="creditfraud.tab.rules.txt" /> <fmt:message key="rules.ruleDeploymentDetailContent.table.title.deployment.txt" /></pre>
	</c:otherwise>
</c:choose>
<script language="JavaScript">
  if (parent.document)
    parent.document.title = document.getElementById("tabTitle").innerHTML;
</script>
<c:if test="${updatedClientSegments!=null}">
<style type="text/css">
/* Popup container */
.popup {
    position: relative;
    display: inline-block;
}

/* The actual popup (appears on top) */
.popup .popuptext {
    visibility:hidden;
    font-size:0.79rem;
	position:absolute;
	z-index:50;
	border-collapse: separate;
	box-shadow: 2px 2px 4px #ccc;
	border-radius:6px;
	border:1px solid #c6cad0;
	padding:8px;
	margin-top:5px;
	margin-left:5px;
	background-image: linear-gradient(to bottom, white, #c3d5e5);
	filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=white, endColorstr=#c3d5e5);
	text-align:left;
	
}
.popup li{
font-size:0.79rem;
}
.popup span{
font-size:0.79rem;
}
.popup table{
font-size:0.79rem;
border: 1px solid black;
width: 400px;
}
.popup thead th{
font-size:0.79rem;
border: 1px solid black;
font-weight: bold;
background-color:#ABCAE9;
padding:5px;
}
.popup tbody td{
font-size:0.79rem;
border: 1px solid black;
padding:5px;
}

/* Toggle this class when clicking on the popup container (hide and show the popup) */
.popup .show {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s
}
.copyToClipboard{
	cursor:pointer;
	border-radius: 4px;	
    border: none;   
    padding: 5px 5px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 0.79rem;
    background-image: linear-gradient(to bottom, white, #c3d5e5);
    filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=white, endColorstr=#c3d5e5);
}

/* Add animation (fade in the popup) */
 @-webkit-keyframes fadeIn {
    from {opacity: 0;} 
    to {opacity: 1;}
}

@keyframes fadeIn {
    from {opacity: 0;}
    to {opacity:1 ;}
}
</style>

<div class="popup" id="popup">
  <span class="popuptext" id="updatedClientSegments">
	  <div style="width:100%;text-align:right;">
	  <a href="#" title="<fmt:message key="creditfraud.common.systemMessages.close.txt"/>" onclick="closePopup();">
		<span class="sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons; text-align:right;" data-sap-ui-icon-content="&#xf10c;"></span>
	  </a>	  
	  </div>
	  <fmt:message  key="rules.ruleDeploymentDetailContent.sucessfullyDeployedUpdatedSegments.fmt.txt">
	  <fmt:param>${updatedClientSegments}</fmt:param>
	  </fmt:message>
	  <div style="padding:5px;width:100%;text-align:center;">
	  <button type="button" id="copyButton" class="copyToClipboard">
	  <fmt:message key='rules.ruleDeploymentDetailContent.UpdatedSegments.copyToClipboard.txt'/>
	  </button>	  
	  <div id="msg"></div>
	  </div>
	  
  </span>
</div>
<script>
closePopup();

function closePopup() {
    var popup = document.getElementById("updatedClientSegments");
    popup.classList.toggle("show");
}

document.getElementById("copyButton").addEventListener("click", function() {
    copyToClipboardMsg(document.getElementById("copy"), "msg");
});
function copyToClipboardMsg(elem, msgElem) {
	var succeed = copyToClipboard(elem);
  var msg;
  if (!succeed) {
      msg = $i18n("rules.ruleDeploymentDetailContent.copyNotSupported.fmt.txt");
  } else {
      msg = $i18n("rules.ruleDeploymentDetailContent.textCopiedToClipboard.fmt.txt");
  }
  if (typeof msgElem === "string") {
      msgElem = document.getElementById(msgElem);
  }
  msgElem.innerHTML = msg;
  setTimeout(function() {
      msgElem.innerHTML = "";
  }, 2000);
}

function copyToClipboard(elem){
	//var element = document.body; // Example, select the "whole" document
	// Change selected area
	var r = document.createRange();
	r.selectNode(elem);
	var s = window.getSelection();
	s.removeAllRanges();
	s.addRange(r);
	var succeed;
	try {
	// copy the selection
	  succeed = document.execCommand("copy");
	} catch(e) {
	  succeed = false;
	}
	return succeed;
}

</script>
</c:if>

<span style='height:0.5em'/>
<div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

<%-- Error handling code --%>
 <tiles:insert page="rulesSystemMessages.jsp" flush="true">
    <tiles:put name="objectTypeName" value="Rule" />
</tiles:insert>

<div title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.ruleDeploymentDetailContent.target.directory.title.fmt.txt'><fmt:param>${deploymentDirectory}</fmt:param></fmt:message></esapi:encodeForHTMLAttribute>">
 <h4>
 <fmt:message key="rules.ruleDeploymentDetailContent.table.title.deployment.txt" />:&nbsp;
 	<c:choose>
	 	<c:when test="${deployableTargetToDisplay == 'Current'}"><fmt:message key="rules.ruleDeploymentDetailContent.target.current.txt" /></c:when>
	 	<c:otherwise>${esapi:encodeForHTML(deployableTargetToDisplay)}</c:otherwise>
 	</c:choose>
 <br>
<fmt:message key="rules.ruleDeploymentDetailContent.table.title.target.txt" />: ${deploymentDirectory}
</h4>
</div>

<form name="deploymentForm" id="deploymentForm" action="r_console.sj" method="post">
   <input type="hidden" name="method" value="performDeployment">
   <input type="hidden" name="deployableTarget" value="${deployableTargetToDisplay}" >
   <input type="hidden" name="multiOrgNodeKey" value="${esapi:encodeForURL(multiOrgNodeKey)}" >
   <table width="98%">
   <tr><td>
   <div>
   <h4><fmt:message key="rules.ruleDeploymentDetailContent.table.title.productionRules.txt" /></h4>
   </div>
   <table class="mainTable" id="productionRulesTable" align="left" style="margin:0px 0px 0px 0px;" onselectstart="return false;" border="1" cellspacing="0" cellpadding="0">
     <thead>
         <TR class="tableColumnHeaderRow">
             <TH class="centeredTableHeader" nowrap rules:sortAsNum title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.ruleListDetailContent.tableHeader.id.title.txt'/></esapi:encodeForHTMLAttribute>">&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.id.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.name.txt"/></TH>

         	 <c:choose>
         	 <c:when test="${isTenantInstall==true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.alertType.txt"/></TH>
         	 </c:when>
         	 <c:otherwise>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.type.txt"/></TH>
         	 </c:otherwise>
         	 </c:choose>

             <c:choose>
             <c:when test="${showBU == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.businessUnit.txt"/></TH>
             </c:when>
             </c:choose>

             <c:choose>
             <c:when test="${showDescription == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.description.txt"/></TH>
             </c:when>
             </c:choose>

             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.multiOrg.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.lastUpdatedBy.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.lastUpdatedTime.txt"/></TH>
             <%--<TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;State</TH> --%>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.ruleDeploymentDetailContent.tableHeader.lastDeployedTime.txt"/></TH>
         </TR>
     </thead>
     <TBODY id="productionRulesTableBody">
       <c:choose>
          <c:when test="${empty deployableProductionRules}">
          <TR rowspan="2">
             <TD align="right" style="font-size:10pt;" colspan="100%"><center><em><fmt:message key="rules.ruleDeploymentDetailContent.noDeployableRules.txt"/></center></em></TD>
          </TR>
          </c:when>
          <c:otherwise>
            <c:forEach var="rule" items="${deployableProductionRules}" varStatus="status">
             <TR style="cursor:pointer;" id="${rule.id}"  class="dataRow${status.count%2+1}_tableRow"
                  <c:if test='${not empty updtRules && updtRules}'>
                    ondblclick="processMultiSelectRequest('printRules', '', false);"
                  </c:if>
                    onclick='handleRowSelection(${esapi:encodeForJavaScript(rule.id)}, ${esapi:encodeForJavaScript(rule.baseRuleId)}, ruleNames[${esapi:encodeForJavaScript(rule.id)}], "${esapi:encodeForJavaScript(rule.description)}",${esapi:encodeForJavaScript(rule.version)}, ${esapi:encodeForJavaScript(rule.lockVersion)},${esapi:encodeForJavaScript(rule.isDeployed)}, "${esapi:encodeForJavaScript(rule.workflowState)}", "${esapi:encodeForJavaScript(rule.guidedRule)}", "${esapi:encodeForJavaScript(rule.transactionTypeId)}", "${esapi:encodeForJavaScript(rule.multiOrgNodeId)}","${esapi:encodeForJavaScript(rule.queueId)}","${esapi:encodeForJavaScript(rule.alertTypeCode)}","${esapi:encodeForJavaScript(rule.alertReason)}", "${esapi:encodeForJavaScript(rule.executionOrderPriority)}", this,"rowSelected",event);'>
                <TD class="textTableCell" > &nbsp;${rule.baseRuleId}.${rule.version}</TD>
                <TD class="textTableCell" >&nbsp;
                   ${fn:escapeXml(rule.name)}
                </TD>

             <c:choose>
             <c:when test='${isTenantInstall==true}'>
               <TD class="textTableCell">&nbsp;
                  <c:forEach var="alrt" items="${alertTypeInfo}">
                    <c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' ' && rule.alertTypeCode==alrt.key}">
                        ${alrt.value.desc} (${rule.alertTypeCode})
                    </c:if>
                  </c:forEach>
               </TD>
             </c:when>
             <c:otherwise>
               <TD class="textTableCell">&nbsp;
                  <fmt:message key="rules.ruleType.${rule.ruleTypeName}.txt"/>
                  <c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' '}">(${rule.alertTypeCode})</c:if></TD>
             </c:otherwise>
             </c:choose>

             <c:choose>
             <c:when test="${showBU == true}">
             <TD class="textTableCell" >&nbsp;${rule.businessUnitName}</TD>
             </c:when>
             </c:choose>

             <c:choose>
             <c:when test="${showDescription == true}">
             <c:choose>
                <c:when test="${fn:length(rule.description) < 32 }">
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(rule.description)}</TD>
                </c:when>
                <c:otherwise>
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(fn:substring(rule.description, 0, 32))}...</TD>
                </c:otherwise>
             </c:choose>
             </c:when>
             </c:choose>

             <TD class="textTableCell" > &nbsp;
                ${fn:trim(fn:escapeXml(rule.multiOrgLabel))} (${fn:trim(fn:escapeXml(rule.multiOrgNodeKey))})
             </TD>
             <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.lastUpdateUser)}</TD>
             <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" sortvalue="${rule.lastUpdateTimestampUtcMillis}"><fmt:formatDate value='${rule.lastUpdateTimestamp}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;</TD>
             <%--<TD class="textTableCell" > &nbsp;${rule.workflowState}</TD> --%>
             <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" sortvalue="${rule.dateDeployedUtcMillis}"><fmt:formatDate value='${rule.dateDeployed}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;</TD>
              </TR>
             </c:forEach>
          </c:otherwise>
       </c:choose>
     </TBODY>
   </table>
   </td></tr>

   <c:if test="${deployTestingRules == true}">
   <tr><td>
   <div>
   <h4><fmt:message key="rules.ruleDeploymentDetailContent.table.title.testingRules.txt"/></h4>
   </div>
   <table class="mainTable" id="testingRulesTable" align="left" style="margin:0px 0px 0px 0px;" onselectstart="return false;" border="1" cellspacing="0" cellpadding="0">
       <thead>
         <TR class="tableColumnHeaderRow">
             <TH class="centeredTableHeader" nowrap rules:sortAsNum title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.ruleListDetailContent.tableHeader.id.title.txt'/></esapi:encodeForHTMLAttribute>">&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.id.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.name.txt"/></TH>

         	 <c:choose>
         	 <c:when test="${isTenantInstall==true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.alertType.txt"/></TH>
         	 </c:when>
         	 <c:otherwise>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.type.txt"/></TH>
         	 </c:otherwise>
         	 </c:choose>

             <c:choose>
             <c:when test="${showBU == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.businessUnit.txt"/></TH>
             </c:when>
             </c:choose>

             <c:choose>
             <c:when test="${showDescription == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.description.txt"/></TH>
             </c:when>
             </c:choose>

             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.multiOrg.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.lastUpdatedBy.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.lastUpdatedTime.txt"/></TH>
             <%--<TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;State</TH> --%>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.ruleDeploymentDetailContent.tableHeader.lastDeployedTime.txt"/></TH>
         </TR>
       </thead>
       <TBODY id="testingRulesTableBody">
       <c:choose>
          <c:when test="${empty deployableTestingRules}">
          <TR rowspan="2">
             <TD align="right" style="font-size:10pt;" colspan="100%"><center><em><fmt:message key="rules.ruleDeploymentDetailContent.noDeployableRules.txt"/></center></em></TD>
          </TR>
          </c:when>
          <c:otherwise>
            <c:forEach var="rule" items="${deployableTestingRules}" varStatus="status">

             <TR style="cursor:pointer;" id="${rule.id}" class="dataRow${status.count%2+1}_tableRow"
                    ondblclick="processMultiSelectRequest('printRules', '', false);"
                    onclick='handleRowSelection(${esapi:encodeForJavaScript(rule.id)}, ${esapi:encodeForJavaScript(rule.baseRuleId)}, ruleNames[${esapi:encodeForJavaScript(rule.id)}], "${esapi:encodeForJavaScript(rule.description)}",${esapi:encodeForJavaScript(rule.version)}, ${esapi:encodeForJavaScript(rule.lockVersion)},${esapi:encodeForJavaScript(rule.isDeployed)}, "${esapi:encodeForJavaScript(rule.workflowState)}", "${esapi:encodeForJavaScript(rule.guidedRule)}", "${esapi:encodeForJavaScript(rule.transactionTypeId)}", "${esapi:encodeForJavaScript(rule.multiOrgNodeId)}","${esapi:encodeForJavaScript(rule.queueId)}","${esapi:encodeForJavaScript(rule.alertTypeCode)}","${esapi:encodeForJavaScript(rule.alertReason)}", "${esapi:encodeForJavaScript(rule.executionOrderPriority)}", this,"rowSelected",event);'>

                <TD class="textTableCell" > &nbsp;${rule.baseRuleId}.${rule.version}</TD>
                <TD class="textTableCell" >&nbsp;
                   ${fn:escapeXml(rule.name)}
                </TD>

             	<c:choose>
             	<c:when test='${isTenantInstall==true}'>
               	<TD class="textTableCell">&nbsp;
                  	<c:forEach var="alrt" items="${alertTypeInfo}">
                    	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' ' && rule.alertTypeCode==alrt.key}">
                        	${alrt.value.desc} (${rule.alertTypeCode})
                    	</c:if>
                  	</c:forEach>
               	</TD>
             	</c:when>
             	<c:otherwise>
               	<TD class="textTableCell">&nbsp;
               	   <fmt:message key="rules.ruleType.${rule.ruleTypeName}.txt"/>
                  	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' '}">(${rule.alertTypeCode})</c:if></TD>
             	</c:otherwise>
            	</c:choose>

                <c:choose>
                <c:when test="${showBU == true}">
                <TD class="textTableCell" >&nbsp;${rule.businessUnitName}</TD>
                </c:when>
                </c:choose>

                <c:choose>
                <c:when test="${showDescription == true}">
                <c:choose>
                <c:when test="${fn:length(rule.description) < 32 }">
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(rule.description)}</TD>
                </c:when>
                <c:otherwise>
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(fn:substring(rule.description, 0, 32))}...</TD>
                </c:otherwise>
                </c:choose>
                </c:when>
                </c:choose>


             <TD class="textTableCell" > &nbsp;
                ${fn:trim(fn:escapeXml(rule.multiOrgLabel))} (${fn:trim(fn:escapeXml(rule.multiOrgNodeKey))})
             </TD>
             <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.lastUpdateUser)}</TD>
             <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" sortvalue="${rule.lastUpdateTimestampUtcMillis}"><fmt:formatDate value='${rule.lastUpdateTimestamp}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;</TD>
             <%--<TD class="textTableCell" > &nbsp;${rule.workflowState}</TD> --%>
             <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" sortvalue="${rule.dateDeployedUtcMillis}"><fmt:formatDate value='${rule.dateDeployed}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;</TD>
              </TR>
             </c:forEach>
          </c:otherwise>
       </c:choose>
       </TBODY>
   </table>

   </td></tr>
   </c:if>

   <c:if test="${deactivatedRules != null &&  !(empty deactivatedRules)}">
   <tr><td>
   <div>
   <h4><fmt:message key="rules.ruleDeploymentDetailContent.table.title.deactivatedRules.txt"/></h4>
   </div>
   <table class="mainTable" id="deactivatedRulesTable" align="left" style="margin:0px 0px 0px 0px;" onselectstart="return false;" border="1" cellspacing="0" cellpadding="0">
       <thead>
         <TR class="tableColumnHeaderRow">
             <TH class="centeredTableHeader" nowrap rules:sortAsNum title="<esapi:encodeForHTMLAttribute><fmt:message key='rules.ruleListDetailContent.tableHeader.id.title.txt'/></esapi:encodeForHTMLAttribute>">&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.id.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.name.txt"/></TH>

         	 <c:choose>
         	 <c:when test="${isTenantInstall==true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.alertType.txt"/></TH>
         	 </c:when>
         	 <c:otherwise>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.type.txt"/></TH>
         	 </c:otherwise>
         	 </c:choose>

             <c:choose>
             <c:when test="${showBU == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.businessUnit.txt"/></TH>
             </c:when>
             </c:choose>

             <c:choose>
             <c:when test="${showDescription == true}">
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.description.txt"/></TH>
             </c:when>
             </c:choose>

             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.multiOrg.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.lastUpdatedBy.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.ruleListDetailContent.tableHeader.lastUpdatedTime.txt"/></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.ruleDeploymentDetailContent.tableHeader.lastDeployedTime.txt"/></TH>
         </TR>
       </thead>
       <TBODY id="deactivatedRulesTableBody">
            <c:forEach var="rule" items="${deactivatedRules}" varStatus="status">
             <TR style="cursor:pointer;" id="${rule.id}" class="dataRow${status.count%2+1}_tableRow"
                    ondblclick="processMultiSelectRequest('printRules', '', false);"
                    onclick='handleRowSelection(${esapi:encodeForJavaScript(rule.id)}, ${esapi:encodeForJavaScript(rule.baseRuleId)}, ruleNames[${esapi:encodeForJavaScript(rule.id)}], "${esapi:encodeForJavaScript(rule.description)}",${esapi:encodeForJavaScript(rule.version)}, ${esapi:encodeForJavaScript(rule.lockVersion)},${esapi:encodeForJavaScript(rule.isDeployed)}, "${esapi:encodeForJavaScript(rule.workflowState)}", "${esapi:encodeForJavaScript(rule.guidedRule)}", "${esapi:encodeForJavaScript(rule.transactionTypeId)}", "${esapi:encodeForJavaScript(rule.multiOrgNodeId)}","${esapi:encodeForJavaScript(rule.queueId)}","${esapi:encodeForJavaScript(rule.alertTypeCode)}","${esapi:encodeForJavaScript(rule.alertReason)}", "${esapi:encodeForJavaScript(rule.executionOrderPriority)}", this,"rowSelected",event);'>

                <TD class="textTableCell" > &nbsp;${rule.baseRuleId}.${rule.version}</TD>
                <TD class="textTableCell" >&nbsp;
                   ${fn:escapeXml(rule.name)}
                </TD>

                <c:choose>
             	<c:when test='${isTenantInstall==true}'>
               	<TD class="textTableCell">&nbsp;
                  	<c:forEach var="alrt" items="${alertTypeInfo}">
                    	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' ' && rule.alertTypeCode==alrt.key}">
                        	${alrt.value.desc} (${rule.alertTypeCode})
                    	</c:if>
                  	</c:forEach>
               	</TD>
             	</c:when>
             	<c:otherwise>
               	<TD class="textTableCell">&nbsp;
               	   <fmt:message key="rules.ruleType.${rule.ruleTypeName}.txt"/>
                  	<c:if test="${not empty rule.alertTypeCode && rule.alertTypeCode != ' '}">(${rule.alertTypeCode})</c:if></TD>
             	</c:otherwise>
            	</c:choose>

                <c:choose>
                <c:when test="${showBU == true}">
                <TD class="textTableCell" >&nbsp;${rule.businessUnitName}</TD>
                </c:when>
                </c:choose>

                <c:choose>
                <c:when test="${showDescription == true}">
                <c:choose>
                <c:when test="${fn:length(rule.description) < 32 }">
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(rule.description)}</TD>
                </c:when>
                <c:otherwise>
                   <TD class="textTableCell" >&nbsp;${fn:escapeXml(fn:substring(rule.description, 0, 32))}...</TD>
                </c:otherwise>
                </c:choose>
                </c:when>
                </c:choose>


                <TD class="textTableCell" > &nbsp;
                ${fn:trim(fn:escapeXml(rule.multiOrgLabel))} (${fn:trim(fn:escapeXml(rule.multiOrgNodeKey))})
                </TD>
                <TD class="textTableCell" > &nbsp;${fn:escapeXml(rule.lastUpdateUser)}</TD>
                <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" sortvalue="${rule.lastUpdateTimestampUtcMillis}"><fmt:formatDate value='${rule.lastUpdateTimestamp}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;</TD>
                <TD class="textTableCell" ><span dateFormat="${dateFormat} ${timeFormat}" sortvalue="${rule.dateDeployedUtcMillis}"><fmt:formatDate value='${rule.dateDeployed}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;</TD>
              </TR>
             </c:forEach>
       </TBODY>
   </table>

   </td></tr>
   </c:if>

</table>

</div>

<script>
   attachEventHandlerToTableCells(['productionRulesTable', 'testingRulesTable', 'deactivatedRulesTable']);
 </script>
 <!-- TBD David's scripts to be refactored -->
<script>
//<!--

function myscrollingTableSizeToFit(name, objList)
{
   divObj = document.getElementById(name+"Div");
   tblObj = document.getElementById(name+"Table");

   if(tblObj && divObj)
   {
      var screenWidth = getClientWidth();
      var screenHeight = getClientHeight();

      var bot = 0;
      if(objList)
      {
         for(var i = 0; i < objList.length; i++)
         {
            if(document.getElementById(objList[i]))
               bot += document.getElementById(objList[i]).offsetHeight;
         }

      }

      var top = getTopPosition(tblObj);


      var maxHeight = ((screenHeight-top-bot) *0.80 );



      divObj.style.height = (maxHeight < tblObj.offsetHeight ? maxHeight : tblObj.offsetHeight)
   }

}
myscrollingTableSizeToFit('rule',['buttonTable']);



function myDeployRules()
{
        var sasSpinner = "common/images/spinner.gif";
        formElem = document.main;

        //setBusyDetail();

        // Display the spinner while we wait

        mysetErrorWarningDisplay( document, 'sasLog', 'SAS Log',
        '<image src="' + sasSpinner + '" border="0" height="15" width="15"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' );


        mysetErrorWarningDisplay(document, 'sasLog',  'SAS Log',
         '<font color=blue><b>'+' Results&nbsp;&nbsp;&nbsp;')

        formElem.submit();
}

function mysetErrorWarningDisplay( doc, destinationTab, destinationLabel, html )
{

    var statusArea = doc.getElementById( "errorWarningDisplay" );
    if (statusArea)
    {
        statusArea.innerHTML = "<span onclick=''>" +  html + "</span>";
        statusArea.title = "Show " + destinationLabel;
        statusArea.style.cursor = "pointer";
    }

}

<c:if test="${not empty confirmationMessage && empty errorMessage}">

var selectedNode = parent.frames[ "overview" ]._consoleTree.getSelectedNodes()[0];

if (selectedNode!=null){
	var title=selectedNode.getTitle();
	title= title.replace(/\*$/, '');
	selectedNode.setTitle(title);
	selectedNode.setTip("no changes");
}

</c:if>
//-->
</script>

</form>




