<%/*--------------------------------------------------------------------------------------|
|Copyright (c) 2006, SAS Institute, Inc.  All Rights Reserved.
|
|NAME: rules/ruleDetailMenu.jsp
|DESCRIPTION: JSP fragment to contain the menu buttons in the rule detail view
|---------------------------------------------------------------------------------------*/%>

<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%-- Push component attributes in page context --%>
<tiles:importAttribute/>

<SCRIPT language=JavaScript>
<!--

  var action = "<c:url value="/r_rules.do"/>";

  var actionsMenu = new Menu( 'actions', "<fmt:message key="rules.ruleDetailMenu.actions.txt" />", 'common/images/menu/', 'images/rules/' );
  actionsMenu.start();
  actionsMenu.addItem('status', "<fmt:message key="rules.ruleDetailMenu.showActiveSASProcessStatus.txt" />", "requestProcessAction('requestStatus')", '', '', '' );
  actionsMenu.addItem('cancel', "<fmt:message key="rules.ruleDetailMenu.killActiveSASProcess.txt" />", "requestProcessAction('cancelProcess','rules.ruleDetailMenu.killActiveSASProcess.confirm.txt')", '', '', '' );
  actionsMenu.addItem('Code', "<fmt:message key="rules.ruleDetailMenu.showGeneratedSASCode.txt" />", "confirmSavePriorToSasSubmit(false,document.ruleForm.obsCount.value,'true');", '', '', '' );

  if (${deployRules})
  {
     actionsMenu.addItem('reset', "<fmt:message key="rules.ruleDetailMenu.resetSASWorkspaceServerConnection.txt" />", "requestProcessAction('resetConnection','rules.ruleDetailMenu.resetSASWorkspaceServerConnection.confirm.txt')", '', '', '' );
  }
  actionsMenu.addSeparator();
  actionsMenu.addItem('printer', "<fmt:message key="rules.ruleDetailMenu.showPrinterFriendlyVersion.txt" />", "var w=window.open('rules/rulePrintableVersion.jsp','PrintableRule'+new Date().valueOf(),'menubar,toolbar,resizable=1,scrollbars=1,status=1,width=800,height=600');w.focus();", '', '', '' );
  actionsMenu.finish();
  var printerActionIndex = (${deployRules}) ? 4 : 3;

  var bar = new MenuBar("menubar",  'common/images/menu/', 'images/rules/');
  bar.start();

  bar.addItem("save", "<fmt:message key="fcm.application.save.txt" />", "submitForm('check');");
  bar.addItem('DebugBlue', "<fmt:message key="rules.ruleDetailMenu.debug.txt" />", "runSasCodeAfterSave(true,document.ruleForm.obsCount.value,false);", '', '');
  bar.addItem('Run', "<fmt:message key="rules.ruleDetailMenu.run.txt" />", "runSasCodeAfterSave(false,document.ruleForm.obsCount.value,false);", '', '');
  bar.addItem('CheckGreen', "<fmt:message key="rules.ruleDetailMenu.check.txt" />", "runSasCode(false,-1,false);", '', '');
  bar.addMenu( actionsMenu );
  bar.addItem('', "<fmt:message key="rules.ruleDetailMenu.help.txt" />", "openHelp({topic:'p0npgi71iyevatn1pghp3r63iwbf',locale:'${onlineHelpLocale}'});", '', '');
  bar.finish();

  // Initialize menus.
  MenuBar.init( true, document);

  // Disable 'Save' until something changes on the page
  disableSaveButton();

  // Disable all other buttons as well (they are re-enabled onload)
  bar.setEnabled( 1, false );
  bar.setEnabled( 2, false );
  bar.setEnabled( 3, false );
  bar.setEnabled( 4, false );
  actionsMenu.setEnabled( 0, false );
  actionsMenu.setEnabled( 1, false );
  actionsMenu.setEnabled( 2, false );
  actionsMenu.setEnabled( 3, false );

//-->
</SCRIPT>
