
// Persist the segment displayed
function saveSegment()
{
var segmentBusinessUnitId=null;
  if(document.getElementById("segmentBusinessUnitId")!=null){
	  segmentBusinessUnitId = document.getElementById("segmentBusinessUnitId").value;  // S1010617
	  if (segmentBusinessUnitId=='' && wildBuId==workingBuId)  // S1010617
	  {
	      alert($i18n("variable.segmentAction.js.selectBusinessUnit.alert.txt")); // S1010617
	      return; // S1010617
	  }
  }
  if (keyItems.length == 0 && document.getElementById("keyId")!=null) {
      alert($i18n("variable.segmentAction.js.selectKey.alert.txt"));
      return;
  }
  var desc = document.getElementById("segmentDesc").value.replace(/^\s*|\s*$/g,""); // Trim whitespace
  if(desc=='') {
	  alert($i18n("variable.segmentAction.js.emptyDesc.alert.txt"));
	  return;
  }
  var id = document.getElementById("segmentId").value;
  var upnbr = document.getElementById("segmentUpNbr").value;
  var segmentKeyFieldIds = new Array();
  for (var kk=0; kk<keyItems.length; kk++) {
      segmentKeyFieldIds.push(keyItems[kk].fieldId);
  }
  var segmentPrefixChar = document.getElementById("segmentPrefixChar").value;
  var createTimestamp = document.getElementById("createTimestamp").value;
  var lstUpdtTimestamp = document.getElementById("lstUpdtTimestamp").value;
  var createUser = document.getElementById("createUser").value;
  var lstUpdtUser = document.getElementById("lstUpdtUser").value;
  if(document.getElementById("segmentBusinessUnitId")!=null){
  target = segmentAction + '?method=saveSegment' +
           '&segmentBusinessUnitId=' + segmentBusinessUnitId + // S1010617
           '&segmentId=' + id +
           '&segmentUpNbr=' + upnbr +
           '&segmentDesc=' + encodeURIComponent(desc) +
           '&segmentPrefixChar=' + segmentPrefixChar +
           '&segmentKeyFieldIds=' + segmentKeyFieldIds.join(" ") +
           '&createTimestamp=' + createTimestamp +
           '&createUser=' + createUser +
           '&lstUpdtTimestamp=' + lstUpdtTimestamp +
           '&lstUpdtUser=' + lstUpdtUser +
           '&__sfmrt=' + getCookie("__sfmrt") +
           '&definer=' + definer + '&activity=' + activity + '&segment=' + segment + '&segmorgid=' + segmorgid + '&depth=' + depth;
  }else{
	  target = segmentAction + '?method=saveSegment' +      
      '&segmentId=' + id +
      '&segmentUpNbr=' + upnbr +
      '&segmentDesc=' + encodeURIComponent(desc) +
      '&segmentPrefixChar=' + segmentPrefixChar +
      '&segmentKeyFieldIds=' + segmentKeyFieldIds.join(" ") +
      '&createTimestamp=' + createTimestamp +
      '&createUser=' + createUser +
      '&lstUpdtTimestamp=' + lstUpdtTimestamp +
      '&lstUpdtUser=' + lstUpdtUser +
      '&__sfmrt=' + getCookie("__sfmrt") +
      '&definer=' + definer + '&activity=' + activity + '&segment=' + segment + '&segmorgid=' + segmorgid + '&depth=' + depth;  
  }
  setBusyDetail();
  //parent.frames[ "detail" ].location.href = target;
  $df.postURL( "detail", target);
}
//Remove the segment from active service
function deleteSegment()
{
  if (!confirm($i18n("variable.segmentAction.js.deleteSegment.confirm.txt")))
      return;
  var desc = document.getElementById("segmentDesc").value.replace(/^\s*|\s*$/g,""); // Trim whitespace
  var id = document.getElementById("segmentId").value;
  var upnbr = document.getElementById("segmentUpNbr").value;
  var segmentKeyFieldIds = new Array();
  for (var kk=0; kk<keyItems.length; kk++) {
      segmentKeyFieldIds.push(keyItems[kk].fieldId);
  }
  var segmentPrefixChar = document.getElementById("segmentPrefixChar").value;
  var createTimestamp = document.getElementById("createTimestamp").value;
  var lstUpdtTimestamp = document.getElementById("lstUpdtTimestamp").value;
  var createUser = document.getElementById("createUser").value;
  var lstUpdtUser = document.getElementById("lstUpdtUser").value;
  target = segmentAction + '?method=deleteSegment' +
           '&segmentId=' + id +
           '&segmentUpNbr=' + upnbr +
           '&segmentDesc=' + encodeURIComponent(desc) +
           '&segmentPrefixChar=' + segmentPrefixChar +
           '&segmentKeyFieldIds=' + segmentKeyFieldIds.join(' ') +
           '&createTimestamp=' + createTimestamp +
           '&createUser=' + createUser +
           '&lstUpdtTimestamp=' + lstUpdtTimestamp +
           '&lstUpdtUser=' + lstUpdtUser +
           '&__sfmrt=' + getCookie("__sfmrt") +
           '&definer=' + definer + '&activity=' + activity + '&segment=' + segment + '&segmorgid=' + segmorgid + '&depth=' + depth;
  setBusyDetail();
  //parent.frames[ "detail" ].location.href = target;
  $df.postURL( "detail", target);
}
