
function showTaskView(action, workingBuId)
{
    // alert(action);
	var url;
	if (action != "importRules") {
		setCookie("cf_lastRuleTask", action);
	}
	if (action == "listRules") {
		url = "r_rules.do?method=listRuleFolders&enableWildBu=false";
	} else if (action == "listLookupLists") {
		url = "r_lookupLists.do?method=listLookupListFolders&enableWildBu=false";
	} else if (action == "listVariables") {
		url = "r_variables.do?method=listVariableFolders&enableWildBu=true";
	} else if (action == "listTransactions") {
		url = "r_txnAdmin.do?method=listTransactions&enableWildBu=false";
	} else if (action == "listActions") {
		url = "r_txnAdmin.do?method=listAllTransactions&enableWildBu=false";
	} else if (action == "importRules") {
		showImportDialog("r_rulesImport.do");
		return;
	}
	// if workingBuId is passed, then change the working business unit
	// otherwise keep the same working business unit
	if (workingBuId) {
		url += "&workingBuId=" + workingBuId;
	}
    parent.frames['overview'].location.href = url;
}

function showImportDialog(action)
{
   //window.showModalDialog(action, window, "dialogHeight:400px;dialogWidth:600px;resizable:1;scroll:1;status:1;help:0;");
   //return;

   var winX = (document.all)?window.screenLeft:window.screenX;
   var winY = (document.all)?window.screenTop:window.screenY;
//   var cursor = getPosition();
   var win = window.open(action, 'ruleImportPopup', 'resizable=1,scrollbars=1,status=1,width=500,height=300');
   win.moveTo(winX+120, winY+120);
   win.focus();
}

function getPosition(e) {
    e = e || window.event;
    var cursor = {x:0, y:0};
    if (e.pageX || e.pageY) {
        cursor.x = e.pageX;
        cursor.y = e.pageY;
    }
    else {
        var de = document.documentElement;
        var b = document.body;
        cursor.x = e.clientX +
            (de.scrollLeft || b.scrollLeft) - (de.clientLeft || 0);
        cursor.y = e.clientY +
            (de.scrollTop || b.scrollTop) - (de.clientTop || 0);
    }
    return cursor;
}

function switchBu( bu )
{
	var action = "listRules";
	if (document.location.href.indexOf("listLookupListFolders") != -1) {
		action = "listLookupLists";
	}
	else if (document.location.href.indexOf("listVariableFolders") != -1) {
		action = "listVariables";
	}
	else if (document.location.href.indexOf("listTransactions") != -1) {
		action = "listTransactions";
	}
	else if (document.location.href.indexOf("listAllTransactions") != -1) {
		action = "listActions";
	}
	showTaskView(action, bu);
}
