
-----------------------------------------------
-- DDL Statements for table FCM_BRST_OXX
------------------------------------------------

CREATE TABLE FCM_BRST_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_BRST_OXX_32k INDEX IN IX_BRST_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CCBF_OXX
------------------------------------------------

CREATE TABLE FCM_CCBF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CCBF_OXX_32k INDEX IN IX_CCBF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CCCA_OXX
------------------------------------------------

CREATE TABLE FCM_CCCA_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CCCA_OXX_32k INDEX IN IX_CCCA_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CCCP_OXX
------------------------------------------------

CREATE TABLE FCM_CCCP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CCCP_OXX_32k INDEX IN IX_CCCP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CCDP_OXX
------------------------------------------------

CREATE TABLE FCM_CCDP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CCDP_OXX_32k INDEX IN IX_CCDP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CCMF_OXX
------------------------------------------------

CREATE TABLE FCM_CCMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CCMF_OXX_32k INDEX IN IX_CCMF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CCNM_OXX
------------------------------------------------

CREATE TABLE FCM_CCNM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CCNM_OXX_32k INDEX IN IX_CCNM_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CCSH_OXX
------------------------------------------------

CREATE TABLE FCM_CCSH_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CCSH_OXX_32k INDEX IN IX_CCSH_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSAB_OXX
------------------------------------------------

CREATE TABLE FCM_CSAB_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSAB_OXX_32k INDEX IN IX_CSAB_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSAE_OXX
------------------------------------------------

CREATE TABLE FCM_CSAE_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSAE_OXX_32k INDEX IN IX_CSAE_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSBF_OXX
------------------------------------------------

CREATE TABLE FCM_CSBF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSBF_OXX_32k INDEX IN IX_CSBF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSCA_OXX
------------------------------------------------

CREATE TABLE FCM_CSCA_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSCA_OXX_32k INDEX IN IX_CSCA_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSCK_OXX
------------------------------------------------

CREATE TABLE FCM_CSCK_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSCK_OXX_32k INDEX IN IX_CSCK_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSCP_OXX
------------------------------------------------

CREATE TABLE FCM_CSCP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSCP_OXX_32k INDEX IN IX_CSCP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSCW_OXX
------------------------------------------------

CREATE TABLE FCM_CSCW_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSCW_OXX_32k INDEX IN IX_CSCW_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSDP_OXX
------------------------------------------------

CREATE TABLE FCM_CSDP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSDP_OXX_32k INDEX IN IX_CSDP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSMF_OXX
------------------------------------------------

CREATE TABLE FCM_CSMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSMF_OXX_32k INDEX IN IX_CSMF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSNM_OXX
------------------------------------------------

CREATE TABLE FCM_CSNM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSNM_OXX_32k INDEX IN IX_CSNM_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_CSSH_OXX
------------------------------------------------

CREATE TABLE FCM_CSSH_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_CSSH_OXX_32k INDEX IN IX_CSSH_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCBF_OXX
------------------------------------------------

CREATE TABLE FCM_LCBF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCBF_OXX_32k INDEX IN IX_LCBF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCCA_OXX
------------------------------------------------

CREATE TABLE FCM_LCCA_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCCA_OXX_32k INDEX IN IX_LCCA_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCCK_OXX
------------------------------------------------

CREATE TABLE FCM_LCCK_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCCK_OXX_32k INDEX IN IX_LCCK_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCCP_OXX
------------------------------------------------

CREATE TABLE FCM_LCCP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCCP_OXX_32k INDEX IN IX_LCCP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCCW_OXX
------------------------------------------------

CREATE TABLE FCM_LCCW_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCCW_OXX_32k INDEX IN IX_LCCW_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCDP_OXX
------------------------------------------------

CREATE TABLE FCM_LCDP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCDP_OXX_32k INDEX IN IX_LCDP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCMF_OXX
------------------------------------------------

CREATE TABLE FCM_LCMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCMF_OXX_32k INDEX IN IX_LCMF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCNM_OXX
------------------------------------------------

CREATE TABLE FCM_LCNM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCNM_OXX_32k INDEX IN IX_LCNM_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_LCSH_OXX
------------------------------------------------

CREATE TABLE FCM_LCSH_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_LCSH_OXX_32k INDEX IN IX_LCSH_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_MAFM_OXX
------------------------------------------------

CREATE TABLE FCM_MAFM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_MAFM_OXX_32k INDEX IN IX_MAFM_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_MAMF_OXX
------------------------------------------------

CREATE TABLE FCM_MAMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_MAMF_OXX_32k INDEX IN IX_MAMF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_MANM_OXX
------------------------------------------------

CREATE TABLE FCM_MANM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_MANM_OXX_32k INDEX IN IX_MANM_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_NAME_OXX
------------------------------------------------

CREATE TABLE FCM_NAME_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_NAME_OXX_32k INDEX IN IX_NAME_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_NAMF_OXX
------------------------------------------------

CREATE TABLE FCM_NAMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_NAMF_OXX_32k INDEX IN IX_NAMF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_NAMO_OXX
------------------------------------------------

CREATE TABLE FCM_NAMO_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_NAMO_OXX_32k INDEX IN IX_NAMO_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_NAMP_OXX
------------------------------------------------

CREATE TABLE FCM_NAMP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_NAMP_OXX_32k INDEX IN IX_NAMP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_NANM_OXX
------------------------------------------------

CREATE TABLE FCM_NANM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_NANM_OXX_32k INDEX IN IX_NANM_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLBF_OXX
------------------------------------------------

CREATE TABLE FCM_SLBF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLBF_OXX_32k INDEX IN IX_SLBF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLCA_OXX
------------------------------------------------

CREATE TABLE FCM_SLCA_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLCA_OXX_32k INDEX IN IX_SLCA_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLCK_OXX
------------------------------------------------

CREATE TABLE FCM_SLCK_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLCK_OXX_32k INDEX IN IX_SLCK_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLCP_OXX
------------------------------------------------

CREATE TABLE FCM_SLCP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLCP_OXX_32k INDEX IN IX_SLCP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLCW_OXX
------------------------------------------------

CREATE TABLE FCM_SLCW_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLCW_OXX_32k INDEX IN IX_SLCW_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLDP_OXX
------------------------------------------------

CREATE TABLE FCM_SLDP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLDP_OXX_32k INDEX IN IX_SLDP_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLMF_OXX
------------------------------------------------

CREATE TABLE FCM_SLMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLMF_OXX_32k INDEX IN IX_SLMF_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLNM_OXX
------------------------------------------------

CREATE TABLE FCM_SLNM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLNM_OXX_32k INDEX IN IX_SLNM_OXX_8K
 COMPRESS YES ;


-----------------------------------------------
-- DDL Statements for table FCM_SLSH_OXX
------------------------------------------------

CREATE TABLE FCM_SLSH_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP NOT NULL   
,	CMX_TRAN_ID BIGINT NOT NULL   
,	CMX_CREATE_TIMESTAMP TIMESTAMP    
,	SMH_MULTI_ORG_NODE_KEY CHARACTER(6) NOT NULL   
,	ENCODING CHARACTER(1)    
,	OXX_ID CHARACTER(2) NOT NULL   
,	OXX_SEG_ID_VERSION CHARACTER(8)    
,	OXX_VARIABLE_DATA_LENGTH INTEGER    
,	OXX_BUILD_NUM INTEGER    
,	OXX_EXECUTION_BUILD_NUM INTEGER    
,	SEGMENT_DATA VARCHAR(31545) FOR BIT DATA    
)
 IN TS_SLSH_OXX_32k INDEX IN IX_SLSH_OXX_8K
 COMPRESS YES ;

