
CREATE UNIQUE INDEX PKX_BRST_OXX 
 ON FCM_BRST_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_BRST_OXX 
 ON FCM_BRST_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;


CREATE  INDEX NDX1_CCBF_OXX 
 ON FCM_CCBF_OXX ( RQO_PROC_UTC_DATETIME ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CCBF_OXX 
 ON FCM_CCBF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE UNIQUE INDEX PKX_CCBF_OXX 
 ON FCM_CCBF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC )   
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;


CREATE UNIQUE INDEX PKX_CCCA_OXX 
 ON FCM_CCCA_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CCCA_OXX 
 ON FCM_CCCA_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE UNIQUE INDEX PKX_CCCP_OXX 
 ON FCM_CCCP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CCCP_OXX 
 ON FCM_CCCP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CCDP_OXX 
 ON FCM_CCDP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CCDP_OXX 
 ON FCM_CCDP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CCMF_OXX 
 ON FCM_CCMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CCMF_OXX 
 ON FCM_CCMF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CCNM_OXX 
 ON FCM_CCNM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CCNM_OXX 
 ON FCM_CCNM_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CCSH_OXX 
 ON FCM_CCSH_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CCSH_OXX 
 ON FCM_CCSH_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSAB_OXX 
 ON FCM_CSAB_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSAB_OXX 
 ON FCM_CSAB_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSAE_OXX 
 ON FCM_CSAE_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSAE_OXX 
 ON FCM_CSAE_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSBF_OXX 
 ON FCM_CSBF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSBF_OXX 
 ON FCM_CSBF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSCA_OXX 
 ON FCM_CSCA_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSCA_OXX 
 ON FCM_CSCA_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSCK_OXX 
 ON FCM_CSCK_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSCK_OXX 
 ON FCM_CSCK_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSCP_OXX 
 ON FCM_CSCP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSCP_OXX 
 ON FCM_CSCP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSCW_OXX 
 ON FCM_CSCW_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSCW_OXX 
 ON FCM_CSCW_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSDP_OXX 
 ON FCM_CSDP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSDP_OXX 
 ON FCM_CSDP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSMF_OXX 
 ON FCM_CSMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSMF_OXX 
 ON FCM_CSMF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSNM_OXX 
 ON FCM_CSNM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSNM_OXX 
 ON FCM_CSNM_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_CSSH_OXX 
 ON FCM_CSSH_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_CSSH_OXX 
 ON FCM_CSSH_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCBF_OXX 
 ON FCM_LCBF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCBF_OXX 
 ON FCM_LCBF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCCA_OXX 
 ON FCM_LCCA_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCCA_OXX 
 ON FCM_LCCA_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCCK_OXX 
 ON FCM_LCCK_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCCK_OXX 
 ON FCM_LCCK_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCCP_OXX 
 ON FCM_LCCP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCCP_OXX 
 ON FCM_LCCP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCCW_OXX 
 ON FCM_LCCW_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCCW_OXX 
 ON FCM_LCCW_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCDP_OXX 
 ON FCM_LCDP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCDP_OXX 
 ON FCM_LCDP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCMF_OXX 
 ON FCM_LCMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCMF_OXX 
 ON FCM_LCMF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCNM_OXX 
 ON FCM_LCNM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCNM_OXX 
 ON FCM_LCNM_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_LCSH_OXX 
 ON FCM_LCSH_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_LCSH_OXX 
 ON FCM_LCSH_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_MAFM_OXX 
 ON FCM_MAFM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_MAFM_OXX 
 ON FCM_MAFM_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_MAMF_OXX 
 ON FCM_MAMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_MAMF_OXX 
 ON FCM_MAMF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_MANM_OXX 
 ON FCM_MANM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_MANM_OXX 
 ON FCM_MANM_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_NAME_OXX 
 ON FCM_NAME_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_NAME_OXX 
 ON FCM_NAME_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_NAMF_OXX 
 ON FCM_NAMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_NAMF_OXX 
 ON FCM_NAMF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_NAMO_OXX 
 ON FCM_NAMO_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_NAMO_OXX 
 ON FCM_NAMO_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_NAMP_OXX 
 ON FCM_NAMP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_NAMP_OXX 
 ON FCM_NAMP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_NANM_OXX 
 ON FCM_NANM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_NANM_OXX 
 ON FCM_NANM_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLBF_OXX 
 ON FCM_SLBF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLBF_OXX 
 ON FCM_SLBF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLCA_OXX 
 ON FCM_SLCA_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLCA_OXX 
 ON FCM_SLCA_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLCK_OXX 
 ON FCM_SLCK_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLCK_OXX 
 ON FCM_SLCK_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLCP_OXX 
 ON FCM_SLCP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLCP_OXX 
 ON FCM_SLCP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLCW_OXX 
 ON FCM_SLCW_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLCW_OXX 
 ON FCM_SLCW_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLDP_OXX 
 ON FCM_SLDP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLDP_OXX 
 ON FCM_SLDP_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLMF_OXX 
 ON FCM_SLMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLMF_OXX 
 ON FCM_SLMF_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLNM_OXX 
 ON FCM_SLNM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLNM_OXX 
 ON FCM_SLNM_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;



CREATE UNIQUE INDEX PKX_SLSH_OXX 
 ON FCM_SLSH_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME ASC ) 
   ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;

CREATE  INDEX NDX2_SLSH_OXX 
 ON FCM_SLSH_OXX ( CMX_CREATE_TIMESTAMP ASC ) 
     ALLOW REVERSE SCANS PCTFREE 10  COMPRESS YES;


