
with dpname as (  select tabname,datapartitionname 
        from syscat.datapartitions a
        where ( tabname like 'FCM_%_IXX' 
                  and datapartitionname not like '%CF%' 
                          and  datapartitionname not like '%THE_END%' 
                          and tabschema = CURRENT_SCHEMA 
                          and status != 'I' )
        and tabschema = CURRENT_SCHEMA 
        and lowvalue = ( select max(lowvalue) 
                         from syscat.datapartitions b
                         where a.tabschema = b.tabschema 
                         and a.tabname = b.tabname 
                         and b.datapartitionname not like '%CF%' 
                         and b.datapartitionname not like '%THE_END%' 
                         and tabschema = CURRENT_SCHEMA 
                         and status != 'I'))
  select 'ALTER TABLE ' || rtrim(CURRENT_SCHEMA) || '.'||tabname||' DETACH PARTITION ' 
                  || ''  || datapartitionname || ''  
                  || ' INTO ' || rtrim(CURRENT_SCHEMA) || '.'||tabname||'_DTCH_' || datapartitionname  || ';'
                  from dpname;
        