%macro getInterpResults_v2(in=indata,out=outdata,indep=depVar,depvars=,start=0,incr=5,stop=100);
  %local j;

  %let j=&start.;
  %do %until (&j > &stop.);
    %interp_v2 (dataset=&in, xname=&indep, xvalue=&j, varnames=&depvars, outdataset=__getall_tmp__);
    proc append base=&out. data=__getall_tmp__ FORCE NOWARN;
    run;
    %let j=%eval(&j+&incr);
  %end;
%mend getInterpResults_v2;
