<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<%@page import="com.sas.finserv.creditfraud.webapp.service.ConfigurationService"%>
<%@page import="com.sas.finserv.common.appregistry.AppRegistryFactory"%>

<script language="JavaScript" src="admin/scripts/groups.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

<SCRIPT language=JavaScript>
<!--

		 if(${businessUnit.deleteAllowedMsg == 'YES'}){
			parent.sas.fscf.getCurrentDetailToolbar().getContent()[1].setEnabled(true); //delete is the second button
		}

//-->
</SCRIPT>

<script type="text/javascript">
<!--
	$(document).ready(function(){
		var users = $("#unassignedUsersId");
		var assignedUsers = $("#assignedUsersId");
		<c:forEach var="userid" items="${businessUnit.users}">
			var user = users.find("option[value='${esapi:encodeForJavaScript(userid.id)}']");
			assignedUsers.append(user);
		</c:forEach>

		users.change(function(){
			$("#assignedUsersId").get(0).selectedIndex = -1;
		});

		assignedUsers.change(function(){
			$("#unassignedUsersId").get(0).selectedIndex = -1;
		});

		$("a#assignUsersAction").click(function(){
			$("#unassignedUsersId").find(":selected").appendTo("#assignedUsersId");
			return false;
		});
		$("a#assignAllUsersAction").click(function(){
			$("#unassignedUsersId").find("option").prop("selected",true).appendTo("#assignedUsersId");
			return false;
		});
		$("a#unassignUsersAction").click(function(){
			$("#assignedUsersId").find(":selected").appendTo("#unassignedUsersId");
			return false;
		});
		$("a#unassignAllUsersAction").click(function(){
			$("#assignedUsersId > option").each(function(){
				if($(this).prop("disabled")!=true)
					$(this).prop("selected",true).appendTo("#unassignedUsersId");
			});
			return false;
		});
	});

//-->
</script>



<div>
<%-- Error handling code --%>

<c:url var="reloadURL" value="/a_groups.sj?method=listBusinessUnits&treeSelectedGroupTeam=B${businessUnit.id}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
	<tiles:put name="reloadURL" value="${reloadURL}" />
	<tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
	<tiles:put name="objectTypeName" value="group" />
</tiles:insert>

<form id="businessUnitDefForm" action="<c:url value='/a_businessUnitDefinition.sj'/>" method="post" onsubmit="return submitBusinessUnitForm(this)">

<input type="hidden" name="method" value="saveBusinessUnit">
   <input type="hidden" name="id" value="${businessUnit.id}">
   <input type="hidden" name="version" value="${businessUnit.version}">
   <input type="hidden" name="deleteAllowedMsg" value = "${businessUnit.deleteAllowedMsg}">

<TABLE name="tableView" class="configurationTable" style="width:700px; margin-left:5px; margin-right:5px;"
   border="0" cellspacing="0" cellpadding="5">

    <tr align="left" valign="top" >
      <td colspan="3" class="configurationTableSectionNoHover" style="padding:5px;"><fmt:message key="fcm.groups.businessUnit.definition.txt" /></td>
    </tr>

  <!-- <tr class="configurationTableDataRow" ><td colspan="2">&nbsp;</td</tr> -->
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap scope="col"><fmt:message key="fcm.groups.businessUnit.id.txt" />:</td>
      <td  valign="middle" scope="col">${businessUnit.id}</td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap scope="col"><fmt:message key="fcm.groups.businessUnit.name.txt" />:</td>
      <td valign="middle" scope="col">
      <c:if test="${businessUnit.id!=-1}"><input name="name" type="text" class="famTextEntry" value="${esapi:encodeForHTMLAttribute(businessUnit.name)}" style="width:540px" maxlength="50"/></c:if>
      <c:if test="${businessUnit.id==-1}"><input type="hidden" name="name" value="${esapi:encodeForHTMLAttribute(businessUnit.name)}">${esapi:encodeForHTML(businessUnit.name)}</c:if>
      </td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
      <td nowrap scope="col"><fmt:message key="fcm.groups.businessUnit.desc.txt" />:</td>
      <td valign="middle" scope="col"><textarea class="famTextEntry" name="desc" rows="4" style="width:540px" wrap="PHYSICAL" onKeyDown="limitChars(this,100);" onKeyUp="limitChars(this,100,true);" >${esapi:encodeForHTML(businessUnit.desc)}</textarea>
      </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
      <td><label class="first" for="multiOrg"><fmt:message key="fcm.groups.businessUnit.multiOrg.txt" />:</label></td>
        <c:choose>
      	 	<c:when test ="${isTenantInstall==true}">
			  <c:choose>
      	 		<c:when test="${businessUnit.deleteAllowedMsg == 'YES'}">
      	 			<td><select name="rootMultiOrgId" class="famSelect" style="width:250">
                 		<c:forEach var="multiOrgNode" items="${tenantOrgNodes}" varStatus="status">
							<c:choose>
								<c:when test="${businessUnit.rootMultiOrgId == multiOrgNode.id}">
                 					<option value="${multiOrgNode.id}" selected="true">${esapi:encodeForHTML(multiOrgNode.label)}</option>
								</c:when>
								<c:otherwise>
									<option value="${multiOrgNode.id}">${esapi:encodeForHTML(multiOrgNode.label)}</option>
								</c:otherwise>
							</c:choose>
                  		 </c:forEach>
                	</select>
          		  </td>
      	 		</c:when>
      	 		<c:otherwise>
              		<td><span onmouseover="$('#multiOrgPopup').css('display', '');"><select disabled name="rootMultiOrgId" class="famSelect" style="width:250">
               			<option value="${businessUnit.rootMultiOrgId}">
               				<c:forEach var="tenantNode" items="${tenantOrgNodes}" varStatus="status">
               					<c:if test="${businessUnit.rootMultiOrgId == tenantNode.id}">
               						${esapi:encodeForHTML(tenantNode.label)}
               					</c:if>
               			 	 </c:forEach>
               			  </option>
	                	</select></span>
	                	<input type="hidden" name="rootMultiOrgId" value="${businessUnit.rootMultiOrgId}">

	                	<div id="multiOrgPopup" style="position:fixed; top:225px; margin-left: -46px; z-index:20; width:310px; background-color:white; top-margin:300px; border:1px solid #039; display:none;" onmouseover="this.style.display='';" onmouseout="this.style.display='none';">
							<table cellpadding="0" cellspacing="0" border="0" style="padding:2px;">
								<tr style="vertical-align:middle;">
									<td>${businessUnit.deleteAllowedMsg}</td>
								</tr>
							</table>
						</div>
          			</td>
          		</c:otherwise>
          	  </c:choose>
        	</c:when>
         <c:otherwise>
         	<td><input type="hidden" name="rootMultiOrgId" value="${rootOrg.id}">${rootOrg.label}</td>
         </c:otherwise>
        </c:choose>
   </tr>
   <tr>
      <td align="left" valign="top" colspan="2" class="configurationTableSectionNoHover" style="padding:5px;"> <fmt:message key="fcm.groups.team.userAssignment.txt" />: </td>
   </tr>

   <tr class="configurationTableDataRow" align="left" valign="top">
      <td colspan="2">
       <div id="repGrid" style="display:block">
         <table width="100%" border="0" cellpadding="0" cellspacing="0" >
            <tr class="configurationTableDataRow">
               <td align="left" valign="bottom" width="10%" >
                  <b style="margin:2px;"><fmt:message key="fcm.groups.group.repSelect.txt" />: </b><br/>
                  <div id="unassignedUsersContainer" style="display:inline;">
                     <select id="unassignedUsersId" class="famSelect" size="25" style="width:27em;margin:2px;"
                        multiple="true" <c:if test="${businessUnit.id==-1}">disabled</c:if>>
			<c:forEach var="user" items="${activeUsers}">
				<option value="${user.id}" <c:if test="${user.id==currentUser}"> disabled="true" </c:if>>${esapi:encodeForHTML(user.lastName)}, ${esapi:encodeForHTML(user.firstName)}</option>
			</c:forEach>
                     </select>
                  </div>
               </td>
               <td valign="middle" width="5%">
                  <p align="center"><br/>
                     <c:if test="${businessUnit.id!=-1}">
                     <a id="assignUsersAction" href="javascript:void()"  title="">
                     </c:if>
<!--                     <img src="common/images/ArrowRightAdd.gif" border="0"> -->
                   	 <span class="sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons" data-sap-ui-icon-content="&#xf039;"></span>
                     <c:if test="${businessUnit.id!=-1}">
                     </a>
                     </c:if>
                     <br />
                     <c:if test="${businessUnit.id!=-1}">
                     <a id="assignAllUsersAction" href="javascript:void()" title="">
                     </c:if>
<!--                     <img src="common/images/ArrowRightAddAll.gif"  border="0"> -->
                   	 <span class="sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons" data-sap-ui-icon-content="&#xf038;"></span>
                     <c:if test="${businessUnit.id!=-1}">
                     </a>
                     </c:if>
                     <br/>
                     <br />
                     <c:if test="${businessUnit.id!=-1}">
                     <a id="unassignUsersAction" href="javascript:void()"title="">
                     </c:if>
<!--                     <img src="common/images/ArrowLeftRemove.gif" border="0"> -->
                   	 <span class="sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons" data-sap-ui-icon-content="&#xf037;"></span>
                     <c:if test="${businessUnit.id!=-1}">
                     </a>
                     </c:if>
                     <br />
                     <c:if test="${businessUnit.id!=-1}">
                     <a id="unassignAllUsersAction" href="javascript:void()" title="">
                     </c:if>
<!--                     <img src="common/images/ArrowLeftRemoveAll.gif" border="0"> -->
                   	 <span class="sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons" data-sap-ui-icon-content="&#xf036;"></span>
                     <c:if test="${businessUnit.id!=-1}">
                     </a>
                     </c:if>
                     <br/>
                     <br />
                  </p>
               </td>
               <td align="left" valign="top" width="*">
                  <b style="margin:2px;"><fmt:message key="fcm.groups.businessUnit.repAssign.txt" />: </b><br/>
                 <div id="assignedUsersContainer" style="display:inline">
                     <select id="assignedUsersId" class="famSelect" size="25" style="width:27em;margin:2px;"
                        multiple="true"  <c:if test="${businessUnit.id==-1}">disabled</c:if>>
                     </select>
                  </div>

               </td>
            </tr>

         </table>
       </div>
    </td></tr>

</TABLE>
</form>
</div>


<c:if test="${not empty updateGroups && !updateGroups}">
  <script language="JavaScript">
  //<!--
    setFormsReadOnly();
  //-->
  </script>
</c:if>

