<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<script language="JavaScript" src="admin/scripts/listboxAssignments.js"></script>

<script type="text/javascript" src="common/scripts/jquery.cascade.js"></script>
<script type="text/javascript" src="common/scripts/jquery.field.js"></script>
<script language="JavaScript" src="admin/scripts/users.js"></script>
<script language="JavaScript" src="admin/scripts/preference.js"></script>

<style type="text/css">@import "common/styles/sasStyles.css";</style>
<style type="text/css">@import "includes/view.css";</style>
<script language="JavaScript" src="includes/view.js"></script>

 <script language="JavaScript">
 //<!--
    var  _dim=" : ";

      var _users = new Array();
      var _roleUsers="";
      var _rolePrivileges="";
      <c:forEach var="user" items="${role.assignedUsers}" varStatus="u_status">
            _roleUsers += "'"+${esapi:encodeForJavaScript(user)}+"'"+_dim;
      </c:forEach>
      <c:forEach var="privilege" items="${role.privileges}" varStatus="p_status">
            _rolePrivileges += "'"+${esapi:encodeForJavaScript(privilege)}+"'"+_dim;
      </c:forEach>
     <c:forEach var="user" items="${users}" varStatus="uStatus">
          var user = new Object();
           user.id = ${user.id};
           user.label = "${esapi:encodeForJavaScript(esapi:encodeForHTML(user.lastName))}, ${esapi:encodeForJavaScript(esapi:encodeForHTML(user.firstName))}";
           user.text = "(${esapi:encodeForJavaScript(esapi:encodeForHTML(user.username))})";
             if (_roleUsers.indexOf("'${user.id}'")>-1)
             {
                user.isAssigned = true;
                user.isAssignedOriginally=true;
              }
             else
             {
               user.isAssigned = false;
                user.isAssignedOriginally=false;
             }
           _users.push(user);
   </c:forEach>
   //-->
   </script>

<div>
<%-- Error handling code --%>
<c:url var="reloadURL" value="/a_userAdmin.sj?method=listUsers&treeSelectedRole=${role.id}" />
<tiles:insert page="/admin/adminDetailErrorHandling.jsp" flush="true">
	<tiles:put name="reloadURL" value="${reloadURL}" />
	<tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
	<tiles:put name="objectTypeName" value="role" />
</tiles:insert>

<form id = "roleDefForm" name="roleForm" action="<c:url value='/a_roleDefinition.sj'/>" method="post" onsubmit="return submitRoleForm(this);">

<input type="hidden" name="method" value="saveRole">
<input type="hidden" name="id" value="${role.id}">
<input type="hidden" name="version" value="${role.version}">
<input type="hidden" name="assignedUsersString" value="">
<input type="hidden" name="dilimiter" value="">

<div style="text-align:left;padding:10px">
    <img src="admin/images/WarningStatus.gif"/>&nbsp;<fmt:message key="fcm.users.role.modificationCare.txt"/>
</div>

<TABLE name="roleDefinitionTable" class="configurationTable" style="margin-left:5px; width:600px;" cellspacing="0" cellpadding="2" border="0" >
    <tr align="left" valign="top" onclick="showDiv($('#generalPropertiesImg')[0], 'generalPropertiesBlock');">
      <td colspan="3" class="configurationTableSection" style="padding:5px;">
<!--      	<img src="admin/images/sprite_arrow_down_light.png" align="middle" /> -->
        <span id="generalPropertiesImg" class="configurationSectionTwirly sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons" data-sap-ui-icon-content="&#xf06e;"></span>
      	&nbsp;&nbsp;<fmt:message key="fcm.users.role.definition.txt" />
      </td>
    </tr>

<tr id="generalPropertiesBlock" class="configurationTableDataRow" valign="top">
<td colspan="2">
    <div id="generalPropertiesBlock" style="height:auto;overflow:none;">
        <div class="configurationSection" style="height:auto; overflow:none; padding:5px;">
<table>

    <tr class="configurationTableDataRow" valign="top">
        <td><fmt:message key="fcm.users.role.roleid.txt" /></td>
        <td>${role.id}</td>
        <td>&nbsp;</td>
     </tr>


    <tr class="configurationTableDataRow" valign="top">
      <td><fmt:message key="fcm.users.role.name.txt" /></td>
      <td colspan="2"><input name="name" class="famTextEntry" type="text" value="${esapi:encodeForHTMLAttribute(role.name)}" style="width:400px" maxlength="50" /></td>
    </tr>
    <tr class="configurationTableDataRow" valign="top">
      <td><fmt:message key="fcm.users.role.description.txt" /></td>
      <td colspan="2"><input name="description" class="famTextEntry" type="text" value="${esapi:encodeForHTMLAttribute(role.description)}" style="width:550px" maxlength="100" /></td>
    </tr>
    <tr class="configurationTableDataRow" valign="top">
      <td colspan="3">&nbsp;</td>
    </tr>

</table>
        </div>
    </div>
</td>
</tr>

    <tr align="left" valign="top" onclick="showDiv($('#privilegesImg')[0], 'rolePrivilegeBlock');" >
      <td colspan="3" class="configurationTableSection" style="padding:5px;">
<!--      	<img src="admin/images/sprite_arrow_right_light.png" align="middle" /> -->
        <span id="privilegesImg" class="configurationSectionTwirly sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons" data-sap-ui-icon-content="&#xf06d;"></span>
      	&nbsp;&nbsp;<fmt:message key="fcm.users.role.privileges.txt" />
      </td>
    </tr>

<tr id="rolePrivilegeBlock" class="configurationTableDataRow" valign="top" style="display:none;">
<td colspan="2">
<table>

    <tr class="configurationTableDataRow" valign="top">
        <td colspan="3" style="padding-right:10px">
           <DIV class="rolePrivilegeGrid">
              <table  align="left"  width="100%" border="0" cellspacing="0" cellpadding="0">
                 <TR>
                   <c:forEach var="privilege" items="${privileges}" varStatus="status">
                          <TD width="5%">
                                          <script language="JavaScript">
                                          //<!--
                                          if (_rolePrivileges.indexOf("'${esapi:encodeForJavaScript(privilege.privilegeId)}'")>-1)
                                             document.write('<input type=checkbox name="privilegesList" value="${esapi:encodeForJavaScript(esapi:encodeForHTMLAttribute(privilege.privilegeId))}" CHECKED="checked">');
                                          else
                                             document.write('<input type=checkbox name="privilegesList" value="${esapi:encodeForJavaScript(esapi:encodeForHTMLAttribute(privilege.privilegeId))}">');
                                          //-->
                                          </script>
                          <TD> &nbsp; ${esapi:encodeForHTML(privilege.description)}</TD>
                              <c:if test="${(status.count % 2)==0}">
                                </TR><TR>
                              </c:if>
                        </c:forEach>
                 </TR>
              </table>
            </DIV>
        </td>
      </tr>
    <tr class="configurationTableDataRow" valign="top">
      <td colspan="3">&nbsp;</td>
    </tr>

</table>
</td>
</tr>

   <!-- User Assignment Selection -->

    <tr align="left" valign="top" onclick="showDiv($('#userAssignmentsImg')[0], 'userAssignmentBlock');dismissPopup('addUsers');">
      <td colspan="3" class="configurationTableSection" style="padding:5px;">
<!--      	<img src="admin/images/sprite_arrow_right_light.png" align="middle" /> -->
        <span id="userAssignmentsImg" class="configurationSectionTwirly sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons" data-sap-ui-icon-content="&#xf06d;"></span>
      	&nbsp;&nbsp;<fmt:message key="fcm.users.role.userassignments.txt" />
      </td>
    </tr>

<tr id="userAssignmentBlock" class="configurationTableDataRow" valign="top" style="display:none;">
<td colspan="2">
<table>

   <tr class="configurationTableDataRow">
     <td colspan="3" nowrap><br>
      <a id="addUsersAnchor" class="menuItemButton" onClick="showDropDownMenu('addUsers',[document.roleForm.usersList]);return false;" href="#">
          <fmt:message key="fcm.details.add.txt" /> <img width="7" height="4" border="0" src="common/images/menu/dropBlue.gif"/>
       </a>
       &nbsp;
       <a id="removeUsersAnchor" class="menuItemButton" onClick="moveSelectedOptions(document.roleForm.usersList,document.roleForm.unAssignedUsers,false,_users);return false;" href="#">
         <fmt:message key="fcm.details.remove.txt" />
       </a>
     </td>
   </tr>
   <tr class="configurationTableDataRow">
     <td colspan="3" >
        <div id="usersListContainer" style="display:inline">
           <select name="usersList" class="famSelect" style="width:25em" size="6" multiple onChange="hideDescription()">
           </select>
        </div>
        <script language="JavaScript">
        //<!--
            loadListboxByAssignment(_users,'usersListContainer',true);
        //-->
        </script>
        <a style="vertical-align:top" onClick="showDescription(this,'_users',document.roleForm.usersList);return false;" href="#">
         <!-- <img src="common/images/infoBlue.gif" alt="<fmt:message key='fcm.application.highlightItemForDescription.txt'/>" border="0" width="16" height="16" align="top" /> -->
       	 <span class="sapUiBtnIco sapUiBtnIcoL sapUiIcon" style="font-family: sas-icons" data-sap-ui-icon-content="&#xf330;" title="<fmt:message key='fcm.application.highlightItemForDescription.txt'/>"></span>
       </a>
        <br>&nbsp;
     </td>
   </tr>
   <!-- User Assignment Selection -->

   </table>
</td>
</tr>

    </table>

  <!-- Hidden User List-->
<div id="addUsersDiv" style="visibility:hidden;position:absolute;z-index:30;">
 <table class="menuDialog" border="0" cellspacing="0" cellpadding="4">
   <tr>
     <td align="left">
        <div id="unAssignedUsersContainer" style="display:inline">
           <select name="unAssignedUsers" class="famSelect" style="width:25em" size="6" multiple onChange="hideDescription()">
           </select>
        </div>
        <script language="JavaScript">
        //<!--
            loadListboxByAssignment(_users,'unAssignedUsersContainer',false);
        //-->
        </script>
     </td>
   </tr>
   <tr>
     <td align="left" >
        <input type="button" value="<fmt:message key="fcm.details.ok.txt" />" onClick="moveSelectedOptions(document.roleForm.unAssignedUsers,document.roleForm.usersList,true,_users);hideDropDownMenu('addUsers',[document.roleForm.usersList])">
        <input id="addUsersClose" type="button" value="<fmt:message key="fcm.details.cancel.txt" />" onClick="hideDropDownMenu('addUsers',[document.roleForm.usersList])">
     </td>
   </tr>
  </table>
  </div>

    <!-- Description Window for items in the assignment listboxes -->
    <div id="descriptionWindow" style="font-size:0.7rem;font-weight:bold;text-align:left;padding:2px;height:100px;width:180px;overflow:none;visibility:hidden;position:absolute">
    <fmt:message key="fcm.details.description.txt" />
    </div>
    <textarea id="descriptionWindowTextArea" readonly cols="25" rows="6"
       style="display:none;overflow:auto;border:none;padding-left:5px;color:#275e94;background-color:#f0f1f2;font-size:0.7rem;height:80px;width=180px"  >
    </textarea>
    <!-- End Description Window for items in the assignment listboxes -->

</form>
</div>

<c:if test="${not empty updateRoles && !updateRoles}">
  <script language="JavaScript">
  //<!--
    setFormsReadOnly();
  //-->
  </script>
</c:if>
