	function doNewUserAction()
	{
       setBusy();
	   var method = 'method=createUser';
	   var action = 'a_userAdmin.sj?__sfmrt=' + getCookie("__sfmrt") + "&" + method;
	   $df.postURL("overview", action);
	}

	function doNewRoleAction()
	{
       setBusy();
	   var method = 'method=createRole';
	   var action = 'a_userAdmin.sj?__sfmrt=' + getCookie("__sfmrt") + "&" + method;
	   $df.postURL("overview", action);
	}

	function showDetail(frameName, methodName)
    {
			var tree = userTree;
      var selectedNodes = tree.getSelectedNodes();
      if(selectedNodes.length == 1)
      {
         var selectedNode = selectedNodes[0];
         if(selectedNode.parentId == 0)
         {
        	parent.sas.fscf.getCurrentDetailToolbar().setContentFor();
            parent.frames[ frameName ].location.href = 'common/blank.html';
         }
         else
         {
        	setBusy();
            setCookieForTab(selectedNode.getId());
            var type = (selectedNode.mark == "ROLE") ? "role" : "user";
      	  	parent.sas.fscf.getCurrentDetailToolbar().setContentFor(type, parent.frames["overview"]._canModifyUsers, parent.frames["overview"]._canModifyRoles);
            var action = selectedNode.parameters.join('&');
            action = action.replace('#methodName#',methodName);
            action = action + '&__sfmrt=' + getCookie("__sfmrt");
//            parent.frames[frameName].location.href = action;
            $df.postURL(frameName, action);
         }
      }
      else
      {
    	  parent.sas.fscf.getCurrentDetailToolbar().setContentFor();
          parent.frames[ frameName ].location.href = 'common/blank.html';
      }
   }

   function doSaveAction()
   {
	   //setBusy();
	   var $form = $("#userDefForm");
	   if ($form.length) {
		   $form.submit();
	   } else {
		   $form = $("#roleDefForm");
		   if ($form.length) {
			   $form.submit();
		   }
	   }
   }

   function doDeleteAction()
   {
      var tree = parent.frames['overview'].userTree;
      var selectedNodes = tree.getSelectedNodes();
      //make sure users are not assigned to this role
	  var _roleUsers = parent.frames['detail']._roleUsers;
      if(isDefined(_roleUsers)){
	      if(_roleUsers.length!=0){
		 	alert($i18n("fcm.users.js.doDeleteAction.alert2.txt"));
		 	return;
	      }
	  }
      if(selectedNodes.length == 0 || selectedNodes[0].parentId == 0)
      {
         alert($i18n("fcm.users.js.doDeleteAction.alert0.txt"));
         return;
      }
      if (selectedNodes.length == 1)
      {
      	if(parent.frames['detail'].isSystemUser && parent.frames['detail'].isSystemUser())
      	{
      		alert($i18n("fcm.users.js.doDeleteAction.systemUserDenied.txt"));
      		return;
      	}
      	else if(confirm($i18n("fcm.users.js.doDeleteAction.confirm0.txt")))
         {
	         parent.frames['overview'].showDetail('overview','delete');
           setCookieForTab('');
         }
         return;
      }
	alert($i18n("fcm.users.js.doDeleteAction.alert1.txt"));
   }

   function doCopyAction()
   {
      var tree = parent.frames['overview'].userTree;
      var selectedNodes = tree.getSelectedNodes();
      if(selectedNodes.length == 0 || selectedNodes[0].parentId == 0)
      {
         alert($i18n("fcm.users.js.doCopyAction.alert0.txt"));
         return;
      }
      if (selectedNodes.length == 1)
      {
	       parent.frames['overview'].showDetail('overview','copy');
         return;
      }
			alert($i18n("fcm.users.js.doCopyAction.alert1.txt"));
   }


		function getUserAssignment()
		{
				var str="";
				var modified=false;
				for (var i=0; i<_users.length;i++)
				{
					if (_users[i].isAssigned != _users[i].isAssignedOriginally)
					{
						modified = true;
					}
					if (_users[i].isAssigned == true)
					{
						str += _users[i].id + _dim;
					}
				}
        document.roleForm.assignedUsersString.value=str;
        return modified;
		}

function submitRoleForm(formObj)
{
	if (!validateNotEmpty($i18n("fcm.users.js.roleName.txt"),formObj.name.value))
		return false;

	if(!confirm($i18n("fcm.users.js.submitRoleForm.confirm0.txt"))){
		return false;
	}

	formObj.assignedUsersString.value="";
	getUserAssignment();
	formObj.dilimiter.value=_dim;

	setBusy();
}

function submitUserForm(formObj)
{
	if(isSystemUser())
	{
		if(!confirm($i18n("fcm.users.js.submitUserForm.systemUserConfirm.txt")))
			return false;
	}
  if (!validateNotEmpty($i18n("fcm.users.js.userName.txt"),formObj.username.value))
    return false;
//  if($("input[name='multiOrgSels']:checked").length < 1)
//  {
//	  alert($i18n("fcm.users.js.submitUserForm.alert0.txt"));
//	  return false;
//  }
  if($("input[name='businessUnitSels']:checked").length < 1)
  {
	  alert($i18n("fcm.users.js.submitUserForm.alert1.txt"));
	  return false;
  }
  //make sure that the global business unit is saved
  $("input[name='businessUnitSels']").prop("disabled",false);

  setBusy();
}

function warnEmailAddress(field)
{
	var addr = jQuery.trim(field.value);
	var re = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
	var display = (addr.length > 0 && !re.test(addr)) ? "" : "none";
	$("#" + field.name + "Warn").css("display", display);

}