<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<c:forEach var="ruleFired" items="${rulesFired}">
	<tr style="background-color:white">
	<c:set var="ruleWon" value="${ruleFired.won > 0 ? 'Winning' : ''}"/>
	<c:set var="ruleType" value="${esapi:encodeForHTMLAttribute(ruleFired.type)}"/>
		<td nowrap="nowrap"><img class="icon" src="analyst/images/${ruleWon}${ruleType}Rule.gif" alt="${ruleType}" width="16" height="16"/>&nbsp;${esapi:encodeForHTML(ruleFired.name)}</td>
		<td>${esapi:encodeForHTML(ruleFired.reason)}</td>
	</tr>
	<script>$('#rulesFiredTableBody').prev().show()</script>
</c:forEach>
<c:if test="${empty rulesFired and empty errMsg}">
	<tr style="background-color:white;">
		<td><fmt:message key="fcm.alert.noRulesFound.txt" /></td>
		<td></td>
	</tr>
	<script>$('#rulesFiredTableBody').prev().hide()</script>
</c:if>
<c:if test="${not empty errMsg}">
	<tr style="background-color:white;color:red;font-weight:bold">
		<td>${esapi:encodeForHTML(errMsg)}</td>
		<td></td>
	</tr>
	<script>$('#rulesFiredTableBody').prev().hide()</script>
</c:if>