<%@ page contentType="application/json; charset=UTF-8" %>
<%@ taglib prefix="c"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt"    uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="sfmfmt" uri="/META-INF/tld/sas-fin-svcs-fraud-fmt.tld" %>
<%@ taglib prefix="sfmmsk" uri="/META-INF/tld/sas-fin-svcs-fraud-msk.tld" %>
<%@ taglib prefix="esapi2" uri="/META-INF/tld/sas-fin-svcs-fraud-json.tld" %>
<c:choose>
<c:when test="${not empty newAlert}">
<fmt:setBundle var="alertTypeLabelResourceBundle" scope="request" basename="com.sas.finserv.creditfraud.fcm.util.AlertTypeLabelResourceBundle" />
<fmt:setBundle var="alertTypeImageResourceBundle" scope="request" basename="com.sas.finserv.creditfraud.fcm.util.AlertTypeImageResourceBundle" />
<c:set var="displayType"><img src='<fmt:message key="${newAlert.alertType}" bundle="${alertTypeImageResourceBundle}"/>' class='icon' width='16' height='16'/> <fmt:message key="${newAlert.alertType}" bundle="${alertTypeLabelResourceBundle}"/> </c:set>
{
"alertID":"${esapi2:encodeForJSON(newAlert.id)}",
"alertValue":"<sfmmsk:maskData value="${newAlert.entityID}" maskType="ID" />",
"alertType":"${esapi2:encodeForJSON(newAlert.alertType)}",
"alertStatus":"${esapi2:encodeForJSON(newAlert.alertStatus)}",
"callResultID":"${esapi2:encodeForJSON(newAlert.lastCallResultId)}",
"strategy":"${esapi2:encodeForJSON(newAlert.strategyDescription)}",
"queue":"${esapi2:encodeForJSON(newAlert.queue.name)}",
"alertVersion":"${esapi2:encodeForJSON(newAlert.version)}",
"checkoutUser":"${esapi2:encodeForJSON(newAlert.checkoutUser)}",
"suspendUser":"${esapi2:encodeForJSON(userAlert.suspendUser)}",
"entityObj":<sfmfmt:entityToJSON entity="${newAlert.entity}" useDoubleQuotes="true"/>,
"displayType":"${esapi2:encodeForJSON(displayType)}",
"displayStatus": "<sfmfmt:formatAlertStatus value="${newAlert}" excludeCheckout="true"/>",
"isSameContact":${isSameContact},
"isCheckoutAvailable": ${isCheckoutAvailable}
}
</c:when>
<c:otherwise>
{
"errMsg":"${esapi2:encodeForJSON(errMsg)}"
}
</c:otherwise>
</c:choose>
