var i=0;
var a=0;
var ruleFormSplitter1;
var ruleFormVerticalLayout;
var ruleGuidedFormGrid;
var ruleConditions = [];
var ruleModel = [];
var operatorSelectItems = [];
var inclusionSelectItems = [];
var inclusionTextItems = {
	"AND":sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.all.txt")+":",
	"OR":sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.any.txt")+":",
	"NOR":sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.none.txt")+":"
};

sap.ui.jsview("sas.fscf.views.Form", {

    getControllerName: function () {
        return "sas.fscf.views.Form";
    },

    createContent: function(oController) {
    	var _this = this;

    	this.addStyleClass("cfFormView");

    	var fieldsBlank = false;

    	var ruleExpressionsFormGrid = new sas.hc.ui.layout.VerticalLayout({
    		id: this.sId + '_RuleExpressionsFormGrid',
    		width: "100%",
    		hSpacing: 1,
    		vSpacing: 0,
    		content: [
    		         ]
		});

    	ruleGuidedFormGrid = new sas.hc.ui.layout.VerticalLayout({
    			id: this.sId + '_RuleGuidedFormGrid',
    			width: "100%",
				hSpacing: 1,
				vSpacing: 0,
				visible: false,
				content: [

				]
		});

    	 /*sas.fscf.getCurrentPageView().ruleModel=
    	                {

    	                        "type": "AND",
    	                        "operator": "AND",
    	                        "expressions": [
    	                            {
    	                                "type": "COMPARE",
    	                                "operator": "EQUAL",
    	                                "fieldId": 376,
    	                                "fieldName": "HCT_TERM_CITY",
    	                                "value": "BOSTON"
    	                            },
    	                            {
    	                                "type": "COMPARE",
    	                                "operator": "GTE",
    	                                "fieldId": 1413,
    	                                "fieldName": "rua_2byte_string_004",
    	                                "value": "1234"
    	                            },
    	                            {
    	                                "type": "RANGE",
    	                                "fieldId": 1413,
    	                                "fieldName": "rua_2byte_string_004",
    	                                "leftValue": "1",
    	                                "rightValue": "10000",
    	                                "leftOperator": "GTE",
    	                                "rightOperator": "LT"
    	                            },
    	                            {
    	                                "type": "OR",
    	                                "operator": "OR",
    	                                "expressions": [
    	                                    {
    	                                        "type": "COMPARE",
    	                                        "operator": "LTE",
    	                                        "fieldId": 1413,
    	                                        "fieldName": "rua_2byte_string_004",
    	                                        "value": "9999"
    	                                    },
    	                                    {
    	                                        "type": "COMPARE",
    	                                        "operator": "EQUAL",
    	                                        "fieldId": 1413,
    	                                        "fieldName": "rua_2byte_string_004",
    	                                        "value": "5555"
    	                                    }
    	                                ]
    	                            }
    	                     ],
    	                    "thenActions": [
    	                        {
    	                            "actionId": 50105
    	                        }
    	                    ],
    	                    "elseActions": [
    	                        {
    	                            "actionId": 50102
    	                        }
    	                    ]
    	                };*/
    	_this.initSplitForm();

    	ruleFormVerticalLayout = new sas.hc.ui.commons.layout.VerticalLayout({
   		    id: this.sId + '_RuleFormVerticalLayout',
   		    width: "100%",
            content: [
                ruleExpressionsFormGrid,
                ruleGuidedFormGrid
            ]
        });

        return ruleFormVerticalLayout;
    },

    printObject:function(o) {
    	  var out = '';
    	  for (var p in o) {
    	    out += p + ': ' + o[p] + '\n';
    	  }
    	  alert(out);
    },

    setAutoCompleteModel:function(fieldName,inputField){
    	var inputContent = "(" + fieldName + ":*" + inputField.getValue() + "*)";
    	$.ajax({url:"rest/transactions/facets?q=" + inputContent + "&fields=" + fieldName + "&name=" + sas.fscf.getCurrentPageView().jsonRule.transactionTypeId + "&scope=" + sas.fscf.getCurrentPageView().jsonRule.multiOrgNodeId, contentType:"application/json; charset=utf-8", dataType:"json"})
		.done(function(oData){
			if (oData[Object.keys(oData)[0]]) {
				if (oData[Object.keys(oData)[0]]['children']) {
					var data = oData[Object.keys(oData)[0]]['children'][0];
					var autoCompleteModel = new sap.ui.model.json.JSONModel(data);
					inputField.setModel(autoCompleteModel);
				}
			}
		}).fail(function(oObj,textStatus){
			console.log("Failed to get data");
		});
    	return inputField;
    },

    getFieldTypeComboBox: function(selectedField,forRange){
    	var _this = this;
    	jQuery.sap.require("sap.ui.model.Sorter");

   		var fieldTypesModel = this.getPalette()._model;//new sap.ui.model.json.JSONModel("rest/businessunits/" + sas.fscf.getCurrentPageView().jsonRule.businessUnitId + "/fieldtypes?txnType=" + sas.fscf.getCurrentPageView().jsonRule.transactionTypeId);
    	fieldTypesModel.setSizeLimit(100000);

    	fieldTypeComboBox = new sap.ui.commons.ComboBox({
    		name: "fieldComboBox",
    		width:"300px"
    	});
    	// control is missing getSelectedItem function, so add it
    	fieldTypeComboBox.getSelectedItem = function() {
    		return sap.ui.getCore().byId(this.getSelectedItemId());
    	};

    	var enabledIndicator = true;

    	fieldTypeComboBox.bindAggregation("items", {
            path: "/items",
            factory: function(sId, oContext) {
                  var li = new sas.hc.ui.core.ListItem(sId, {
                        key: oContext.getProperty("id"), //oContext.getProperty("id")
                        text: oContext.getProperty("altName"),
                        visible: oContext.getProperty("variableType")=="Character" && forRange==true ? false : true
                  });
                  li._variableType = oContext.getProperty("variableType");
                  return li;
            },
            sorter: new sap.ui.model.Sorter("altName")
        });

    	fieldTypeComboBox.setModel(fieldTypesModel);
    	fieldTypeComboBox.setSelectedKey(selectedField);
    	fieldTypeComboBox.attachChange(function (oEvent) {
    		_this.somethingChangedInFullForm();
        });
    	fieldTypeComboBox.attachLiveChange(function (oEvent) {
    		fieldTypeComboBox.setValueState(sap.ui.core.ValueState.None);
        });
    	return fieldTypeComboBox;
    },

    getLocalizedItem: function(itemKey){
    	var localizedItem = new sas.hc.ui.core.Item({
        	  key: itemKey,
        	  text: sas.fscf.getLocalizedOperator(itemKey)
        });
    	return localizedItem;
    },

    getOperatorSelect: function(selectedOperator,toolbarType){
    	var _this = this;
    	if(toolbarType == null || toolbarType == undefined){
    		toolbarType = "Numeric";
    	}
    	var operatorSelect = new sas.hc.m.Select({
			name:"expressionOperatorSelect",
    	});
    	if(toolbarType=="Numeric" || toolbarType=="Currency"){
    		operatorSelect.addItem(_this.getLocalizedItem("EQUAL"));
    		operatorSelect.addItem(_this.getLocalizedItem("NE"));
    		operatorSelect.addItem(_this.getLocalizedItem("GT"));
    		operatorSelect.addItem(_this.getLocalizedItem("GTE"));
    		operatorSelect.addItem(_this.getLocalizedItem("LT"));
    		operatorSelect.addItem(_this.getLocalizedItem("LTE"));
    		operatorSelect.addItem(_this.getLocalizedItem("IN"));
    		operatorSelect.addItem(_this.getLocalizedItem("NOTIN"));
    		operatorSelect.addItem(_this.getLocalizedItem("MISSING"));
    		operatorSelect.addItem(_this.getLocalizedItem("NOTMISSING"));
    	}
    	else if(toolbarType=="Character"){
    		operatorSelect.addItem(_this.getLocalizedItem("EQUAL"));
	     	operatorSelect.addItem(_this.getLocalizedItem("NE"));
	     	operatorSelect.addItem(_this.getLocalizedItem("IN"));
	     	operatorSelect.addItem(_this.getLocalizedItem("NOTIN"));
	     	operatorSelect.addItem(_this.getLocalizedItem("MISSING"));
	     	operatorSelect.addItem(_this.getLocalizedItem("NOTMISSING"));
	     	operatorSelect.addItem(_this.getLocalizedItem("SW"));
     		operatorSelect.addItem(_this.getLocalizedItem("NOTSW"));
     		operatorSelect.addItem(_this.getLocalizedItem("SWANY"));
     		operatorSelect.addItem(_this.getLocalizedItem("NOTSWANY"));
     		operatorSelect.addItem(_this.getLocalizedItem("EW"));
     		operatorSelect.addItem(_this.getLocalizedItem("NOTEW"));
     		operatorSelect.addItem(_this.getLocalizedItem("EWANY"));
     		operatorSelect.addItem(_this.getLocalizedItem("NOTEWANY"));
     		operatorSelect.addItem(_this.getLocalizedItem("CO"));
     		operatorSelect.addItem(_this.getLocalizedItem("NOTCO"));
     		operatorSelect.addItem(_this.getLocalizedItem("COANY"));
     		operatorSelect.addItem(_this.getLocalizedItem("NOTCOANY"));
    	}
    	else if(toolbarType=="Range"){
    		operatorSelect.setWidth("80px");
    		operatorSelect.addItem(_this.getLocalizedItem("LT"));
    		operatorSelect.addItem(_this.getLocalizedItem("LTE"));
    	}
    	if(selectedOperator!=null && selectedOperator!=""){
    		operatorSelect.setSelectedKey(selectedOperator);
    		operatorSelectItems[operatorSelect.getId()]=selectedOperator;
    	}
    	else{
    		operatorSelectItems[operatorSelect.getId()]=operatorSelect.getItems()[0].getKey();
    	}
    	operatorSelect.attachChange(function (oEvent) {
    		if(this.getSelectedKey()=="CUSTOM"){
    			_this.getFunctionDialog().open();
    		}
    		operatorSelectItems[this.getId()]=this.getSelectedKey();
    		_this.somethingChangedInFullForm();
        });
    	return operatorSelect;
    },

    getOperatorText: function(selectedInclusion){
    	var operatorTextView = new sap.ui.commons.TextView({
    		  name:"expressionOperator",
        	  wrapping : false,
        	  text : sas.fscf.getLocalizedOperator(selectedInclusion)
    	});
    	return operatorTextView;
    },

    getMajorInclusionSelect: function(tId,selectedIncl,isNested){
    	var _this = this;
    	var inclSpacerWidth = "0px";//isNested?"30px":"0px";
    	var oInclusionSelect = new sas.hc.m.Select({
    		   name:"inclusionOperatorSelect",
    		   items: [
    		           new sas.hc.ui.core.Item({
    		        	   //id: this.sId + "inclusionSelect_all",
    		        	   key: "AND",
    		        	   text: sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.all.txt")
    		           }),
    		           new sas.hc.ui.core.Item({
    		        	   //id: this.sId + "inclusionSelect_any",
    		        	   key: "OR",
    		        	   text: sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.any.txt")
    		           }),
    		           new sas.hc.ui.core.Item({
    		        	   //id: this.sId + "inclusionSelect_none",
    		        	   key: "NOR",
    		        	   text: sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.none.txt")
    		           }),
    		          ]
    	 });
    	oInclusionSelect.setSelectedKey(selectedIncl);
    	if(selectedIncl!=null && selectedIncl!=""){
    		inclusionSelectItems[oInclusionSelect.getId()]=selectedIncl;
    	}
    	else{
    		inclusionSelectItems[oInclusionSelect.getId()]=oInclusionSelect.getSelectedKey();
    	}
    	oInclusionSelect.attachChange(function (oEvent) {
    		inclusionSelectItems[this.getId()]=this.getSelectedKey();
    		_this.somethingChangedInFullForm();
        });
    	toolbarInclusionSelect = new sap.m.Toolbar({
    		content: [
    		          new sap.m.ToolbarSpacer({width:inclSpacerWidth}),
    		          oInclusionSelect
    		]
    	});
    	toolbarInclusionSelect._tId = tId;
    	if(isNested){
    		toolbarInclusionSelect.addStyleClass("nestedExpression");
    	}
    	if (tId == ("F-0" + _this.id_suffix)) {
    		toolbarInclusionSelect.addContent(
    		    new sap.m.ToolbarSpacer({
    		    	width: "30px"
    			})
    		);
    		toolbarInclusionSelect.addContent(
    			mainErrorTextView = new sap.ui.commons.TextView({
    				name : "mainErrorText",
    				semanticColor : sap.ui.commons.TextViewColor.Negative,
    				wrapping : false
    			})
    		);
    		toolbarInclusionSelect.addContent(
		      	new sap.m.ToolbarSpacer({
				})
		    );
    		toolbarInclusionSelect.addContent(
	      		new sap.m.Label({
	                text: sas.fscf.rb.getText("rules.rulesPage.guidedView.population.txt")
	    		})
	      	);
    		toolbarInclusionSelect.addContent(
				new sas.hc.m.ProgressIndicator({
				    id: _this.sId + 'FullFormPopulationIndicator',
				    width : "24%",
				    percentValue : 100,
				    displayValue : sas.fscf.percentFormatter.format(1),
				    showValue : true,
				    state: sap.ui.core.ValueState.None
				})
			);
    	}

    	//set name attribute
    	toolbarInclusionSelect.onAfterRendering = function() {
        	if (sap.m.Toolbar.prototype.onAfterRendering) {
        		sap.m.Toolbar.prototype.onAfterRendering.apply(this);
        	}
        	// must be set after rendering when the dom ref will exist
        	var ruleFormGrid = sap.ui.getCore().byId(_this.sId + '_RuleGuidedFormGrid');
        	if(ruleFormGrid.indexOfContent(toolbarInclusionSelect)!=-1){
        		toolbarInclusionSelect.getDomRef().setAttribute("name", toolbarInclusionSelect._tId);
        	}
    	};
    	toolbarInclusionSelect._isMajor = true;
    	return toolbarInclusionSelect;
    },

    getMajorInclusionText: function(selIncl,isNested){
    	var inclTextSpacerWidth = "0px";//isNested ? "30px" : "0px";
    	if(selIncl=="AND"){
    		selIncl = sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.all.txt") + ":";
    	}
    	else if(selIncl=="OR"){
    		selIncl = sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.any.txt") + ":";
    	}
    	else if(selIncl=="NOR"){
    		selIncl = sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSets.none.txt") + ":";
    	}
    	majorInclusionField = new sap.ui.commons.TextView({
        	  name : "inclusionField",
        	  wrapping : false,
        	  text : selIncl
    	});
    	toolbarInclusionText = new sap.m.Toolbar({
    		content: [
    		          new sap.m.ToolbarSpacer({width:inclTextSpacerWidth}),
    		          majorInclusionField
    		]
    	});
    	if(isNested){
    		toolbarInclusionText.addStyleClass("nestedExpressionSplitForm");
    	}
    	toolbarInclusionText._isMajor = true;
    	return toolbarInclusionText;
    },

    initForm: function(fullFormGrid){
    	var _this = this;

		var ruleModel = sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition;
		var exs = ruleModel["expressions"];
    	var selectedInclusionOperator = ruleModel["type"];
    	fullFormGrid.addContent(_this.getMajorInclusionSelect("F-0" + _this.id_suffix,selectedInclusionOperator,false));
    	if(exs==null || exs == [] || exs==""){
    		fullFormGrid.addContent(_this.getToolbar("F-1" + _this.id_suffix,"",false,true));
    	}
    	else if(exs!=null && exs != []){
    		if(exs.length==0){
    			fullFormGrid.addContent(_this.getToolbar("F-1" + _this.id_suffix,"",false,true));
    		}
    		else {
        		for(var d=0;d<exs.length;d++){
        			var expressionType = exs[d]["type"];
        			if(expressionType!="OR" && expressionType!="AND" && expressionType!="NOR"){
        				if(d==0){
        					fullFormGrid.addContent(_this.getToolbar(exs[d]["id"] + _this.id_suffix,exs[d],false,true));
        				}
        				else{
        					fullFormGrid.addContent(_this.getToolbar(exs[d]["id"] + _this.id_suffix,exs[d],false));
        				}
        			}
        			else{
        				if(d==0){
        					fullFormGrid.addContent(_this.getToolbar("F-1" + _this.id_suffix,"",false,true));
        				}
        				var subSelectedInclusionOperator= exs[d]["type"];
        				fullFormGrid.addContent(_this.getMajorInclusionSelect(exs[d]["id"] + _this.id_suffix,subSelectedInclusionOperator,true));
        				var subExs = exs[d]["expressions"];
        				for(var skey in subExs){
        					fullFormGrid.addContent(_this.getToolbar(subExs[skey]["id"] + _this.id_suffix,subExs[skey],true));
        				}
        			}
        		}
        	}
    	}
    	return fullFormGrid;
    },

    id_suffix: "_Toolbar",

    getRootId: function(id) {
    	return id.substr(0, id.length - this.id_suffix.length);
    },

    getNextId: function(tId){
    	var indices = this.getRootId(tId).split("-");
    	indices[indices.length - 1] = parseInt(indices[indices.length - 1]) + 1;
    	return indices.join("-") + this.id_suffix;
    },

    modifyIds: function(parent, startIndex, level, delta){
    	var toolbar;
    	var tId;
    	for (var i = startIndex; i < parent.getContent().length; i++) {
    		toolbar = parent.getContent()[i];
    		tId = toolbar._tId;
        	var indices = this.getRootId(tId).split("-");
        	if (level > indices.length - 1) {
        		return;
        	}
        	indices[level] = parseInt(indices[level]) + delta;
    		tId = indices.join("-") + this.id_suffix;
    		toolbar._tId = tId;
    	}
    },

    modifyModelIds: function(parent, startIndex, level, delta){
    	var id;
    	for (var i = startIndex; i < parent.length; i++) {
    		id = parent[i].id;
        	var indices = id.split("-");
        	if (level > indices.length - 1) {
        		return;
        	}
        	indices[level] = parseInt(indices[level]) + delta;
    		id = indices.join("-");
    		parent[i].id = id;
    		// get sub-groups if there are any
			if ((parent[i]["type"] == "OR") || (parent[i]["type"] == "AND") || (parent[i]["type"] == "NOR")) {
   				this.modifyModelIds(parent[i].expressions, 0, level, delta);
			}
    	}
    },

    initSplitForm: function(){
    	var _this = this;
    	var splitFormGrid = sap.ui.getCore().byId(this.sId + "_RuleExpressionsFormGrid");
    	//ruleModel = sas.fscf.getCurrentPageView().ruleModel;
    	var ruleModel = sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition;
    	var exs = ruleModel["expressions"];
    	var selIncl = ruleModel["type"];
    	splitFormGrid.destroyContent();
    	if(exs!=null && exs!=[] && exs!=""){
    		splitFormGrid.addContent(_this.getMajorInclusionText(selIncl,false));
    	}
    	for(var key in exs){
    		var fieldId = exs[key]["fieldId"];
    		var expressionType = exs[key]["type"];
        	if(expressionType!="OR" && expressionType!="AND" && expressionType!="NOR"){
        		splitFormGrid.addContent(this.getRuleExpressionToolbar(exs[key]["id"] + this.id_suffix,exs[key],false));
        	}
        	else{
        		var subExs = exs[key]["expressions"];
        		var subSelIncl = exs[key]["type"];
        		splitFormGrid.addContent(_this.getMajorInclusionText(subSelIncl,true));
    	    	for(var skey in subExs){
    	    		var fieldId = subExs[skey]["fieldId"];
    	    		splitFormGrid.addContent(this.getRuleExpressionToolbar(subExs[skey]["id"] + this.id_suffix,subExs[skey],true));
    	    	}
        	}
    	}
    	return splitFormGrid;
    },

    getFunctionDialog: function(toolbar,modButton){
    	var oDialog = new sas.hc.m.Dialog({
        	title: sas.fscf.rb.getText('rules.rulesPage.guidedView.form.modifiers.additionalModifiers.txt'),
        	width: "200px",
    	    content: [
    	              new sas.hc.ui.layout.Grid({
      	  				hSpacing: 1,
      	  				vSpacing: 1,
      	  				content: [
      	  				      ignoreCaseCB = new sas.hc.ui.commons.CheckBox({
      	  				       	  	text : sas.fscf.rb.getText('rules.rulesPage.guidedView.form.modifiers.ignoreCase.txt'),
      	  				       	  	checked : toolbar._modifiers.indexOf("IC")!=-1 ? true : false,
      	  				       	  	layoutData : new sap.ui.layout.GridData({
      	  				       	  		span : "L8 M8 S8",
      	  				       	  		linebreakL: true,
      	  				       	  		linebreakM: true,
      	  				       	  		linebreakS: true
      	  				       	  	}),
      	  				       	  	change : function() {
      	  				       	  		if(ignoreCaseCB.getChecked()){
      	  				       	  			toolbar._modifiers.push("IC");
      	  				       	  		}
      	  				       	  		else{
      	  				       	  			var index = toolbar._modifiers.indexOf("IC");
      	  				       	  			toolbar._modifiers.splice(index,1);
      	  				       	  		}
      	  				       	  	}
      	  				      }),
      	  				      compressCB = new sas.hc.ui.commons.CheckBox({
	  				       	  		text : sas.fscf.rb.getText('rules.rulesPage.guidedView.form.modifiers.ignoreWhiteSpace.txt'),
	  				       	  		checked : toolbar._modifiers.indexOf("CM")!=-1 ? true : false,
	  				       	  		layoutData : new sap.ui.layout.GridData({
	  				       	  			span : "L8 M8 S8",
	  				       	  			linebreakL: true,
	  				       	  			linebreakM: true,
	  				       	  			linebreakS: true
	  				       	  		}),
	  				       	  		change : function() {
	  				       	  			if(compressCB.getChecked()){
	  				       	  				toolbar._modifiers.push("CM");
	  				       	  			}else{
	  				       	  				var index = toolbar._modifiers.indexOf("CM");
	  				       	  				toolbar._modifiers.splice(index,1);
	  				       	  			}
	  				       	  		}
      	  				      }),

	    	    ],
    	    }),

    	    ],
    	    leftButton: new sas.hc.m.Button({
    	    	text: sas.fscf.rb.getText('rules.rulesPage.ok.txt'),
    	        press: function() {
    	        	sas.fscf.getCurrentPageView().setDirty(true);
    	        	if(toolbar._modifiers.length>0){
    	        		modButton.setIcon("sap-icon://hc/attributes");
    	        		//modButton.setPressed(true);
    	        	}
    	        	else{
    	        		modButton.setIcon("sap-icon://hc/file");
    	        		//modButton.setPressed(false);
    	        	}
    	        	oDialog.close();
    	        }
    	    })
        });
    	return oDialog;
    },

    getToolbar: function(tId,expressionArr,isNested,firstToolbar,expressionType){

    	var _this = this;
    	var ruleFormGuidedToolbar = i+"ruleFormGuidedToolbar";
    	var expressionOperator = i+"expressionOperator";
    	var spacerWidth = "30px";//isNested?"60px":"30px";
    	i++;
    	var ruleFormGrid = sap.ui.getCore().byId(this.sId + '_RuleGuidedFormGrid');

    	var ruleFormGuidedToolbar = i+"ruleFormGuidedToolbar";
    	var fieldSelect = i+"fieldSelect";
    	var operatorSelect = i+"operatorSelect";
    	var addModifiersButton = i+"addModifiersButton";
    	var criteriaInput = i+"criteriaInput";
    	var errorTextView = i+"errorTextView";
    	var multiInputSelect = i+"multiInputSelect";
    	var leftOperatorSelect, rightOperatorSelect, addConditionButton, addFieldButton, addRangeButton, deleteFieldButton, addNestedRuleButton;

    	if(!expressionType){expressionType=expressionArr["type"];}

    	if(expressionType!="RANGE"){
    		var criteriaInput;
    		ruleFormGuidedToolbar = new sap.m.Toolbar({
    			content: [
    			      toolbarSpacer = new sap.m.ToolbarSpacer({width:spacerWidth}),

	                  fieldSelect = this.getFieldTypeComboBox(expressionArr["fieldId"]),

	                  operatorSelect = this.getOperatorSelect(expressionArr["operator"],expressionArr["fieldType"]),

	                  addModifiersButton =  new sas.hc.m.Button({
	                	  icon: "sap-icon://hc/file",
	                	  tooltip: "Add Modifiers",
	                	  visible: (expressionArr["fieldType"] == "Character" && sas.fscf.getCurrentPageView().isDevEnv == "true") ? true : false,
	                	  press: function() {
	                		  _this.getFunctionDialog(ruleFormGuidedToolbar,addModifiersButton).open();
	                	  }
	                  }),

	                  criteriaInput = new sas.hc.m.Input({//new sas.hc.ui.commons.AutoComplete({
	                	name : "valueInput",
	                	maxLength : 50,
	                	width : "220px",
	                	showSuggestion: true,
	      				type: (expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? sap.m.InputType.Number : sap.m.InputType.Text,
	  	                value : (expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") && expressionArr["value"]!=null ? sas.fscf.floatFormatter.format(expressionArr["value"]) : expressionArr["value"],
	  	                enabled : fieldSelect.getSelectedItem()==undefined? false : true,
	      				maxPopupItems: 10,
	      				displaySecondaryValues: true,
	      				suggestionItems: {
	      					path: "/children",
	      					template: new sap.ui.core.Item({text: "{name}"})
	      				}
	      			  }),

	      			  /*multiInputSelect = new sas.hc.m.MultiComboBox({
	                	  name : "multiInputSelect",
	                	  width : "500px",
	                	  value : expressionArr["value"],
	                	  enabled : fieldSelect.getSelectedItem()==undefined? false : true,
	                	  visible : operatorSelect.getSelectedItem()=="IN" || operatorSelect.getSelectedItem()=="NOTIN" ? true : false,
	                	  displaySecondaryValues: true,
	                	  items: {
	                		  path: "/children",
	                		  template: new sap.ui.core.ListItem({text: "{name}"})
	                	  }
	                  }),*/

	                  multiInputSelect = new sas.hc.m.MultiInput({
	                	  name : "multiInputSelect",
	                	  width : "500px"
	                  }),

	                  addConditionButton = new sas.hc.m.Button({
	                	  icon : "sap-icon://hc/add",
	                	  tooltip : sas.fscf.rb.getText("rules.rulesPage.guidedView.form.addCondition.txt"),
	                	  press: function(e) {
	                		  var condActionSheet = new sas.hc.m.ActionSheet({
	                			 showCancelButton: false,
	                			 placement: sap.m.PlacementType.Bottom,
	                			 buttons: [
	                			  addFieldButton =  new sas.hc.m.Button({
	        	                	  text: sas.fscf.rb.getText("rules.rulesPage.guidedView.form.simpleCondition.txt"),
	        	                	  icon: "sap-icon://hc/blank",
	        	                	  press: function() {
	        	                	  	  var nextId = _this.getNextId(ruleFormGuidedToolbar._tId);
	        	                		  _this.modifyIds(ruleFormGrid, (ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1, isNested ? 2 : 1, 1);
	        	                		  if(!isNested){
	        	                			  ruleFormGrid.insertContent(
	        	                				_this.getToolbar(nextId,"",false),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
	        	                			  );
	        	                		  }
	        	                		  else{
	        	                			  ruleFormGrid.insertContent(
	  	        	                			_this.getToolbar(nextId,"",true),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
	  	        	                		  );
	        	                		  }
	        	                	  }
	        	                  }),
	        	                  addRangeButton =  new sas.hc.m.Button({
	        	                	  text : sas.fscf.rb.getText("rules.rulesPage.guidedView.form.rangeCondition.txt"),
	        	                	  icon: "sap-icon://hc/blank",
	        	                	  press: function() {
	        	                	  	  var nextId = _this.getNextId(ruleFormGuidedToolbar._tId);
	        	                		  _this.modifyIds(ruleFormGrid, (ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1, isNested ? 2 : 1, 1);
	        	                		  if(!isNested){
	        	                			  ruleFormGrid.insertContent(
	        	                				_this.getToolbar(nextId,"",false,false,"RANGE"),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
	        	                			  );
	        	                		  }
	        	                		  else{
	        	                			  ruleFormGrid.insertContent(
	        	  	                			_this.getToolbar(nextId,"",true,false,"RANGE"),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
	        	  	                		  );
	        	                		  }
	        	                	  }
	        	                  })
	                			 ]
	                		  });
	                		  //set any name attributes that need to be set
	                		  addFieldButton.onAfterRendering = function() {
	                			if (sas.hc.m.Button.prototype.onAfterRendering) {
                	        		sas.hc.m.Button.prototype.onAfterRendering.apply(this);
                	        	}
                	        	// must be set after rendering when the dom ref will exist
                	        	addFieldButton.getDomRef().setAttribute("name", "addSimpleButton");
                	    	  };
                	    	  addRangeButton.onAfterRendering = function() {
                	        	if (sas.hc.m.Button.prototype.onAfterRendering) {
                	        		sas.hc.m.Button.prototype.onAfterRendering.apply(this);
                	        	}
                	        	// must be set after rendering when the dom ref will exist
                	        	addRangeButton.getDomRef().setAttribute("name", "addRangeButton");
                	    	  };
	                		  condActionSheet.attachAfterClose(function(oEvent) {
	   			       		    	this.destroy();
	   			       		    });
	                		  condActionSheet.openBy(e.getSource());
	                		  }
	                   }),

	                  deleteFieldButton =  new sas.hc.m.Button({
	                	  icon : "sap-icon://hc/delete",
	                	  //enabled : !firstToolbar,
	                	  press: function() {
	                		  _this.handleDelete(ruleFormGuidedToolbar, ruleFormGrid);
	                	  }
	                  }),

	                  addNestedRuleButton =  new sas.hc.m.Button({
	                	  //text : "Nested Group" sas.fscf.rb.getText("rules.rulesPage.guidedView.form.nested.txt"),
	                	  icon : "sap-icon://hc/nestedGroup",
	                	  visible : !isNested,
	                	  press: function() {
	                	  	  var nextId = _this.getNextId(ruleFormGuidedToolbar._tId);
	                		  _this.modifyIds(ruleFormGrid, (ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1, isNested ? 2 : 1, 1);
	                		  ruleFormGrid.insertContent(
	                			  _this.getMajorInclusionSelect(nextId,"OR",true),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
	                		  );
	                		  ruleFormGrid.insertContent(
		                		  _this.getToolbar(_this.getRootId(nextId) + "-" + 1 + _this.id_suffix,"",true),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+2
		                	  );
	                	  }
	                  }),

	                  errorTextView = new sap.ui.commons.TextView({
	            		  name : "errorText",
	            		  semanticColor : sap.ui.commons.TextViewColor.Negative,
	                	  wrapping : false
	                  })
	               ]
    		});
    		if(expressionArr["modifiers"]){ruleFormGuidedToolbar._modifiers = expressionArr["modifiers"];}else{ruleFormGuidedToolbar._modifiers = [];}
    		multiInputSelect.addValidator(function(args){
    			_this.somethingChangedInFullForm();
    			multiInputSelect.setValueState(sap.ui.core.ValueState.None);
    			var inputText = multiInputSelect.getValue();
    			if(fieldSelect.getSelectedItem()._variableType=="Numeric" || fieldSelect.getSelectedItem()._variableType=="Currency"){
    				if(isNaN(sas.fscf.floatFormatter.parse(inputText))){
    					multiInputSelect.setValueState(sap.ui.core.ValueState.Error);
    					multiInputSelect.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
    					return;
    				}
    			}
    			return new sas.hc.m.Token({key:(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? "" + sas.fscf.floatFormatter.parse(inputText) : inputText, text:inputText});
			});
    		multiInputSelect.attachTokenChange(function(oEvent) {
       			_this.somethingChangedInFullForm();
       		});

    		if(operatorSelect.getSelectedKey()=="MISSING" || operatorSelect.getSelectedKey()=="NOTMISSING"){
    			criteriaInput.setVisible(false);
    			multiInputSelect.setVisible(false);
    		}
    		else if(sas.fscf.isInOperator(operatorSelect.getSelectedKey())){
				criteriaInput.setVisible(false);
				multiInputSelect.setVisible(true);
				multiInputSelect.setEnabled(true);
				var inputArray = expressionArr["values"];
				for(var k in inputArray){
					multiInputSelect.addToken(new sas.hc.m.Token({key: inputArray[k], text:(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? sas.fscf.floatFormatter.format(inputArray[k]) : inputArray[k]}));
				}
			}
    		else{
    			criteriaInput.setVisible(true);
    			criteriaInput.setEnabled(true);
				multiInputSelect.setVisible(false);
    		}

    		fieldSelect.attachChange(function (oEvent) {
    			errorTextView.setText("");
    			if(fieldSelect.getSelectedItem()==undefined){
    				criteriaInput.setEnabled(false);
    				multiInputSelect.setEnabled(false);
    			}
    			else{
    				if(operatorSelect.getSelectedKey()=="MISSING" || operatorSelect.getSelectedKey()=="NOTMISSING"){
    	    			criteriaInput.setVisible(false);
    	    			multiInputSelect.setVisible(false);
    	    		}
    	    		else{
    	    			criteriaInput.setVisible(true);
    	    			criteriaInput.setEnabled(true);
    					multiInputSelect.setVisible(false);
    	    		}
    				operatorSelect.removeAllItems();

        	         if(fieldSelect.getSelectedItem()._variableType=="Numeric" || fieldSelect.getSelectedItem()._variableType=="Currency"){
        	        	 addModifiersButton.setVisible(false);
        	        	 criteriaInput.setType(sap.m.InputType.Number);
        	        	 operatorSelect.addItem(_this.getLocalizedItem("EQUAL"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NE"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("GT"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("GTE"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("LT"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("LTE"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("IN"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTIN"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("MISSING"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTMISSING"));

        	        	 if (criteriaInput.getValue().match(/[a-z]/i)) {
         				     // characters found
        	        		 errorTextView.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
        					 criteriaInput.setValueState(sap.ui.core.ValueState.Error);
        					 criteriaInput.setValue("");
         				}
        	         }
        	         else if(fieldSelect.getSelectedItem()._variableType=="Character"){
        	        	 if(sas.fscf.getCurrentPageView().isDevEnv == "true"){
        	        		 addModifiersButton.setVisible(true);
        	        	 }
        	        	 criteriaInput.setType(sap.m.InputType.Text);
        	        	 operatorSelect.addItem(_this.getLocalizedItem("EQUAL"));
         	     		 operatorSelect.addItem(_this.getLocalizedItem("NE"));
         	     		 operatorSelect.addItem(_this.getLocalizedItem("IN"));
         	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTIN"));
         	     		 operatorSelect.addItem(_this.getLocalizedItem("MISSING"));
         	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTMISSING"));
         	     		 operatorSelect.addItem(_this.getLocalizedItem("SW"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTSW"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("SWANY"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTSWANY"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("EW"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTEW"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("EWANY"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTEWANY"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("CO"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTCO"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("COANY"));
        	     		 operatorSelect.addItem(_this.getLocalizedItem("NOTCOANY"));
        	         }
    			}
       		});
    		operatorSelect.attachChange(function (oEvent) {
    			if(operatorSelect.getSelectedKey()=="MISSING" || operatorSelect.getSelectedKey()=="NOTMISSING"){
    				//operatorSelect.setWidth("308px");
    				criteriaInput.setValue("");
    				criteriaInput.setVisible(false);
    				multiInputSelect.setVisible(false);
    			}
    			else if(sas.fscf.isInOperator(operatorSelect.getSelectedKey())){
    				//operatorSelect.setWidth("100px");
    				criteriaInput.setVisible(false);
    				multiInputSelect.setVisible(true);
    				multiInputSelect.setEnabled(true);
    			}
    			else{
    				//operatorSelect.setWidth("100px");
    				criteriaInput.setVisible(true);
    				criteriaInput.setEnabled(true);
    				multiInputSelect.setVisible(false);
    			}
    		});
    		criteriaInput.attachBrowserEvent("keypress", function(e) {
    			errorTextView.setText("");
    			setTimeout(function () {
    				_this.setAutoCompleteModel(fieldSelect.getValue(),criteriaInput);
				}, 100);
    			//criteriaInput.setValueState(sap.ui.core.ValueState.None);
    			if(fieldSelect.getSelectedItem()==undefined){
    				errorTextView.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.variableNotSelected.error.txt"));
					criteriaInput.setValueState(sap.ui.core.ValueState.Error);
					e.preventDefault();
    			}
    			else if(fieldSelect.getSelectedItem()._variableType=="Numeric" || fieldSelect.getSelectedItem()._variableType=="Currency"){
					var key_codes = [13, 32, 45, 46, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 0, 8, 109, 188, 189, 190];
					if (!($.inArray(e.which, key_codes) >= 0)) {
						errorTextView.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
						criteriaInput.setValueState(sap.ui.core.ValueState.Error);
						e.preventDefault();
					}
    			}
            });
       		criteriaInput.attachChange(function (oEvent) {
    			if(criteriaInput.getValue().trim()!=""){
           			_this.somethingChangedInFullForm();
           		}
       		});
    	}
    	else{
    		var leftInput, rightInput;

    		ruleFormGuidedToolbar = new sap.m.Toolbar({
    	    	//id: "oToolbar",
        		name : "ruleToolbar",
    	        content: [
    	                  toolbarSpacer = new sap.m.ToolbarSpacer({width:spacerWidth}),

    	                  leftInput = new sas.hc.m.Input({
    	                	  name:"leftValueInput",
    	                	  maxLength : 50,
    	                	  width : "220px",
    	                      type: sap.m.InputType.Number,
    	                	  value: expressionArr["leftValue"] ? sas.fscf.floatFormatter.format(expressionArr["leftValue"]) : ""
    	                  }),

    	                  leftOperatorSelect = this.getOperatorSelect(expressionArr["leftOperator"] ? expressionArr["leftOperator"] : "LT","Range"),

    	                  fieldSelect = this.getFieldTypeComboBox(expressionArr["fieldId"],true),

    	                  rightOperatorSelect = this.getOperatorSelect(expressionArr["rightOperator"] ? expressionArr["rightOperator"] : "LT","Range"),

    	                  rightInput = new sas.hc.m.Input({
    	                	  name:"rightValueInput",
    	                	  maxLength : 50,
    	                	  width : "220px",
    	                      type: sap.m.InputType.Number,
    	                	  value: expressionArr["rightValue"] ? sas.fscf.floatFormatter.format(expressionArr["rightValue"]) : ""
    	                  }),

    	                  addConditionButton = new sas.hc.m.Button({
    	                	  icon : "sap-icon://hc/add",
    	                	  tooltip : sas.fscf.rb.getText("rules.rulesPage.guidedView.form.addCondition.txt"),
    	                	  press: function(e) {
    	                		  var condActionSheet = new sas.hc.m.ActionSheet({
    	                			 showCancelButton: false,
    	                			 placement: sap.m.PlacementType.Bottom,
    	                			 buttons: [
    	                			  addFieldButton =  new sas.hc.m.Button({
    	        	                	  text: sas.fscf.rb.getText("rules.rulesPage.guidedView.form.simpleCondition.txt"),
    	        	                	  icon: "sap-icon://hc/blank",
    	        	                	  press: function() {
    	        	                	  	  var nextId = _this.getNextId(ruleFormGuidedToolbar._tId);
    	        	                		  _this.modifyIds(ruleFormGrid, (ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1, isNested ? 2 : 1, 1);
    	        	                		  if(!isNested){
    	        	                			  ruleFormGrid.insertContent(
    	        	                				_this.getToolbar(nextId,"",false),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
    	        	                			  );
    	        	                		  }
    	        	                		  else{
    	        	                			  ruleFormGrid.insertContent(
    	        	  	                			_this.getToolbar(nextId,"",true),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
    	        	  	                		  );
    	        	                		  }
    	        	                	  }
    	        	                  }),
    	        	                  addRangeButton =  new sas.hc.m.Button({
    	        	                	  text : sas.fscf.rb.getText("rules.rulesPage.guidedView.form.rangeCondition.txt"),//sas.fscf.rb.getText("rules.rulesPage.guidedView.form.nested.txt"),
    	        	                	  icon: "sap-icon://hc/blank",
    	        	                	  press: function() {
    	        	                	  	  var nextId = _this.getNextId(ruleFormGuidedToolbar._tId);
    	        	                		  _this.modifyIds(ruleFormGrid, (ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1, isNested ? 2 : 1, 1);
    	        	                		  if(!isNested){
    	        	                			  ruleFormGrid.insertContent(
    	        	                				_this.getToolbar(nextId,"",false,false,"RANGE"),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
    	        	                			  );
    	        	                		  }
    	        	                		  else{
    	        	                			  ruleFormGrid.insertContent(
    	        	  	                			_this.getToolbar(nextId,"",true,false,"RANGE"),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
    	        	  	                		  );
    	        	                		  }
    	        	                	  }
    	        	                  })
    	                			 ]
    	                		  });
    	                		  //set any name attributes that need to be set
   	                		  	  addFieldButton.onAfterRendering = function() {
   	                	        	if (sas.hc.m.Button.prototype.onAfterRendering) {
   	                	        		sas.hc.m.Button.prototype.onAfterRendering.apply(this);
   	                	        	}
   	                	        	// must be set after rendering when the dom ref will exist
   	                	        	addFieldButton.getDomRef().setAttribute("name", "addSimpleButton");
   	                	    	  };
   	                	    	  addRangeButton.onAfterRendering = function() {
   	                	        	if (sas.hc.m.Button.prototype.onAfterRendering) {
   	                	        		sas.hc.m.Button.prototype.onAfterRendering.apply(this);
   	                	        	}
   	                	        	// must be set after rendering when the dom ref will exist
   	                	        	addRangeButton.getDomRef().setAttribute("name", "addRangeButton");
   	                	    	  };
    	                		  condActionSheet.attachAfterClose(function(oEvent) {
    	   			       		    	this.destroy();
    	   			       		    });
    	                		  condActionSheet.openBy(e.getSource());
    	                		  }
    	                   }),
    	                  deleteFieldButton =  new sas.hc.m.Button({
    	                	  icon : "sap-icon://hc/delete",
    	                	  press: function() {
    	                		  _this.handleDelete(ruleFormGuidedToolbar, ruleFormGrid);
    	                	  }
    	                  }),
    	                  addNestedRuleButton =  new sas.hc.m.Button({
    	                	  //text : "Nested Group",//sas.fscf.rb.getText("rules.rulesPage.guidedView.form.nested.txt"),
    	                	  icon : "sap-icon://hc/nestedGroup",
    	                	  visible : !isNested,
    	                	  press: function() {
    	                	  	  var nextId = _this.getNextId(ruleFormGuidedToolbar._tId);
    	                		  _this.modifyIds(ruleFormGrid, (ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1, isNested ? 2 : 1, 1);
    	                		  ruleFormGrid.insertContent(
    	                			  _this.getMajorInclusionSelect(nextId,"OR",true),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+1
    	                		  );
    	                		  ruleFormGrid.insertContent(
    		                		  _this.getToolbar(_this.getRootId(nextId) + "-" + 1 + _this.id_suffix,"",true),(ruleFormGrid.indexOfContent(ruleFormGuidedToolbar))+2
    		                	  );
    	                	  }
    	                  })
    	              ]
        		});

       		leftInput.attachChange(function (oEvent) {
				if ((sas.fscf.floatFormatter.parse(oEvent.mParameters.newValue) > sas.fscf.floatFormatter.parse(rightInput.getValue())) &&
				    (this.getValueState() != sap.ui.core.ValueState.Error)) {
					// swap to right if greater than right
					var temp = rightInput.getValue();
					rightInput.setValue(oEvent.mParameters.newValue);
					leftInput.setValue(temp);
				}
           		_this.somethingChangedInFullForm();
       		});
       		leftInput.attachLiveChange(function (oEvent) {
				if (sas.fscf.floatFormatter.parse(leftInput.getValue()) == sas.fscf.floatFormatter.parse(rightInput.getValue())) {
					leftInput.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.rangeValueSame.error.txt"));
					leftInput.setValueState(sap.ui.core.ValueState.Error);
					leftInput.openValueStateMessage();
				}
       		});
       		rightInput.attachChange(function (oEvent) {
				if ((sas.fscf.floatFormatter.parse(oEvent.mParameters.newValue) < sas.fscf.floatFormatter.parse(leftInput.getValue())) &&
					(this.getValueState() != sap.ui.core.ValueState.Error)) {
					// swap to left if less than left
					var temp = leftInput.getValue();
					leftInput.setValue(oEvent.mParameters.newValue);
					rightInput.setValue(temp);
				}
           		_this.somethingChangedInFullForm();
       		});
       		rightInput.attachLiveChange(function (oEvent) {
				if (sas.fscf.floatFormatter.parse(leftInput.getValue()) == sas.fscf.floatFormatter.parse(rightInput.getValue())) {
					rightInput.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.rangeValueSame.error.txt"));
					rightInput.setValueState(sap.ui.core.ValueState.Error);
					rightInput.openValueStateMessage();
				}
       		});
       		//Might be a way to prevent text from being entered using UI5 methods instead of the following javascript
       		leftInput.attachBrowserEvent("keypress", function(e) {
                var key_codes = [13, 32, 45, 46, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 0, 8, 109, 188, 189, 190];
                if (!($.inArray(e.which, key_codes) >= 0)) {
                    e.preventDefault();
                    leftInput.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
					leftInput.setValueState(sap.ui.core.ValueState.Error);
                }
            });
       		rightInput.attachBrowserEvent("keypress", function(e) {
                var key_codes = [13, 32, 45, 46, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 0, 8, 109, 188, 189, 190];
                if (!($.inArray(e.which, key_codes) >= 0)) {
                    e.preventDefault();
                    rightInput.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
					rightInput.setValueState(sap.ui.core.ValueState.Error);
                }
            });
    	}
    	//fieldSelect.setEnabled(enabledIndicator);
    	ruleFormGuidedToolbar._isNested = isNested;
    	ruleFormGuidedToolbar._tId = tId;
    	if(isNested){
    		ruleFormGuidedToolbar.addStyleClass("nestedExpression");
    	}

    	//set any name attributes that need to be set
    	ruleFormGuidedToolbar.onAfterRendering = function() {
        	if (sap.m.Toolbar.prototype.onAfterRendering) {
        		sap.m.Toolbar.prototype.onAfterRendering.apply(this);
        	}
        	// must be set after rendering when the dom ref will exist
        	ruleFormGuidedToolbar.getDomRef().setAttribute("name", ruleFormGuidedToolbar._tId);
        	if(isNested){
        		var myElements = document.querySelectorAll(".nestedExpression.sapMIBar.sapMTB.sapMTB-Auto-CTX.sapMTBInactive.sapMTBNewFlex");
        		for (var i = 0; i < myElements.length; i++) {
        			currentToolbar = sap.ui.getCore().byId(myElements[i].id);
        			if(!myElements[i+1]){
        				myElements[i].style.borderTop = "none";
        				myElements[i].style.borderBottom = "1px solid #CECECE";
        				myElements[i].style.borderRadius = "0px 0px 5px 5px";
        				myElements[i].style.paddingBottom = "2px";
        			}
        			else{
        				if(currentToolbar._isMajor){
        					myElements[i].style.marginTop = "3px";
        					myElements[i].style.borderBottom = "none";
        					myElements[i].style.borderTop = "1px solid #CECECE";
        					myElements[i].style.borderRadius = "5px 5px 0px 0px";
        				}
        				else{
        					nextToolbar = sap.ui.getCore().byId(myElements[i+1].id);
        					if(nextToolbar._isMajor){
        						myElements[i].style.borderTop = "none";
        						myElements[i].style.borderBottom = "1px solid #CECECE";
        						myElements[i].style.borderRadius = "0px 0px 5px 5px";
        						myElements[i].style.marginBottom = "5px";
        						myElements[i].style.paddingBottom = "2px";
        					}
        					else{
        						myElements[i].style.borderTop = "none";
        						myElements[i].style.borderBottom = "none";
        					}
        				}
        			}
        		}
        	}
        	/*if(isNested && expressionType=="RANGE"){
        		var myElements = document.querySelectorAll(".nestedExpression.sapMIBar.sapMTB.sapMTB-Auto-CTX.sapMTBInactive.sapMTBNewFlex");
        		for (var i = 0; i < myElements.length; i++) {
        		    myElements[i].style.width = "1075px";
        		}
        	}*/
    	};
    	if (operatorSelect) {
    		operatorSelect.onAfterRendering = function() {
            	if (sas.hc.m.Select.prototype.onAfterRendering) {
            		sas.hc.m.Select.prototype.onAfterRendering.apply(this);
            	}
            	// must be set after rendering when the dom ref will exist
            	operatorSelect.getDomRef().setAttribute("name", "operatorSelect");
        	};
    	}
    	if (leftOperatorSelect) {
    		leftOperatorSelect.onAfterRendering = function() {
            	if (sas.hc.m.Select.prototype.onAfterRendering) {
            		sas.hc.m.Select.prototype.onAfterRendering.apply(this);
            	}
            	// must be set after rendering when the dom ref will exist
            	leftOperatorSelect.getDomRef().setAttribute("name", "leftOperatorSelect");
        	};
    	}
    	if (rightOperatorSelect) {
    		rightOperatorSelect.onAfterRendering = function() {
            	if (sas.hc.m.Select.prototype.onAfterRendering) {
            		sas.hc.m.Select.prototype.onAfterRendering.apply(this);
            	}
            	// must be set after rendering when the dom ref will exist
            	rightOperatorSelect.getDomRef().setAttribute("name", "rightOperatorSelect");
        	};
    	}
    	addConditionButton.onAfterRendering = function() {
        	if (sas.hc.m.Button.prototype.onAfterRendering) {
        		sas.hc.m.Button.prototype.onAfterRendering.apply(this);
        	}
        	// must be set after rendering when the dom ref will exist
        	addConditionButton.getDomRef().setAttribute("name", "addButton");
    	};
    	deleteFieldButton.onAfterRendering = function() {
        	if (sas.hc.m.Button.prototype.onAfterRendering) {
        		sas.hc.m.Button.prototype.onAfterRendering.apply(this);
        	}
        	// must be set after rendering when the dom ref will exist
        	deleteFieldButton.getDomRef().setAttribute("name", "deleteButton");
    	};
    	addNestedRuleButton.onAfterRendering = function() {
        	if (sas.hc.m.Button.prototype.onAfterRendering) {
        		sas.hc.m.Button.prototype.onAfterRendering.apply(this);
        	}
        	// must be set after rendering when the dom ref will exist
        	addNestedRuleButton.getDomRef().setAttribute("name", "addGroupButton");
    	};
    	return ruleFormGuidedToolbar;
    },

    handleDelete: function(ruleFormGuidedToolbar, ruleFormGrid) {
    	var _this = this;
    	var ibefore = ruleFormGrid.indexOfContent(ruleFormGuidedToolbar) - 1;
    	var iof = ruleFormGrid.indexOfContent(ruleFormGuidedToolbar);
		var level = ruleFormGuidedToolbar._isNested ? 2 : 1;
		// disable delete if this is the only top-level toolbar
    	if (!ruleFormGuidedToolbar._isNested) {
    		  var contentArray = ruleFormGrid.getContent();
    		  var numberTopLevelToolbars = 0;
    		  for(var key in contentArray){
    			  if(!contentArray[key]._isMajor && !contentArray[key]._isNested){
    				  numberTopLevelToolbars++;
    				  if(numberTopLevelToolbars==2)break;
    			  }
    		  }
    		  if(numberTopLevelToolbars==1){
    			  ruleFormGrid.insertContent(
    				 _this.getToolbar("F-1" + _this.id_suffix,"",false,true),iof
          		  );
    			  var noToolbarsLeft = true;
    		  }
		  }
		  if (ruleFormGuidedToolbar._isNested) {
			  // remove preceding row also if it is a subgroup with no children left
  		      if (ruleFormGrid.getContent()[ibefore]._isMajor) {
  			  		if (!ruleFormGrid.getContent()[ibefore+2] ||
  			  			!ruleFormGrid.getContent()[ibefore+2]._isNested) {
  			  			ruleFormGrid.removeContent(ruleFormGrid.getContent()[ibefore]);
  			  			iof = ibefore;
            		    level = 1;
  			  		}
  		  	  }
		  }
		  ruleFormGrid.removeContent(ruleFormGuidedToolbar);
		  if(!noToolbarsLeft){this.modifyIds(ruleFormGrid, iof, level, -1);}
		  _this.somethingChangedInFullForm();
    },

    getRuleExpressionToolbar: function(tId,expressionArr,isNested){
    	var _this = this;
    	var splitFormToolbarSpacerWidth = "30px";//isNested ? "30px" : "0px";
    	a++;
    	var ruleExpressionToolbar = a+"ruleExpressionToolbar";
    	var deleteExpressionButton;
    	var expressionValue, expressionLeftValue, expressionRightValue, oldValue;
    	var expressionType = expressionArr["type"];
    	if(expressionType!="RANGE"){
    	  ruleExpressionToolbar = new sap.m.Toolbar({
	        content: [
	                  new sap.m.ToolbarSpacer({width:splitFormToolbarSpacerWidth}),
	                  expressionField = new sap.ui.commons.TextView({
	                	  name : "expressionField",
	                	  wrapping : false,
	                	  text : expressionArr["fieldName"]//.toUpperCase()
	                  }),
	                  expressionFieldId = new sap.ui.commons.TextView({
	                	  name : "expressionFieldId",
	                	  wrapping : false,
	                	  visible : false,
	                	  text : expressionArr["fieldId"]//.toUpperCase()
	                  }),
	                  _this.getOperatorText(expressionArr["operator"]),
	                  expressionValue = new sas.hc.m.Input({
	                	  name : "valueInput",
		  	              value : (expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") && expressionArr["value"]!=null ? sas.fscf.floatFormatter.format(expressionArr["value"]) : expressionArr["value"],
	                      type: (expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? sap.m.InputType.Number : sap.m.InputType.Text,
	                      maxLength : 50,
	                      width : "220px"
	                  }),
	                  multiExpressionValue = new sas.hc.m.MultiInput({
	                	  name : "multiExpressionValue",
	                	  width : "500px"
	                  }),
	                  deleteExpressionButton =  new sas.hc.m.Button({
  	                	  icon : "sap-icon://hc/delete",
  	                	  press: function() {
							 var exp;
							 if (ruleExpressionToolbar._type == "COMPARE" && !sas.fscf.isInOperator(sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[3].getText()))) {
								exp = {
				   	               		type: ruleExpressionToolbar._type,
				   	               		operator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[3].getText()),
				   	               		fieldName: ruleExpressionToolbar.getContent()[1].getText(),
				   	               		fieldId: ruleExpressionToolbar.getContent()[2].getText(),
				   	               		fieldType: ruleExpressionToolbar._fieldType,
				   	               		value: ruleExpressionToolbar.getContent()[4].getValue()
								 };
							 } else if (sas.fscf.isInOperator(sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[3].getText()))) {
								values = [];
								for (var i = 0; i < ruleExpressionToolbar.getContent()[5].getTokens().length; i++) {
									values.push(ruleExpressionToolbar.getContent()[5].getTokens()[i].getKey());
								}
								exp = {
				   	               		type: ruleExpressionToolbar._type,
				   	               		operator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[3].getText()),
				   	               		fieldName: ruleExpressionToolbar.getContent()[1].getText(),
				   	               		fieldId: ruleExpressionToolbar.getContent()[2].getText(),
				   	               		fieldType: ruleExpressionToolbar._fieldType,
				   	               		values: values
								 };
							 }
							 _this.getGrid().conditionDeleted(_this.getRootId(ruleExpressionToolbar._tId), exp);
  	                		 _this.removeCondition(_this.getRootId(ruleExpressionToolbar._tId));
  	                		 ruleExpressionToolbar.destroy(true);
  	                		 sap.ui.getCore().byId(_this.sId + '_RuleExpressionsFormGrid').removeContent(ruleExpressionToolbar);
  	                	  }
  	                  })
	              ]
    		});

    	  	multiExpressionValue.addValidator(function(args){
    	  		multiExpressionValue.setValueState(sap.ui.core.ValueState.None);
    	  		var inputText = multiExpressionValue.getValue();
    	  		if(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric"){
    	  			if(isNaN(sas.fscf.floatFormatter.parse(inputText))){
    	  				multiExpressionValue.setValueState(sap.ui.core.ValueState.Error);
    	  				multiExpressionValue.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
    	  				return;
    	  			}
    	  		}
    	  		return new sas.hc.m.Token({key: (expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? "" + sas.fscf.floatFormatter.parse(inputText) : inputText, text:inputText});
			});

    	  	if(expressionArr["operator"]=="MISSING" || expressionArr["operator"]=="NOTMISSING"){
    	  		expressionValue.setVisible(false);
    			multiExpressionValue.setVisible(false);
    		}
    		else if(sas.fscf.isInOperator(expressionArr["operator"])){
    			expressionValue.setVisible(false);
				multiExpressionValue.setVisible(true);
				var inputArray = expressionArr["values"];
				for(var k in inputArray){
					multiExpressionValue.addToken(new sas.hc.m.Token({key: inputArray[k], text:(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? sas.fscf.floatFormatter.format(inputArray[k]) : inputArray[k]}));
				}
			}
    		else{
    			expressionValue.setVisible(true);
    			multiExpressionValue.setVisible(false);
    		}

	   		//expressionValue.attachBrowserEvent("focus", function (event) {
	  		expressionValue.onAfterRendering = function() {
	        	if (sas.hc.m.Input.prototype.onAfterRendering) {
	        		sas.hc.m.Input.prototype.onAfterRendering.apply(this);
	        	}
				$("#" + this.sId + "-inner").focus(function (event) {
		 			//console.info("value is " + event.target.value);
	     			if(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric"){
	     				oldValue = "" + sas.fscf.floatFormatter.parse(event.target.value);
	     			} else {
			 			oldValue = event.target.value;
	     			}
		   		});
			};
     		expressionValue.attachChange(function (oEvent) {
     			//console.info("value changed from " + oldValue + " to " + oEvent.mParameters.newValue);
     			if(expressionValue.getValue()=="" || expressionValue.getValue()==null || expressionValue.getValue()==undefined){
     				expressionValue.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
					expressionValue.setValueState(sap.ui.core.ValueState.Error);
     			}
     			else if(!sas.fscf.getCurrentPageView().jsonRuleIncomplete){
     				var oldExp = {
     						type: ruleExpressionToolbar._type,
     						operator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[3].getText()),
     						fieldName: ruleExpressionToolbar.getContent()[1].getText(),
     						fieldId: ruleExpressionToolbar.getContent()[2].getText(),
     						fieldType: ruleExpressionToolbar._fieldType,
     						value: oldValue
     				};
     				var newExp = {
     						type: ruleExpressionToolbar._type,
     						operator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[3].getText()),
     						fieldName: ruleExpressionToolbar.getContent()[1].getText(),
     						fieldId: ruleExpressionToolbar.getContent()[2].getText(),
     						fieldType: ruleExpressionToolbar._fieldType,
     						value: (expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? "" + sas.fscf.floatFormatter.parse(oEvent.mParameters.newValue) : oEvent.mParameters.newValue
     				};
     				_this.getGrid().conditionModified(_this.getRootId(ruleExpressionToolbar._tId), oldExp, newExp);
     				_this.replaceCondition(_this.getRootId(ruleExpressionToolbar._tId), newExp);

     				oldValue = (expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? "" + sas.fscf.floatFormatter.parse(oEvent.mParameters.newValue) : oEvent.mParameters.newValue;
     			}
       		});
     		expressionValue.attachBrowserEvent("keypress", function(e) {
     			if(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric"){
					var key_codes = [32, 45, 46, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 0, 8, 109, 188, 189, 190];
					if (!($.inArray(e.which, key_codes) >= 0)) {
						expressionValue.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
						expressionValue.setValueState(sap.ui.core.ValueState.Error);
						expressionValue.openValueStateMessage();
						e.preventDefault();
					}
					else{
						sas.fscf.getCurrentPageView().jsonRuleIncomplete=false;
		     			sas.fscf.getCurrentPageView().setDirty(true);
		     			var myElements = document.querySelectorAll(".sapMIBar.sapMTB.sapMTB-Auto-CTX.sapMTBInactive.sapMTBNewFlex");
		     			for (var i = 3; i < myElements.length; i++) {
		     				currentToolbar = sap.ui.getCore().byId(myElements[i].id);
		     				if(!currentToolbar._isMajor){
		     					var expr = currentToolbar.getContent()[4];
		     					setTimeout(function () {
		     						if(expr.getValueState() == sap.ui.core.ValueState.Error){
		     							sas.fscf.getCurrentPageView().jsonRuleIncomplete=true;
		     							sas.fscf.getCurrentPageView().setDirty(false);
		     						}
		     					}, 100);
		     				}
		     			}
					}
				}
     		});

/*     		expressionValue.attachBrowserEvent("keypress", function(e) {
     			if(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric"){
					var key_codes = [45, 46, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 0, 8, 109, 189];
					if (!($.inArray(e.which, key_codes) >= 0)) {
						expressionValue.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
						expressionValue.setValueState(sap.ui.core.ValueState.Error);
						expressionValue.openValueStateMessage();
						e.preventDefault();
					}
				}
            });*/

     		// important to add this listener after the initial tokens have already been added
    	  	multiExpressionValue.attachTokenChange(function(oEvent) {
				if (oEvent.mParameters.type == "removed" || oEvent.mParameters.type == "added") {
	 				var oldExp = {
 						type: ruleExpressionToolbar._type,
 						operator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[3].getText()),
 						fieldName: ruleExpressionToolbar.getContent()[1].getText(),
 						fieldId: ruleExpressionToolbar.getContent()[2].getText(),
 						fieldType: ruleExpressionToolbar._fieldType,
 						value: (oEvent.mParameters.type == "removed") ? oEvent.mParameters.token.getKey() : ""
 					};
 	 				var values = [];
 	 				for (var i = 0; i < oEvent.oSource.getTokens().length; i++) {
 	 					if ((oEvent.mParameters.type == "added") && (i == (oEvent.oSource.getTokens().length - 1))) {
 	 						values.push((expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? "" + sas.fscf.floatFormatter.parse(oEvent.oSource.getValue()) : oEvent.oSource.getValue());
 	 					} else {
 	 	 					values.push(oEvent.oSource.getTokens()[i].getKey());
 	 					}
 	 				}
 					var newExp = {
 						type: ruleExpressionToolbar._type,
 						operator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[3].getText()),
 						fieldName: ruleExpressionToolbar.getContent()[1].getText(),
 						fieldId: ruleExpressionToolbar.getContent()[2].getText(),
 						fieldType: ruleExpressionToolbar._fieldType,
 						value: (oEvent.mParameters.type == "added") ? ((expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric") ? "" + sas.fscf.floatFormatter.parse(oEvent.oSource.getValue()) : oEvent.oSource.getValue()) : "",
 						values: values
 					};
 					_this.getGrid().conditionModified(_this.getRootId(ruleExpressionToolbar._tId), oldExp, newExp);
 					newExp.value = "";
 					_this.replaceCondition(_this.getRootId(ruleExpressionToolbar._tId), newExp);
				}
				return true;
    	  	});
    	}
    	else{
    		ruleExpressionToolbar = new sap.m.Toolbar({
    	        content: [
    	                  new sap.m.ToolbarSpacer({width:splitFormToolbarSpacerWidth}),
    	                  expressionLeftValue = new sas.hc.m.Input({
    	                	  name : "leftValueInput",
    		  	              value : sas.fscf.floatFormatter.format(expressionArr["leftValue"]),
    	                      type: sap.m.InputType.Number,
    	                      width : "220px",
    	                      maxLength : 50
    	                  }),
    	                  _this.getOperatorText(expressionArr["leftOperator"]),
    	                  expressionField = new sap.ui.commons.TextView({
    	                	  name : "expressionField",
    	                	  wrapping : false,
    	                	  text : expressionArr["fieldName"]//.toUpperCase()
    	                  }),
    	                  expressionFieldId = new sap.ui.commons.TextView({
    	                	  name : "expressionFieldId",
    	                	  wrapping : false,
    	                	  visible : false,
    	                	  text : expressionArr["fieldId"]//.toUpperCase()
    	                  }),
    	                  _this.getOperatorText(expressionArr["rightOperator"]),
    	                  expressionRightValue = new sas.hc.m.Input({
    	                	  name : "rightValueInput",
    		  	              value : sas.fscf.floatFormatter.format(expressionArr["rightValue"]),
    	                      type: sap.m.InputType.Number,
    	                      width : "220px",
    	                      maxLength : 50
    	                  }),
    	                  deleteExpressionButton =  new sas.hc.m.Button({
      	                	  icon : "sap-icon://hc/delete",
      	                	  press: function() {
	   							 var exp;
								 if (ruleExpressionToolbar._type == "RANGE") {
									exp = {
					   	               		type: ruleExpressionToolbar._type,
					   	               		fieldName: ruleExpressionToolbar.getContent()[3].getText(),
					   	               		fieldId: ruleExpressionToolbar.getContent()[4].getText(),
					   	               		fieldType: ruleExpressionToolbar._fieldType,
					   	               		leftValue: ruleExpressionToolbar.getContent()[1].getValue(),
					   	               		rightValue: ruleExpressionToolbar.getContent()[6].getValue(),
					   	               		leftOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[2].getText()),
					   	               		rightOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[5].getText())
									 };
								 }
								 _this.getGrid().conditionDeleted(_this.getRootId(ruleExpressionToolbar._tId), exp);
								 _this.removeCondition(_this.getRootId(ruleExpressionToolbar._tId));
      	                		 ruleExpressionToolbar.destroy(true);
      	                		 sap.ui.getCore().byId(_this.sId + '_RuleExpressionsFormGrid').removeContent(ruleExpressionToolbar);
      	                		//_this.updateModelFromSplitForm();
      	                		 //_this.initSplitForm();
      	                	  }
      	                  })
    	              ]
        		});
//	   		expressionLeftValue.attachBrowserEvent("focus", function (event) {
	  		expressionLeftValue.onAfterRendering = function() {
	        	if (sas.hc.m.Input.prototype.onAfterRendering) {
	        		sas.hc.m.Input.prototype.onAfterRendering.apply(this);
	        	}
				$("#" + this.sId + "-inner").focus(function (event) {
		 			//console.info("value is " + sas.fscf.floatFormatter.parse(event.target.value));
     				oldValue = "" + sas.fscf.floatFormatter.parse(event.target.value);
		   		});
			};
     		expressionLeftValue.attachChange(function (oEvent) {
     			if(expressionLeftValue.getValue()=="" || expressionLeftValue.getValue()==null || expressionLeftValue.getValue()==undefined){
     				expressionLeftValue.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
					expressionLeftValue.setValueState(sap.ui.core.ValueState.Error);
     			}
     			else{
     				//console.info("left value changed from " + oldValue + " to " + oEvent.mParameters.newValue);
     				var oldExp = {
     						type: ruleExpressionToolbar._type,
     						fieldName: ruleExpressionToolbar.getContent()[3].getText(),
     						fieldId: ruleExpressionToolbar.getContent()[4].getText(),
     						fieldType: ruleExpressionToolbar._fieldType,
     						leftValue: oldValue,
     						rightValue: "" + sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[6].getValue()),
     						leftOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[2].getText()),
     						rightOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[5].getText())
     				};
     				if ((sas.fscf.floatFormatter.parse(oEvent.mParameters.newValue) > sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[6].getValue())) &&
     						(this.getValueState() != sap.ui.core.ValueState.Error)) {
     					// swap to right if greater than right
     					var temp = ruleExpressionToolbar.getContent()[6].getValue();
     					ruleExpressionToolbar.getContent()[6].setValue(oEvent.mParameters.newValue);
     					ruleExpressionToolbar.getContent()[1].setValue(temp);
     				}
     				var newExp;
     				var bConverted = false;
     				if (sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[1].getValue()) == sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[6].getValue())) {
     					// convert to a simple condition if the numbers are the same
     					newExp = {
     							type: "COMPARE",
     							fieldName: ruleExpressionToolbar.getContent()[3].getText(),
     							fieldId: ruleExpressionToolbar.getContent()[4].getText(),
     							fieldType: ruleExpressionToolbar._fieldType,
     							value: "" + sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[1].getValue()),
     							operator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[2].getText())
     					};
     					bConverted = true;
     				} else {
     					newExp = {
     							type: ruleExpressionToolbar._type,
     							fieldName: ruleExpressionToolbar.getContent()[3].getText(),
     							fieldId: ruleExpressionToolbar.getContent()[4].getText(),
     							fieldType: ruleExpressionToolbar._fieldType,
     							leftValue: "" + sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[1].getValue()),
     							rightValue: "" + sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[6].getValue()),
     							leftOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[2].getText()),
     							rightOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[5].getText())
     					};
     				}
     				_this.getGrid().conditionModified(_this.getRootId(ruleExpressionToolbar._tId), oldExp, newExp);
     				_this.replaceCondition(_this.getRootId(ruleExpressionToolbar._tId), newExp);
     				if (bConverted) {
     					_this.initSplitForm();
     				}

     				oldValue = "" + sas.fscf.floatFormatter.parse(oEvent.mParameters.newValue);
     			}
       		});
	   		//expressionRightValue.attachBrowserEvent("focus", function (event) {
	  		expressionRightValue.onAfterRendering = function() {
	        	if (sas.hc.m.Input.prototype.onAfterRendering) {
	        		sas.hc.m.Input.prototype.onAfterRendering.apply(this);
	        	}
				$("#" + this.sId + "-inner").focus(function (event) {
		 			//console.info("value is " + sas.fscf.floatFormatter.parse(event.target.value));
     				oldValue = "" + sas.fscf.floatFormatter.parse(event.target.value);
		   		});
			};
     		expressionRightValue.attachChange(function (oEvent) {
     			if(expressionRightValue.getValue()=="" || expressionRightValue.getValue()==null || expressionRightValue.getValue()==undefined){
     				expressionRightValue.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
					expressionRightValue.setValueState(sap.ui.core.ValueState.Error);
     			}
     			else{
     				//console.info("right value changed from " + oldValue + " to " + oEvent.mParameters.newValue);
     				var oldExp = {
     						type: ruleExpressionToolbar._type,
     						fieldName: ruleExpressionToolbar.getContent()[3].getText(),
     						fieldId: ruleExpressionToolbar.getContent()[4].getText(),
     						fieldType: ruleExpressionToolbar._fieldType,
     						leftValue: "" + sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[1].getValue()),
     						rightValue: oldValue,
     						leftOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[2].getText()),
     						rightOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[5].getText())
     				};
     				if ((sas.fscf.floatFormatter.parse(oEvent.mParameters.newValue) < sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[1].getValue())) &&
     						(this.getValueState() != sap.ui.core.ValueState.Error)) {
     					// swap to left if less than left
     					var temp = ruleExpressionToolbar.getContent()[1].getValue();
     					ruleExpressionToolbar.getContent()[1].setValue(oEvent.mParameters.newValue);
     					ruleExpressionToolbar.getContent()[6].setValue(temp);
     				}
     				var newExp;
     				var bConverted = false;
     				if (sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[1].getValue()) == sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[6].getValue())) {
     					// convert to a simple condition if the numbers are the same
     					newExp = {
     							type: "COMPARE",
     							fieldName: ruleExpressionToolbar.getContent()[3].getText(),
     							fieldId: ruleExpressionToolbar.getContent()[4].getText(),
     							fieldType: ruleExpressionToolbar._fieldType,
     							value: "" + sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[1].getValue()),
     							operator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[2].getText())
     					};
     					bConverted = true;
     				} else {
     					newExp = {
     							type: ruleExpressionToolbar._type,
     							fieldName: ruleExpressionToolbar.getContent()[3].getText(),
     							fieldId: ruleExpressionToolbar.getContent()[4].getText(),
     							fieldType: ruleExpressionToolbar._fieldType,
     							leftValue: "" + sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[1].getValue()),
     							rightValue: "" + sas.fscf.floatFormatter.parse(ruleExpressionToolbar.getContent()[6].getValue()),
     							leftOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[2].getText()),
     							rightOperator: sas.fscf.getOperatorKey(ruleExpressionToolbar.getContent()[5].getText())
     					};
     				}
     				_this.getGrid().conditionModified(_this.getRootId(ruleExpressionToolbar._tId), oldExp, newExp);
     				_this.replaceCondition(_this.getRootId(ruleExpressionToolbar._tId), newExp);
     				if (bConverted) {
     					_this.initSplitForm();
     				}

     				oldValue = "" + sas.fscf.floatFormatter.parse(oEvent.mParameters.newValue);
     			}
       		});
     		//Might be a way to prevent text from being entered using UI5 methods instead of the following javascript
       		expressionLeftValue.attachBrowserEvent("keypress", function(e) {
     			if(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric"){
					var key_codes = [13, 32, 45, 46, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 0, 8, 109, 188, 189, 190];
					if (!($.inArray(e.which, key_codes) >= 0)) {
						expressionLeftValue.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
						expressionLeftValue.setValueState(sap.ui.core.ValueState.Error);
						e.preventDefault();
					}
				}
            });
       		expressionRightValue.attachBrowserEvent("keypress", function(e) {
     			if(expressionArr["fieldType"] == "Currency" || expressionArr["fieldType"] == "Numeric"){
					var key_codes = [13, 32, 45, 46, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 0, 8, 109, 188, 189, 190];
					if (!($.inArray(e.which, key_codes) >= 0)) {
						expressionRightValue.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inputValueNumber.error.txt"));
						expressionRightValue.setValueState(sap.ui.core.ValueState.Error);
						e.preventDefault();
					}
				}
            });
    	}

    	ruleExpressionToolbar._type = expressionArr["type"];
    	ruleExpressionToolbar._fieldType = expressionArr["fieldType"];
    	ruleExpressionToolbar._tId = tId;

    	if(isNested){
    		ruleExpressionToolbar.addStyleClass("nestedExpressionSplitForm");
    	}

    	//set any name attributes that need to be set
    	ruleExpressionToolbar.onAfterRendering = function() {
        	if (sap.m.Toolbar.prototype.onAfterRendering) {
        		sap.m.Toolbar.prototype.onAfterRendering.apply(this);
        	}
        	// must be set after rendering when the dom ref will exist
        	ruleExpressionToolbar.getDomRef().setAttribute("name", ruleExpressionToolbar._tId);
        	if(isNested){
        		var myElements = document.querySelectorAll(".nestedExpressionSplitForm.sapMIBar.sapMTB.sapMTB-Auto-CTX.sapMTBInactive.sapMTBNewFlex");
        		for (var i = 0; i < myElements.length; i++) {
        			currentToolbar = sap.ui.getCore().byId(myElements[i].id);
        			if(!myElements[i+1]){
        				myElements[i].style.borderTop = "none";
        				myElements[i].style.borderBottom = "1px solid #CECECE";
        				myElements[i].style.borderRadius = "0px 0px 0px 5px";
        				myElements[i].style.paddingBottom = "2px";
        			}
        			else{
        				if(currentToolbar._isMajor){
        					myElements[i].style.marginTop = "3px";
        					myElements[i].style.borderBottom = "none";
        					myElements[i].style.borderTop = "1px solid #CECECE";
        					myElements[i].style.borderRadius = "5px 0px 0px 0px";
        				}
        				else{
        					nextToolbar = sap.ui.getCore().byId(myElements[i+1].id);
        					if(nextToolbar._isMajor){
        						myElements[i].style.borderTop = "none";
        						myElements[i].style.borderBottom = "1px solid #CECECE";
        						myElements[i].style.borderRadius = "0px 0px 0px 5px";
        						myElements[i].style.marginBottom = "5px";
        						myElements[i].style.paddingBottom = "2px";
        					}
        					else{
        						myElements[i].style.borderTop = "none";
        						myElements[i].style.borderBottom = "none";
        					}
        				}
        			}
        		}
        	}
    	};
    	deleteExpressionButton.onAfterRendering = function() {
        	if (sas.hc.m.Button.prototype.onAfterRendering) {
        		sas.hc.m.Button.prototype.onAfterRendering.apply(this);
        	}
        	// must be set after rendering when the dom ref will exist
        	deleteExpressionButton.getDomRef().setAttribute("name", "deleteButton");
    	};
    	return ruleExpressionToolbar;
    },

    arrayContains: function(a, keyVal) {
        for (var index in a) {
            if (a[index] == keyVal) {
                return true;
            }
        }
        return false;
    },

    findCondition: function(pId) {
    	var ruleModel = sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition;

    	var exps = ruleModel["expressions"];
    	return this._findCondition(pId, exps);
    },

    _findCondition: function(pId, exps, parent_exps, parent_i, level) {
    	if (level == undefined) {
    		level = 1;
    	}
    	var pIndices = pId.split("-");
    	var indices;
    	var i;
		for (i = 0; i < exps.length; i++) {
			if (exps[i]["id"] == pId) {
		    	return {exp: exps[i], parent_exps: exps, parent_i: i, g_parent_exps: parent_exps, g_parent_i: parent_i};
			}
			indices = exps[i]["id"].split("-");
			if (parseInt(indices[level]) > parseInt(pIndices[level])) {
		    	return {exp: null, parent_exps: exps, parent_i: i, g_parent_exps: parent_exps, g_parent_i: parent_i};
			} else if (parseInt(indices[level]) == parseInt(pIndices[level])) {
				if ((exps[i]["type"] == "OR") || (exps[i]["type"] == "AND") || (exps[i]["type"] == "NOR")) {
    				return this._findCondition(pId, exps[i].expressions, exps, i, level + 1);
				}
			}
		}
    	return {exp: null, parent_exps: exps, parent_i: i, g_parent_exps: parent_exps, g_parent_i: parent_i};
    },

    addCondition: function(pId, exp, bOverrideIn) {
    	var _this = this;
    	var ruleModel = sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition;
    	var exs = ruleModel["expressions"];
    	exp.id = pId;

    	if(exs==null || exs==[] || exs == ""){
    		ruleModel["expressions"] = [exp];
    	}
    	else{
    		var exps = ruleModel["expressions"];
        	var ret = this._findCondition(pId, exps);
        	if (ret.exp) {
        		if (bOverrideIn || (ret.exp["type"] == "OR") || (ret.exp["type"] == "AND")) {
        			if (((ret.exp["type"] == "OR") && (ret.exp.expressions[0]["fieldId"] == exp.fieldId)) ||
           				((ret.exp["type"] == "AND") && (ret.exp.expressions[0]["fieldId"] == exp.fieldId))) {
           				// multi-select case and there is already an OR or an AND block
           				// add it to the end
           				var id_pieces = ret.exp.expressions[ret.exp.expressions.length - 1].id.split("-");
           				id_pieces[id_pieces.length - 1] = parseInt(id_pieces[id_pieces.length - 1]) + 1;
           				exp.id = id_pieces.join("-");
               			ret.exp.expressions[ret.exp.expressions.length] = exp;
           			} else if (ret.exp["fieldId"] == exp.fieldId) {
           				// multi-select case and there is not already an OR block
           				// remove from the group and put it into a new subgroup
           	    		var newSubGroup = ret.parent_exps.splice(ret.parent_i, 1);
           				newSubGroup[0].id = pId + "-" + 1;
               			// add the new exp to the end of the new subgroup
           				exp.id = pId + "-" + 2;
               			newSubGroup[newSubGroup.length] = exp;
               			// add the new subgroup as an OR or an AND at the i position
               			if (exp.operator == "NE") {
                   			ret.parent_exps.splice(ret.parent_i, 0 ,{id: pId, type:"AND", operator:"AND", expressions:newSubGroup});
               			} else {
                   			ret.parent_exps.splice(ret.parent_i, 0 ,{id: pId, type:"OR", operator:"OR", expressions:newSubGroup});
               			}
       			    }
        		} else {
        			if (sas.fscf.isInOperator(ret.exp["operator"]) && (ret.exp["fieldId"] == exp.fieldId)) {
           				// multi-select case and there is already an IN
           				// add the value to to the end of the values array
        				ret.exp["values"].push(exp.value);
           			} else if (ret.exp["fieldId"] == exp.fieldId) {
           				// multi-select case and there is not already an IN
           				// make it an IN
           				if (ret.exp["operator"] == "NE") {
           					ret.exp["operator"] = "NOTIN";
           				} else {
           					ret.exp["operator"] = "IN";
           				}
           				ret.exp["values"] = [];
        				ret.exp["values"].push(ret.exp.value);
        				ret.exp["values"].push(exp.value);
        				ret.exp["value"] = "";
       			    }
        		}
			} else {
				// insert or append it at the i position
				ret.parent_exps.splice(ret.parent_i, 0, exp);
			}
			ruleModel["expressions"] = exps;
    	}
    	sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition = ruleModel;
		sas.fscf.getCurrentPageView().setDirty(true);
    	this.initSplitForm();
    },

    negateCondition: function(pId) {
    	var ruleModel = sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition;

    	var exps = ruleModel["expressions"];
    	var ret = this._findCondition(pId, exps);
    	if (ret.exp) {
			if (ret.exp["type"] == "OR") {
				// convert OR, EQUAL to AND, NE
				for (var i = 0; i < ret.exp.expressions.length; i++) {
					if (ret.exp.expressions[i]["operator"] == "EQUAL") {
						ret.exp.expressions[i]["operator"] = "NE";
					}
				}
				ret.exp["type"] = "AND";
				ret.exp["operator"] = "AND";
			} else if (ret.exp["type"] == "AND") {
				// convert AND, NE to OR, EQUAL
				for (var i = 0; i < ret.exp.expressions.length; i++) {
					if (ret.exp.expressions[i]["operator"] == "NE") {
						ret.exp.expressions[i]["operator"] = "EQUAL";
					}
				}
				ret.exp["type"] = "OR";
				ret.exp["operator"] = "OR";
			} else if (ret.exp["type"] == "COMPARE") {
				if (ret.exp["operator"] == "EQUAL") {
					ret.exp["operator"] = "NE";
				} else if (ret.exp["operator"] == "NE") {
					ret.exp["operator"] = "EQUAL";
				} else if (ret.exp["operator"] == "MISSING") {
					ret.exp["operator"] = "NOTMISSING";
				} else if (ret.exp["operator"] == "NOTMISSING") {
					ret.exp["operator"] = "MISSING";
				} else if (ret.exp["operator"] == "IN") {
					ret.exp["operator"] = "NOTIN";
				} else if (ret.exp["operator"] == "NOTIN") {
					ret.exp["operator"] = "IN";
				} else if (ret.exp["operator"] == "SW") {
					ret.exp["operator"] = "NOTSW";
				} else if (ret.exp["operator"] == "NOTSW") {
					ret.exp["operator"] = "SW";
				} else if (ret.exp["operator"] == "SWANY") {
					ret.exp["operator"] = "NOTSWANY";
				} else if (ret.exp["operator"] == "NOTSWANY") {
					ret.exp["operator"] = "SWANY";
				} else if (ret.exp["operator"] == "EW") {
					ret.exp["operator"] = "NOTEW";
				} else if (ret.exp["operator"] == "NOTEW") {
					ret.exp["operator"] = "EW";
				} else if (ret.exp["operator"] == "EWANY") {
					ret.exp["operator"] = "NOTEWANY";
				} else if (ret.exp["operator"] == "NOTEWANY") {
					ret.exp["operator"] = "EWANY";
				} else if (ret.exp["operator"] == "CO") {
					ret.exp["operator"] = "NOTCO";
				} else if (ret.exp["operator"] == "NOTCO") {
					ret.exp["operator"] = "CO";
				} else if (ret.exp["operator"] == "COANY") {
					ret.exp["operator"] = "NOTCOANY";
				} else if (ret.exp["operator"] == "NOTCOANY") {
					ret.exp["operator"] = "COANY";
				}
			}
    	}

    	ruleModel["expressions"] = exps;
    	sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition = ruleModel;
		sas.fscf.getCurrentPageView().setDirty(true);
    	this.initSplitForm();
    },

    updateCondition: function(pId, exp) {
    	this.replaceCondition(pId, exp);
    	this.initSplitForm();
    },

    removeCondition: function(pId, exp, bModifyIds) {
    	var _this = this;
    	var ruleModel = sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition;

    	var exps = ruleModel["expressions"];
    	var ret = this._findCondition(pId, exps);
    	if (ret.exp) {
			if ((ret.exp["type"] == "OR" || ret.exp["type"] == "AND") && exp) {
				// handle the multi-select case which maps to an OR or an AND
    			for (var k = 0; k < ret.exp.expressions.length; k++) {
    				if (this.isEqualForRemoval(ret.exp.expressions[k], exp)) {
    					ret.exp.expressions.splice(k, 1);
    					if (ret.exp.expressions[k]) {
    			        	this.modifyModelIds(ret.exp.expressions, k, ret.exp.expressions[k].id.split("-").length - 1, -1);
    					}
    					break;
    				}
    			}
	    		if (ret.exp.expressions.length == 1) {
					// simplify the subgroup if it is now a single expression
	    			var temp_exp = ret.exp.expressions[0];
	    			temp_exp.id = ret.parent_exps[ret.parent_i].id;
	    			ret.parent_exps.splice(ret.parent_i, 1, temp_exp);
				} else if (ret.exp.expressions.length == 0) {
					// remove the subgroup if it is now empty
	    			ret.parent_exps.splice(ret.parent_i, 1);
			    	if (bModifyIds) {
			    		if (ret.parent_exps[ret.parent_i]) {
				        	this.modifyModelIds(ret.parent_exps, ret.parent_i, ret.parent_exps[ret.parent_i].id.split("-").length - 1, -1);
			    		}
			    	}
	    		}
			} else if (sas.fscf.isInOperator(ret.exp["operator"]) && (exp && exp.value && exp.value.length > 0)) {
				// handle the multi-select case which maps to an IN
				for (var k = 0; k < ret.exp.values.length; k++) {
					if (ret.exp.values[k] == exp.value) {
						ret.exp.values.splice(k, 1);
						break;
					}
				}
				if (ret.exp.values.length == 1) {
					// simplify the expression if it is now a single value
					ret.exp.type = "COMPARE";
					if (ret.exp.operator == "NOTIN") {
						ret.exp.operator = "NE";
					} else {
						ret.exp.operator = "EQUAL";
					}
					ret.exp.value = ret.exp.values.pop();
				} else if (ret.exp.values.length == 0) {
					// remove the expression if it is now empty
	    			ret.parent_exps.splice(ret.parent_i, 1);
			    	if (bModifyIds) {
			    		if (ret.parent_exps[ret.parent_i]) {
				        	this.modifyModelIds(ret.parent_exps, ret.parent_i, ret.parent_exps[ret.parent_i].id.split("-").length - 1, -1);
			    		}
			    	}
				}
			} else {
				// remove the condition
    			ret.parent_exps.splice(ret.parent_i, 1);
				// if in a subgroup that is now empty, remove the subgroup
    			if (ret.g_parent_exps) {
    	    		if (ret.parent_exps.length == 0) {
    	    			ret.g_parent_exps.splice(ret.g_parent_i, 1);
    			    	if (bModifyIds) {
    			    		if (ret.g_parent_exps[ret.g_parent_i]) {
        			        	this.modifyModelIds(ret.g_parent_exps, ret.g_parent_i, ret.g_parent_exps[ret.g_parent_i].id.split("-").length - 1, -1);
    			    		}
    			    	}
    	    		} else {
    			    	if (bModifyIds) {
    			    		if (ret.parent_exps[ret.parent_i]) {
        			        	this.modifyModelIds(ret.parent_exps, ret.parent_i, ret.parent_exps[ret.parent_i].id.split("-").length - 1, -1);
    			    		}
    			    	}
    	    		}
    			} else {
			    	if (bModifyIds) {
			    		if (ret.parent_exps[ret.parent_i]) {
				        	this.modifyModelIds(ret.parent_exps, ret.parent_i, ret.parent_exps[ret.parent_i].id.split("-").length - 1, -1);
			    		}
			    	}
    			}
			}
    	} else {
    		// the user removed a panel that had no selections - even though there was no matching expression, the other
    		// ids after pId still need to be modified
    		if (bModifyIds) {
        		if (ret.parent_exps[ret.parent_i]) {
                	this.modifyModelIds(ret.parent_exps, ret.parent_i, ret.parent_exps[ret.parent_i].id.split("-").length - 1, -1);
        		}
    		}
    	}

    	ruleModel["expressions"] = exps;
    	sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition = ruleModel;
		sas.fscf.getCurrentPageView().setDirty(true);
    	this.initSplitForm();
    },

    isEqualForRemoval: function(exp, exp2) {
		if(exp["fieldId"]==exp2.fieldId && exp["type"]==exp2.type){
			if (exp["type"]=="COMPARE") {
				if (exp["operator"]==exp2.operator && exp["value"]==exp2.value) {
					return true;
				}
			} else if (exp["type"]=="RANGE") {
    			if (exp["leftOperator"]==exp2.leftOperator && exp["leftValue"]==exp2.leftValue &&
    				exp["rightOperator"]==exp2.rightOperator && exp["rightValue"]==exp2.rightValue) {
					return true;
    			}
			}
		}
		return false;
    },

    removeAllConditions: function() {
    	// zero out the expressions
    	sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition.expressions.length = 0;
    	this.initSplitForm();
    },

    replaceCondition: function(pId, exp) {
    	var ruleModel = sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition;
    	var exps = ruleModel["expressions"];
		exp.id = pId;
    	var ret = this._findCondition(pId, exps);
    	if (ret.exp) {
			ret.parent_exps[ret.parent_i] = exp;
    	}
    	ruleModel["expressions"] = exps;
    	sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition = ruleModel;
		sas.fscf.getCurrentPageView().setDirty(true);
    },

    filterFloat: function (value) {
        if(/^(\-|\+)?([0-9]+(\.[0-9]+)?|Infinity)$/
          .test(value)){
          return Number(value);
        }
      return false;
    },

    updateModelFromFullForm: function(finalCheck){
    	var _this=this;
    	sas.fscf.getCurrentPageView().jsonRuleIncomplete = false;

    	//alerts
    	var createAlertChk = sap.ui.getCore().byId(_this.getActions().sId + "alertActionCheckBox");
    	var createAlert = createAlertChk.getChecked();
    	var alertDestination = sas.fscf.getCurrentPageView().jsonRule.queueId;
    	var alertType = sas.fscf.getCurrentPageView().jsonRule.alertTypeId;
    	if (alertType!=null) alertType=alertType.trim();
    	if(createAlert && ((alertDestination==null || alertDestination=="") || (alertType==null || alertType==""))){
    		createAlertChk.setValueState(sap.ui.core.ValueState.Error);
    		_this.getActionConfiguration().open();
    		sas.fscf.getCurrentPageView().jsonRuleIncomplete=true;
    	}

    	var firstLevel = true;
    	var ruleModel = sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition;
    	ruleModel["expressions"].length = 0;
    	var checkExpArray = [];
    	var checkExpArrayNested = [];
    	var mainErrorText;
    	var allItems = document.getElementById(_this.sId + "_RuleGuidedFormGrid");

    		if(allItems.children!=undefined){
    			var subItems = allItems.children;
    			var level = -1;
    			var j = 0;
    			var k = 0;
    			var majorInclusion = sap.ui.getCore().byId(subItems[0].children[0].id).getContent()[1];
    			for(var b=0;b<subItems.length;b++){
    				if(subItems[b].children!=undefined){
    				  if(subItems[b].children[0]!=undefined){

    					var previousToolbarIsNested = b!=0 ? sap.ui.getCore().byId(subItems[b-1].children[0].id)._isNested : false;
    					var currentToolbar = sap.ui.getCore().byId(subItems[b].children[0].id);

    					if(currentToolbar._isMajor){ //inclusion field

    						var selectedInclusionField = currentToolbar.getContent()[1];

    						if(level==-1){
    							ruleModel["type"] = selectedInclusionField.getSelectedKey();
    							var mainErrorText = currentToolbar.getContent()[3];
    							if(ruleModel["type"]=="NOR"){
    								ruleModel["operator"] = "OR";
    							}
    							else{
    								ruleModel["operator"] = ruleModel["type"];
    							}
    							level++;
    						}
    						else{
    							if(previousToolbarIsNested){
									j++;
								}
    							k=0;
    							var lastNestedInclusion = selectedInclusionField;
    							if(ruleModel["expressions"][j]==null || ruleModel["expressions"][j]==undefined){
									ruleModel["expressions"][j] = {};
								}
    							ruleModel["expressions"][j]["type"] = selectedInclusionField.getSelectedKey();
    							if(ruleModel["expressions"][j]["type"]=="NOR"){
    								ruleModel["expressions"][j]["operator"] = "OR";
    							}
    							else{
    								ruleModel["expressions"][j]["operator"] = ruleModel["expressions"][j]["type"];
    							}
    						}
    					}
    					else if(!currentToolbar._isMajor){ //toolbar with input fields

    						var s2Items = subItems[b].children[0].children;

    						if(s2Items[1].children[1].name=="leftValueInput"){ //range toolbar

          				    	var leftInputField = currentToolbar.getContent()[1];
          				    	var leftOperatorField = currentToolbar.getContent()[2];
          				    	var variableField = currentToolbar.getContent()[3];
          				    	var rightOperatorField = currentToolbar.getContent()[4];
          				    	var rightInputField = currentToolbar.getContent()[5];

    							if(leftInputField.getValue().trim() == "" || leftInputField.getValue() == null || leftInputField.getValue() == undefined ||
    							   leftOperatorField.getSelectedKey() == "" || leftOperatorField.getSelectedKey() == null || leftOperatorField.getSelectedKey() == undefined ||
    							   variableField.getValue() == "" || variableField.getValue() == null || variableField.getValue() == undefined ||
    							   rightOperatorField.getSelectedKey() == "" || rightOperatorField.getSelectedKey() == null || rightOperatorField.getSelectedKey() == undefined ||
    							   rightInputField.getValue() == "" || rightInputField.getValue() == null || rightInputField.getValue() == undefined ||
    							   variableField.getSelectedItem() == null
    							){
    								if(!currentToolbar._isNested){
    									if(variableField.getSelectedItem() != null){
    										if(finalCheck){
    											if(leftInputField.getValue().trim()==""){
    												sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
    												leftInputField.setValueState(sap.ui.core.ValueState.Error);
    												leftInputField.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
    												mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
    											}
    										}
    										if(finalCheck){
    	          				    			if(rightInputField.getValue().trim()==""){
    	          				    				sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
    	          				    				rightInputField.setValueState(sap.ui.core.ValueState.Error);
    	          				    				rightInputField.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
    	          				    				mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
    	          				    			}
    	          				    		}
    									}
    									else if(variableField.getSelectedItem() == null && variableField.getValue()!=""){
    										if(finalCheck){
    											variableField.setValueState(sap.ui.core.ValueState.Error);
    											errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.variableNotValid.error.txt"));
    											mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
    											sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
    										}
    									}
    								}
    								else{
    									if(finalCheck){
    										if(leftInputField.getValue().trim()==""){
												sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
												leftInputField.setValueState(sap.ui.core.ValueState.Error);
												leftInputField.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
												mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
											}
    										if(variableField.getSelectedItem() == null){
    											sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
												variableField.setValueState(sap.ui.core.ValueState.Error);
												errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.variableNotValid.error.txt"));
												mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
    										}
										}
    									if(finalCheck){
	          				    			if(rightInputField.getValue().trim()==""){
	          				    				sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
	          				    				rightInputField.setValueState(sap.ui.core.ValueState.Error);
	          				    				rightInputField.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
	          				    				mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
	          				    			}
	          				    		}
    								}
								}
    							else{
    								if(!currentToolbar._isNested){
    									mainErrorText.setText("");
    									if(previousToolbarIsNested){
        									j++;
        								}
    									if(leftInputField.getValueState() == sap.ui.core.ValueState.Error || rightInputField.getValueState() == sap.ui.core.ValueState.Error){
    										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
    										if(finalCheck){
    											mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
    										}
    									}
    									if(ruleModel["expressions"][j]==null || ruleModel["expressions"][j]==undefined){
    										ruleModel["expressions"][j] = {type:"RANGE",fieldName:"",fieldId:"",fieldType: "Character",leftOperator:"",rightOperator:"",leftValue:"",rightValue:""};
	    								}
    									ruleModel["expressions"][j]["leftValue"] = "" + sas.fscf.floatFormatter.parse(leftInputField.getValue());
	        							ruleModel["expressions"][j]["leftOperator"] = leftOperatorField.getSelectedKey();
	        							ruleModel["expressions"][j]["fieldName"] = variableField.getValue();
	        							ruleModel["expressions"][j]["fieldId"] = variableField.getSelectedKey();
	        							ruleModel["expressions"][j]["fieldType"] = variableField.getSelectedItem()._variableType;
	        							ruleModel["expressions"][j]["rightOperator"] = rightOperatorField.getSelectedKey();
	        							ruleModel["expressions"][j]["rightValue"] = "" + sas.fscf.floatFormatter.parse(rightInputField.getValue());
	        							j++;
	        							k=0;
    								}
    								else if(currentToolbar._isNested){
    									mainErrorText.setText("");
    									if(ruleModel["expressions"][j]["expressions"]==null || ruleModel["expressions"][j]["expressions"]==undefined){
        									ruleModel["expressions"][j]["expressions"] = [{type:"RANGE",fieldName:"",fieldId:"",fieldType: "Character",leftOperator:"",rightOperator:"",leftValue:"",rightValue:""}];
        								}
    									if(leftInputField.getValueState() == sap.ui.core.ValueState.Error || rightInputField.getValueState() == sap.ui.core.ValueState.Error){
    										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
    										if(finalCheck){
    											mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
    										}
    									}
    									if(ruleModel["expressions"][j]["expressions"][k]==null || ruleModel["expressions"][j]["expressions"]==undefined){
        									ruleModel["expressions"][j]["expressions"][k] = {type:"RANGE",fieldName:"",fieldId:"",fieldType: "Character",leftOperator:"",rightOperator:"",leftValue:"",rightValue:""};
        								}
    									ruleModel["expressions"][j]["expressions"][k]["leftValue"] = "" + sas.fscf.floatFormatter.parse(leftInputField.getValue());
	        							ruleModel["expressions"][j]["expressions"][k]["leftOperator"] = leftOperatorField.getSelectedKey();
	        							ruleModel["expressions"][j]["expressions"][k]["fieldName"] = variableField.getValue();
	        							ruleModel["expressions"][j]["expressions"][k]["fieldId"] = variableField.getSelectedKey();
	        							ruleModel["expressions"][j]["expressions"][k]["fieldType"] = variableField.getSelectedItem()._variableType;
	        							ruleModel["expressions"][j]["expressions"][k]["rightOperator"] = rightOperatorField.getSelectedKey();
	        							ruleModel["expressions"][j]["expressions"][k]["rightValue"] = "" + sas.fscf.floatFormatter.parse(rightInputField.getValue());
	        							k++;
    								}
    	    					}
    						}
    						else if(s2Items[1].className=="sapMBarChild sapUiTfBack sapUiTfBrd sapUiTfCombo sapUiTfStd" || s2Items[1].className=="sapMBarChild sapUiTfBack sapUiTfBrd sapUiTfCombo sapUiTfStd sapUiTfFoc"){ //regular toolbar

								var variableField = currentToolbar.getContent()[1];
								var operatorField = currentToolbar.getContent()[2];
          				    	var inputField = currentToolbar.getContent()[4];
          				    	var multiInputField = currentToolbar.getContent()[5];
          				    	var errorText = currentToolbar.getContent()[9];

          				    	//For IN operator - multi input
          				    	var allTokens = multiInputField.getTokens();
          				    	var multiInputArray = [];
          				    	var fieldModifiersArray = [];
          				    	if(allTokens[0]){
          				    		for(var key in allTokens){
          				    			multiInputArray.push(allTokens[key].getKey());
          				    		}
    							}

        						if(variableField.getValue() == "" || variableField.getValue() == null || variableField.getValue()==undefined ||
        						   operatorField.getSelectedKey() == "" || operatorField.getSelectedKey() == null || operatorField.getSelectedKey()==undefined ||
        						   (inputField.getValue().trim()=="" && operatorField.getSelectedKey()!="MISSING" && operatorField.getSelectedKey()!="NOTMISSING" && !sas.fscf.isInOperator(operatorField.getSelectedKey())) ||
        						   (multiInputField.getTokens()=="" && sas.fscf.isInOperator(operatorField.getSelectedKey())) ||
        						   variableField.getSelectedItem() == null
        						){
        							if(!currentToolbar._isNested){
        								if(variableField.getSelectedItem() != null){
        									if(finalCheck){
        										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
        										if(sas.fscf.isInOperator(operatorField.getSelectedKey())){
        											multiInputField.setValueState(sap.ui.core.ValueState.Error);
        											errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
        											mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
        										}
        										else{
        											if(operatorField.getSelectedKey()!="MISSING" && operatorField.getSelectedKey()!="NOTMISSING"){
        												inputField.setValueState(sap.ui.core.ValueState.Error);
        												//errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
        												inputField.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
        											}
        										}
        									}
        								}
        								else if(variableField.getSelectedItem() == null && variableField.getValue()!=""){
        									if(finalCheck){
        										variableField.setValueState(sap.ui.core.ValueState.Error);
        										errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.variableNotValid.error.txt"));
        										mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
        										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
        									}
        								}
        							}
        							else{
        								if(finalCheck){
        									if(variableField.getSelectedItem() == null){
    											sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
												variableField.setValueState(sap.ui.core.ValueState.Error);
												errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.variableNotValid.error.txt"));
												mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
    										}
        									if(sas.fscf.isInOperator(operatorField.getSelectedKey())){
        										multiInputField.setValueState(sap.ui.core.ValueState.Error);
    											errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
    											mainErrorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.correctAllErrors.error.txt"));
        									}
        									if(inputField.getValue().trim()=="" && operatorField.getSelectedKey()!="MISSING" && operatorField.getSelectedKey()!="NOTMISSING" && !sas.fscf.isInOperator(operatorField.getSelectedKey())){
                  				    			sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
                  				    			inputField.setValueState(sap.ui.core.ValueState.Error);
                  				    			//errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
                  				    			inputField.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.emptyField.error.txt"));
                  				    		}
              							}
        							}
								}
        						else{
        							if(!currentToolbar._isNested){
        								if(previousToolbarIsNested){
        									j++;
        								}
        								if(finalCheck){
        									if(majorInclusion.getSelectedKey() == "AND" && _this.arrayContains(checkExpArray, variableField.getSelectedKey() + ":" + operatorField.getSelectedKey())){
        										errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.fieldAlreadySet.error.txt"));
        										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
        										variableField.setValueState(sap.ui.core.ValueState.Error);
        									}
        									else{
        										checkExpArray.push(variableField.getSelectedKey() + ":" + operatorField.getSelectedKey());
        									}
        									if(inputField.getValueState() == sap.ui.core.ValueState.Error){
        										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
        									}
        								}
        								else if(!finalCheck){
        									variableField.setValueState(sap.ui.core.ValueState.None);
        									operatorField.setValueState(sap.ui.core.ValueState.None);
        									//inputField.setValueState(sap.ui.core.ValueState.None);
        									multiInputField.setValueState(sap.ui.core.ValueState.None);
        									majorInclusion.setValueState(sap.ui.core.ValueState.None);
        									errorText.setText("");
        									mainErrorText.setText("");
        								}
        								if(ruleModel["expressions"][j]==null || ruleModel["expressions"][j]==undefined){
        									ruleModel["expressions"][j] = {type:"COMPARE",fieldName:"",fieldId:"",fieldType: "Character",operator:"",value:""};
        								}
        								ruleModel["expressions"][j]["fieldName"] = variableField.getValue();
        								ruleModel["expressions"][j]["fieldId"] = variableField.getSelectedKey();
        								ruleModel["expressions"][j]["fieldType"] = variableField.getSelectedItem()._variableType;
        								ruleModel["expressions"][j]["operator"] = operatorField.getSelectedKey();
        								ruleModel["expressions"][j]["modifiers"] = currentToolbar._modifiers;
        								if(sas.fscf.isInOperator(operatorField.getSelectedKey())){
        									ruleModel["expressions"][j]["values"] = multiInputArray;
        								}
        								else{
        									ruleModel["expressions"][j]["value"] = (variableField.getSelectedItem()._variableType == "Currency" || variableField.getSelectedItem()._variableType == "Numeric") ? "" + sas.fscf.floatFormatter.parse(inputField.getValue()) : inputField.getValue();
        								}
	        							j++;
	        							k=0;
        							}
        							else if(currentToolbar._isNested){
        								if(finalCheck){
        									if(lastNestedInclusion.getSelectedKey() == "AND" && _this.arrayContains(checkExpArrayNested, variableField.getSelectedKey() + ":" + operatorField.getSelectedKey())){
        										errorText.setText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.fieldAlreadySet.error.txt"));
        										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
        										variableField.setValueState(sap.ui.core.ValueState.Error);
        									}
        									else{
        										checkExpArrayNested.push(variableField.getSelectedKey() + ":" + operatorField.getSelectedKey());
        									}
        									if(lastNestedInclusion.getSelectedKey() == majorInclusion.getSelectedKey()){
        										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
        										lastNestedInclusion.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSame.error.txt"));
        										lastNestedInclusion.setValueState(sap.ui.core.ValueState.Error);
        										majorInclusion.setValueStateText(sas.fscf.rb.getText("rules.rulesPage.guidedView.form.inclusionSame.error.txt"));
        										majorInclusion.setValueState(sap.ui.core.ValueState.Error);
        									}
        									if(inputField.getValueState() == sap.ui.core.ValueState.Error){
        										sas.fscf.getCurrentPageView().jsonRuleIncomplete = true;
        									}
        								}
        								else if(!finalCheck){
        									variableField.setValueState(sap.ui.core.ValueState.None);
        									operatorField.setValueState(sap.ui.core.ValueState.None);
        									//inputField.setValueState(sap.ui.core.ValueState.None);
        									multiInputField.setValueState(sap.ui.core.ValueState.None);
        									majorInclusion.setValueState(sap.ui.core.ValueState.None);
        									lastNestedInclusion.setValueState(sap.ui.core.ValueState.None);
        									errorText.setText("");
        									mainErrorText.setText("");
        								}
        								if(ruleModel["expressions"][j]["expressions"]==null || ruleModel["expressions"][j]["expressions"]==undefined){
        									ruleModel["expressions"][j]["expressions"] = [{type:"COMPARE",fieldName:"",fieldId:"",fieldType: "Character",operator:"",value:""}];
        								}
        								if(ruleModel["expressions"][j]["expressions"][k]==null || ruleModel["expressions"][j]["expressions"]==undefined){
        									ruleModel["expressions"][j]["expressions"][k] = {type:"COMPARE",fieldName:"",fieldId:"",fieldType: "Character",operator:"",value:""};
        								}
        								ruleModel["expressions"][j]["expressions"][k]["fieldName"] = variableField.getValue();
        								ruleModel["expressions"][j]["expressions"][k]["fieldId"] = variableField.getSelectedKey();
        								ruleModel["expressions"][j]["expressions"][k]["fieldType"] = variableField.getSelectedItem()._variableType;
        								ruleModel["expressions"][j]["expressions"][k]["operator"] = operatorField.getSelectedKey();
        								ruleModel["expressions"][j]["expressions"][k]["modifiers"] = currentToolbar._modifiers;
        								if(sas.fscf.isInOperator(operatorField.getSelectedKey())){
        									ruleModel["expressions"][j]["expressions"][k]["values"] = multiInputArray;
        								}
        								else{
        									ruleModel["expressions"][j]["expressions"][k]["value"] = (variableField.getSelectedItem()._variableType == "Currency" || variableField.getSelectedItem()._variableType == "Numeric") ? "" + sas.fscf.floatFormatter.parse(inputField.getValue()) : inputField.getValue();
        								}
        								k++;
        							}
        						}
        					}
    					}
    				}
    			}
    		}
    	}
    	sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition = ruleModel;
    	sas.fscf.getCurrentPageView().initIdsForExpressions("F", sas.fscf.getCurrentPageView().jsonRule.expressions.expressions[0].condition.expressions);
    },

    setPopulationIndicator: function(total, current) {
    	//console.info("in setPopulationIndicator, total = " + total + ", current = " + current);
		var oProgIndicator = sap.ui.getCore().byId(this.sId + "FullFormPopulationIndicator");
		if (oProgIndicator) {
			if (total != 0) {
				oProgIndicator.setPercentValue((current / total) * 100);
				oProgIndicator.setDisplayValue(sas.fscf.percentFormatter.format(current / total) + " " + sas.fscf.rb.getText("rules.rulesPage.guidedView.population.xofy.fmt.txt", [sas.fscf.floatFormatter.format(current), sas.fscf.floatFormatter.format(total)]));
			} else {
				oProgIndicator.setPercentValue(100);
				oProgIndicator.setDisplayValue(sas.fscf.percentFormatter.format(1));
			}
		}
    },

    synchPopulationIndicator: function(anotherProgIndicator) {
		var oProgIndicator = sap.ui.getCore().byId(this.sId + "FullFormPopulationIndicator");
		if (oProgIndicator) {
			oProgIndicator.setPercentValue(anotherProgIndicator.getPercentValue());
			oProgIndicator.setDisplayValue(anotherProgIndicator.getDisplayValue());
		}
    },

    somethingChangedInFullForm: function() {
    	//console.info("in somethingChangedInFullForm");
    	var _this = this;
    	// set the dirty flag
		sas.fscf.getCurrentPageView().setDirty(true);
		// slight delay to make sure the change is fully done processing before we continue
		setTimeout(function () {
			// update the rule model
	    	_this.updateModelFromFullForm();
	    	// update the population indicator
	        $.ajax({url:sas.fscf.getQueryUrlFromRuleModel("search", null, []), contentType:"application/json; charset=utf-8", dataType:"json"})
	          .done(function(oData){
	        	  if (Object.keys(oData) && Object.keys(oData)[0]) {
	            	  _this.setPopulationIndicator(oData[Object.keys(oData)[0]]["total"], oData[Object.keys(oData)[0]]["match"]);
	        	  }
		    }).fail(function(oObj,textStatus){
		       console.info("an error occurred getting the totals");
		    });
	    	// update the related rows
	    	_this.getRelatedRows().update();
		}, 100);
    },

    getPalette: function() {
    	return sap.ui.getCore().byId(this.sId.substr(0, this.sId.indexOf("FormView")) + "PaletteView");
    },

    getGrid: function() {
    	return sap.ui.getCore().byId(this.sId.substr(0, this.sId.indexOf("FormView")) + "GridView");
    },

    getActions: function() {
    	return sap.ui.getCore().byId(this.sId.substr(0, this.sId.indexOf("FormView")) + "ActionsView");
    },

    getRelatedRows: function() {
    	return sap.ui.getCore().byId(this.sId.substr(0, this.sId.indexOf("FormView")) + "RelatedRowsView");
    },

    getActionConfiguration: function() {
    	var view = sap.ui.jsfragment({
            type: sap.ui.core.mvc.ViewType.JS,
            id: this.sId + "AlertCreationConfigurationDialog",
            fragmentName: "sas.fscf.views.fragments.AlertCreationConfigurationDialog"
        });
    	return view.lazyLoadContent();
    }
});



