<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

/* Override menu.js and cf.css style for light-color tabber */
.tabs a {
   background:url("images/rules/sTabLeftLite.gif") no-repeat left top;
}
.tabs a span {
   background:url("images/rules/sTabRightLite.gif") no-repeat right top;
}
.tabs .current a {
   background-color:#f0f1f2;
}
.tabs .current a span {
   background-color:#f0f1f2;
}

/* Alternate colors in rules list */
td.dataRow1_tableRow{
  background-color: #f0f1f2;
  border-right : 1px solid #e0e2e5;
  border-left : 1px solid #e0e2e5;
  vertical-align:top;
}
td.dataRow2_tableRow{
  background-color: white;
  border-right : 1px solid #e0e2e5;
  border-left : 1px solid #e0e2e5;
  vertical-align:top;
}

</style>

<script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/lookupLists.js"></script>
<script language="JavaScript" src="rules/scripts/lookupListActions.js"></script>
<script language="JavaScript">
//<!--

var action = '<c:url value="/r_rules.do"/>';
var lookupListAction = '<c:url value="/r_lookupLists.do"/>';
var lookupListFileTypeAction = '<c:url value="/r_fileTypeLookupLists.do" />';
var lookupListUploadAction = '<c:url value="/r_uploadLookupList.do"/>';

var lookupListId = '${listInfo.id}';
var lookupListUpNbr = '${listInfo.lstupdtNbr}';
var lookupListName = "${fn:escapeXml(listInfo.name)}";
var lookupListColumns = '${listInfo.typedColumns}';
var lookupListInds = '${listInfo.inds}';
var contentOrList = '${contentOrList}';
var lookupListType = '${listInfo.type}';

function ignoreReturn(evt)
{
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}


var activeTab = new Array('contentsArea');
function swapGridContentsLook(gridName,gridNum)
{
   var prev=activeTab[gridNum-1];
   var t;
   if (t=document.getElementById(prev+"Div")) t.style.display = "none";
   if (t=document.getElementById(prev + "Tab")) t.className = "normal";
   if (t=document.getElementById(gridName + "Div")) t.style.display = "block";
   if (t=document.getElementById(gridName + "Tab")) t.className = "current";
   window.focus();
   //-document.getElementById(gridName + "Tab").blur();
   //eval("currGridName"+gridNum) = gridName;
   activeTab[gridNum-1]=gridName;
}

function onChangeExpireyInd(element)
{
   var o = document.getElementById('analystExpireDays');
    o.disabled= !element.checked;
   if (!element.checked)
      o.value = "";
}

//-->
</script>


<script>
parent._lookupListIdsFromForeignBusinessUnits = new Array();
<c:forEach var="id" items="${lookupListIdsFromForeignBusinessUnits}">
	parent._lookupListIdsFromForeignBusinessUnits["${id}"] = true;
</c:forEach>
</script>

 <div style="margin-left:20px;">


 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=viewLookupList&target=lookupListDetail&lookupListId=${listInfo.id}&lstUpNbr=${listInfo.lstupdtNbr}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>
 </div>

<br>


<div align="center">
<TABLE name="listInfoTable" class="configurationTable" border="0" style="border:2px solid #e0e2e5;margin-left:0px;margin-right:15px;" cellspacing="0" cellpadding="0">

   <tr align="left" valign="top" >
     <th colspan="4" class="configurationTableTitle" >&nbsp;<fmt:message key="rules.lookupLists.${fn:toLowerCase(listInfo.type)}.details.txt" /><br>&nbsp;</th>
   </tr>

   <tr class="configurationTableDataRow" valign="top" style="height:10px;">
     <td colspan="4"></td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td width="1%" nowrap><fmt:message key="rules.lookupListDetailContent.listName.txt"/>:</td>
     <td width="60%" id="name"><c:if test="${not empty listInfo.name}">${esapi:encodeForHTML(listInfo.name)}</c:if>
                               <c:if test="${empty listInfo.name}"><i><fmt:message key="rules.lookupListDetailContent.listName.notRegistered.txt"/></i></c:if>
     </td>

     <c:if test="${listInfo.type=='RULEONLY'}">
     	<td nowrap><fmt:message key="rules.lookupListDetailContent.lastUploadedDate.txt"/>:</td>
     	<td nowrap> <c:if test="${    empty listInfo.refreshDate}"><i><fmt:message key="rules.lookupListDetailContent.lastUploadedDate.none.txt"/></i></c:if>
                 	<c:if test="${not empty listInfo.refreshDate}"><span dateFormat="${dateFormat} ${timeFormat}" sortvalue="${listInfo.refreshDateUtcMillis}"><fmt:formatDate value='${listInfo.refreshDate}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span><c:if test="${not empty listInfo.lstupdtUser}"> <fmt:message key="rules.lookupListDetailContent.byUser.fmt.txt"><fmt:param>${esapi:encodeForHTML(listInfo.lstupdtUser)}</fmt:param></fmt:message></c:if>&nbsp;</c:if>
     	</td>
     </c:if>

     <c:if test="${listInfo.type=='ANALYST'}">
     	<td nowrap><fmt:message key="rules.lookupListDetailContent.lastUpdatedDate.txt"/>:</td>
     	<td nowrap> <c:if test="${    empty listInfo.refreshDate}"><i><fmt:message key="rules.lookupListDetailContent.lastUploadedDate.none.txt"/></i></c:if>
        	        <c:if test="${not empty listInfo.refreshDate}"><span dateFormat="${dateFormat} ${timeFormat}" sortvlue="${listInfo.refreshDateUtcMillis}"><fmt:formatDate value='${listInfo.refreshDate}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span></c:if>
     	</td>
     </c:if>


   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="rules.lookupListDetailContent.keyFields.txt"/>:</td>
     <td nowrap>
       <c:if test="${    empty listInfo.typedKeyColumns}"><i><fmt:message key="rules.lookupListDetailContent.keyFields.none.txt"/></i></c:if>
       <c:if test="${not empty listInfo.typedKeyColumns}">
         <c:forEach var="col" items="${listInfo.columns}" >
            <c:if test="${col.isKey()}" >
            <c:choose>
               <c:when test="${col.isNumeric()}">${col.name}&nbsp;<i><fmt:message key="rules.lookupListDetailContent.dataFields.numeric.txt"/></i><br></c:when>
               <c:when test="${col.isString()}">${col.name}&nbsp;<i><fmt:message key="rules.lookupListDetailContent.dataFields.character.txt"/></i><br></c:when>
               <c:otherwise>${col.name}<br></c:otherwise>
            </c:choose>
            </c:if>
         </c:forEach>
       </c:if>
     </td>
     <td nowrap><fmt:message key="rules.lookupListDetailContent.dataFields.txt"/>:</td>
     <td nowrap>
       <c:if test="${    empty listInfo.typedDataColumns}"><i><fmt:message key="rules.lookupListDetailContent.dataFields.none.txt"/></i></c:if>
       <c:if test="${not empty listInfo.typedDataColumns}">
         <c:forEach var="col" items="${listInfo.columns}" >
            <c:if test="${col.isData()}" >
            <c:choose>
               <c:when test="${col.isNumeric()}">${col.name}&nbsp;<i><fmt:message key="rules.lookupListDetailContent.dataFields.numeric.txt"/></i><br></c:when>
               <c:when test="${col.isString()}">${col.name}&nbsp;<i><fmt:message key="rules.lookupListDetailContent.dataFields.character.txt"/></i><br></c:when>
               <c:otherwise>${col.name}<br></c:otherwise>
            </c:choose>
            </c:if>
         </c:forEach>
       </c:if>
     </td>
   </tr>

   <c:if test="${listInfo.type=='RULEONLY'}">
   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="rules.lookupListDetailContent.location.txt"/>:</td>
     <td colspan='4'>
       ${fn:escapeXml(listInfo.sasLocation)} (IOM SAS)<br>
       ${fn:escapeXml(listInfo.webLocation)} (webapp)<br>
     </td>
   </tr>
   </c:if>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="rules.lookupListDetailContent.description.txt"/>:</td>
     <c:if test="${not empty update}">
        <td colspan='3'>
          <input type="text" name="desc" id="desc" style="width:98%;"  maxlength="100" value="${esapi:encodeForHTMLAttribute(listInfo.desc)}"/>
        </td>
     </c:if>
     <c:if test="${    empty update}">
       <td colspan='3'><c:if test="${empty fn:trim(listInfo.desc)}"><i><fmt:message key="rules.lookupListDetailContent.description.none.txt"/></i></c:if>
                       <c:if test="${not empty fn:trim(listInfo.desc)}">${fn:escapeXml(listInfo.desc)}</c:if></td>
     </c:if>
   </tr>

   <c:if test="${listInfo.type=='ANALYST'}">
     <c:if test="${not empty update}">
      <tr class="configurationTableDataRow" valign="top">
         <td width="1%" nowrap>&nbsp;</td>
            <td colspan='3' >
               <c:choose>
                  <c:when test="${listInfo.expirationDays != 0}">
                     <c:set var="analystExpireDaysChecked" value="checked=\"checked\"" />
                     <c:set var="analystExpireDaysValue" value="value='${listInfo.expirationDays}'"/>
                  </c:when>
                  <c:otherwise>
                     <c:set var="analystExpireDaysChecked" value="" />
                     <c:set var="analystExpireDaysValue" value=""/>
                  </c:otherwise>
               </c:choose>
            <input id="analystExpireListItems" type="checkbox" class="famCheckbox" onclick="onChangeExpireyInd(this);" ${analystExpireDaysChecked} />
            <fmt:message key="rules.lookupListCreateContent.expire.txt"/>
            <input id="analystExpireDays" name="analystExpireDays" type="text" class="famTextEntry" size="2" maxlength="3" ${analystExpireDaysValue} />
            </td>
      </tr>
     </c:if>
     <c:if test="${    empty update && listInfo.expirationDays != 0}">
      <tr class="configurationTableDataRow" valign="top">
         <td colspan='4' nowrap><fmt:message key="rules.lookupListCreateContent.expire.txt"/>:
          ${listInfo.expirationDays}
         </td>
      </tr>
     </c:if>
   </c:if>


   <tr class="configurationTableDataRow" valign="top">
     <td colspan='4'>&nbsp;</td>
   </tr>



   <tr class="configurationTableDataRow" valign="top">
     <td colspan="4">


       <div class="tabs" style="background-color:#f0f1f2;">
         <ul>
           <li id="contentsAreaTab"><a href="JavaScript:swapGridContentsLook('contentsArea',1);"><span><fmt:message key="rules.lookupListDetailContent.contents.txt"/></span></a></li>
           <li id="rulesAreaTab">
             <c:if test="${    empty listInfo.rules}"><a href="JavaScript:swapGridContentsLook('rulesArea',1);"><span><fmt:message key="rules.lookupListDetailContent.rules.noRules.txt"/></span></a></c:if>
             <c:if test="${not empty listInfo.rules}"><a href="JavaScript:swapGridContentsLook('rulesArea',1);"><span><fmt:message key="rules.lookupListDetailContent.rules.numberRules.fmt.txt"><fmt:param>${fn:length(listInfo.rules)}</fmt:param></fmt:message></span></a></c:if>

   			 <c:if test="${listInfo.type=='ANALYST'}">
             <c:if test="${    empty listInfo.strategies}"><a href="JavaScript:swapGridContentsLook('strategyArea',1);"><span><fmt:message key="rules.lookupListDetailContent.rules.noStrategies.txt"/></span></a></c:if>
             <c:if test="${not empty listInfo.strategies}"><a href="JavaScript:swapGridContentsLook('strategyArea',1);"><span><fmt:message key="rules.lookupListDetailContent.rules.numberStrategies.fmt.txt"><fmt:param>${fn:length(listInfo.strategies)}</fmt:param></fmt:message></span></a></c:if>
             </c:if>

           </li>
         </ul>
       </div>

       <c:set var="tabsTop" value="250"/>
       <div id="rulesAreaDiv" style="top:${tabsTop}px;width:100%;overflow:auto;display:none;background-color:#f0f1f2;border-left:1px solid #c6cad0;border-right:1px solid #c6cad0;border-bottom:1px solid #c6cad0;">
         <div class="configurationTableTitle"
              style="width:100%;background-color:#f0f1f2;border-bottom:1px solid #f0f1f2;font-size:x-small;">
            <div style="margin-top:8px;margin-bottom:8px;">
              <b>&nbsp;&nbsp;&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.rulesUsingList.txt"/></b>
            </div>
         </div>

         <table class="mainTable" id="rulesTable" width="98%" align="center" style="border-left:1px solid #C6CAD0;border-right:1px solid #C6CAD0;border-top:1px solid #C6CAD0;border-bottom:1px solid #C6CAD0;margin:-1 0 0 0;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">
           <thead>
             <TR class="tableColumnHeaderRow" >
               <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.tableHeader.ruleId.txt"/></TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.tableHeader.ruleName.txt"/></TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.tableHeader.ruleType.txt"/></TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.tableHeader.ruleState.txt"/></TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.tableHeader.ruleDescription.txt"/></TH>
             </TR>
           </thead>
           <TBODY id="ruleTableBody">
            <c:if test="${empty listInfo.rules}">
              <TR rowspan="2">
                 <TD align="right" style="font-size:8pt;background-color:white;" colspan="100%"><center><br><em><fmt:message key="rules.lookupListDetailContent.rules.table.noRecords.txt"/></center></em><br></TD>
              </TR>
            </c:if>
            <c:if test="${not empty listInfo.rules}">
              <c:forEach var="rule" items="${listInfo.rules}" varStatus="status">

                 <TR style="cursor:pointer;" id="${status.count}"
                     onClick='handleRowSelectionRule(${rule.RULE_ID}, ${rule.LSTUPDT_NBR}, "${rule.RULE_STATE}", this, "rowSelected", event)'
                     ondblclick="showPrintableRule('${rule.RULE_ID}','${rule.LSTUPDT_NBR}','${rule.RULE_STATE}')">
                    <TD class="dataRow${status.count%2+1}_tableRow">${rule.BASE_RULE_ID}.${rule.RULE_VERSION_NBR}</TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${fn:trim(fn:escapeXml(rule.RULE_NAME))} </TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${fn:trim(fn:escapeXml(rule.RULE_TYPE_NAME))} </TD>
                    <TD class="dataRow${status.count%2+1}_tableRow"><fmt:message key="rules.ruleState.${fn:trim(rule.RULE_STATE)}.txt"/> </TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${fn:trim(fn:escapeXml(rule.RULE_DESC))}</TD>
                 </TR>
              </c:forEach>
            </c:if>
           </TBODY>
         </table>
       </div>

   <c:if test="${listInfo.type=='ANALYST'}">
       <c:set var="tabsTop" value="250"/>
       <div id="strategyAreaDiv" style="top:${tabsTop}px;width:100%;overflow:auto;display:none;background-color:#f0f1f2;border-left:1px solid #c6cad0;border-right:1px solid #c6cad0;border-bottom:1px solid #c6cad0;">
         <div class="configurationTableTitle"
              style="width:100%;background-color:#f0f1f2;border-bottom:1px solid #f0f1f2;font-size:x-small;">
            <div style="margin-top:8px;margin-bottom:8px;">
              <b>&nbsp;&nbsp;&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.strategyUsingList.txt"/></b>
            </div>
         </div>

         <table class="mainTable" id="strategyTable" width="98%" align="center" style="border-left:1px solid #C6CAD0;border-right:1px solid #C6CAD0;border-top:1px solid #C6CAD0;border-bottom:1px solid #C6CAD0;margin:-1 0 0 0;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">
           <thead>
             <TR class="tableColumnHeaderRow" >
               <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.tableHeader.strategyId.txt"/></TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.tableHeader.strategyName.txt"/></TH>
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.lookupListDetailContent.rules.tableHeader.strategyDescription.txt"/></TH>
             </TR>
           </thead>
           <TBODY id="strategyTableBody">
            <c:if test="${empty listInfo.strategies}">
              <TR rowspan="2">
                 <TD align="right" style="font-size:8pt;background-color:white;" colspan="100%"><center><br><em><fmt:message key="rules.lookupListDetailContent.rules.table.noStrategies.txt"/></center></em><br></TD>
              </TR>
            </c:if>
            <c:if test="${not empty listInfo.strategies}">
              <c:forEach var="strategy" items="${listInfo.strategies}" varStatus="status">
                 <TR style="cursor:pointer;" id="${status.count}">
                    <TD class="dataRow${status.count%2+1}_tableRow">${strategy.id}</TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${strategy.name} </TD>
                    <TD class="dataRow${status.count%2+1}_tableRow">${strategy.description}</TD>
                 </TR>
              </c:forEach>
            </c:if>
           </TBODY>
         </table>
       </div>
      </c:if>

       <div id="contentsAreaDiv" style="display:;background-color:#f0f1f2;">
         <iframe width="100%" height="300px" id="lookupListContentsFrame" name="lookupListContentsFrame" frameborder="no" style="top:${tabsTop}px;" src="rules/beige.htm"></iframe>
       </div>

     </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan='4'>&nbsp;</td>
   </tr>


</TABLE>

</div>

</div>

<%-- Iframe for avoiding download Runtime Error has occurred Error:Access is denied --%>
<iframe width="0" height="0" id="downloadFrame" name="downloadFrame" src="rules/beige.htm" style="display:none"></iframe>

<script>
   attachEventHandlerToTableCells(['lookupListsTable']);
   showLookupListContents(lookupListName,lookupListInds,lookupListColumns,lookupListType,'1',"lookupListContentsFrame");
   swapGridContentsLook('contentsArea',1);
</script>


