<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#648BB9;
      }



</style>

<script language="JavaScript" src="common/scripts/i18n.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/cf.js"></SCRIPT>
<script language="JavaScript" src="common/scripts/jquery.fcm.dynaform.js"></script>
<script language="JavaScript" src="rules/scripts/estimate.js"></script>
<script language="JavaScript" src="rules/scripts/estimateActions.js"></script>
<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/ruleSasTest.js"></script>
<script language="JavaScript">
//<!--

var action = '<c:url value="/r_rules.do"/>';
var estimateAction = '<c:url value="/r_ruleEstimates.do"/>';
var workflow = "ESTIMATION_USER_allEstimates";
var userId='';
var reloadParams = '?method=listRuleEstimates&userId=${esapi:encodeForURL(userId)}';

parent.sas.fscf.getCurrentDetailToolbar().setContentFor("estimates");

function ignoreReturn(evt)
{
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

var estimateNames = new Array();

<c:forEach var="estimate" items="${estimates}" >
//-->
</script>
   <pre id="estimateName${estimate.id}" style="display:none">${fn:escapeXml(estimate.name)}</pre>
<script>
//<!--
   estimateNames[${estimate.id}] = document.getElementById("estimateName${estimate.id}").innerHTML;
</c:forEach>

//-->
</script>


<%-- <c:choose>
	<c:when test="${empty productName}">
<pre id="tabTitle" style="display:none;">SAS&reg; Fraud Management - <fmt:message key="rules.ruleEstimatesDetailContent.subTitle.rulesEstimation.txt"/></pre>
	</c:when>
	<c:otherwise>
<pre id="tabTitle" style="display:none;">${fn:replace(fn:replace(productName, "<sup>", ""), "</sup>", "")} - <fmt:message key="rules.ruleEstimatesDetailContent.subTitle.rulesEstimation.txt"/></pre>
	</c:otherwise>
</c:choose>
<script language="JavaScript">
  if (parent.document)
    parent.document.title = document.getElementById("tabTitle").innerHTML;
</script> --%>

<script>
parent._estimateIdsFromForeignBusinessUnits = new Array();
<c:forEach var="id" items="${estimateIdsFromForeignBusinessUnits}">
	parent._estimateIdsFromForeignBusinessUnits["${id}"] = true;
</c:forEach>
</script>

<c:set var="userId" value="${userId}"/>

 <span style='height:0.5em'/>
 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=listEstimates&userId=${esapi:encodeForURL(userId)}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>
 </div>

<div id="estimationListTitle" align="left">
<h4>
<c:choose>
 <c:when test="${not empty userId}">
 <fmt:message key="rules.ruleEstimatesDetailContent.table.title.estimationsFor.fmt.txt"><fmt:param>${esapi:encodeForHTML(userId)}</fmt:param></fmt:message>
 </c:when>
 <c:otherwise>
 <fmt:message key="rules.ruleEstimatesDetailContent.table.title.allEstimations.txt"/>
 </c:otherwise>
</c:choose>
</h4>
</div>

<table class="mainTable" id="estimatesTable" width="98%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">
   <thead id='tableHead'>
       <TR class="tableColumnHeaderRow">
         <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.id.txt"/></TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.name.txt"/></TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.status.txt"/></TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.read.txt"/></TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.fired.txt"/></TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.startTime.txt"/></TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsLocalDate>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.endTime.txt"/></TH>
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.options.txt"/></TH>
         <c:if test="${isUsingWildBu}"> <%-- S1010617 --%>
            <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.businessUnit.txt"/></TH>
         </c:if>
         <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.processId.txt"/></TH>
         <c:if test="${empty userId}">
         <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.tableHeader.createdBy.txt"/></TH>
         </c:if>
       </TR>
   </thead>
   <TBODY id="ruleTableBody">
      <c:choose>
      <c:when test="${empty estimates}">
      <TR rowspan="2">
         <TD align="right" style="font-size:10pt;" colspan="100%"><center><em><fmt:message key="rules.ruleEstimatesDetailContent.noEstimation.txt"/></center></em></TD>
      </TR>
      </c:when>
      <c:otherwise>
      <c:forEach var="estimate" items="${estimates}" varStatus="status">
      <TR style="cursor:pointer;" id="${status.count}" class="dataRow${status.count%2+1}_tableRow"
             onClick='handleEstimateRowSelection(${estimate.id}, estimateNames[${estimate.id}], this,"rowSelected", event)';
             ondblclick='showEstimateReport();'>

            <TD class="textTableCell" >&nbsp;${estimate.id}</TD>
            <TD class="textTableCell" >&nbsp;${fn:trim(fn:escapeXml(estimate.name))}</TD>
            <TD class="textTableCell" >&nbsp;<fmt:message key="rules.ruleEstimatesDetailContent.status.${fn:trim(estimate.status)}.txt"/></TD>
            <TD class="textTableCell" >&nbsp;${estimate.transactionCount}</TD>
            <TD class="textTableCell" >&nbsp;${estimate.transactionFiredCount}</TD>
            <TD class="textTableCell" >&nbsp;<span sortValue="${estimate.jobStartTimeUtcMillis}"><fmt:formatDate value='${estimate.jobStartTime}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span></TD>
            <TD class="textTableCell" >&nbsp;<span sortValue="${estimate.jobEndTimeUtcMillis}"><fmt:formatDate value='${estimate.jobEndTime}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span></TD>
            <TD class="textTableCell" >&nbsp;${fn:escapeXml(estimate.options)}</TD>
            <c:if test="${isUsingWildBu}"> <%-- S1010617 --%>
              <TD class="textTableCell" >&nbsp;${fn:trim(fn:escapeXml(estimate.businessUnitName))}</TD>
            </c:if>
            <TD class="textTableCell" >&nbsp;${estimate.jobId}</TD>
            <c:if test="${empty userId}">
            <TD class="textTableCell" > &nbsp;${fn:escapeXml(estimate.createUser)}</TD>
            </c:if>

         </TR>
      </c:forEach>
      </c:otherwise>
      </c:choose>
   </TBODY>
</table>
</div>

<script>
   attachEventHandlerToTableCells(['estimatesTable']);

   <c:if test="${empty sessionScope.transactionLatestDate}">
      var url = '<c:url value="/r_rules.do"/>?method=setDateRange';
      var iframe = document.createElement('iframe');
      (iframe.frameElement || iframe).style.cssText = "width: 0; height: 0; border: 0";
      var where = document.getElementsByTagName('script');
      where = where[where.length - 1];
      where.parentNode.insertBefore(iframe, where);
      var doc = iframe.contentWindow.document;
      doc.open().write('<body onload="'+
        'var js = document.createElement(\'script\');'+
        'js.src = \''+ url +'\';'+
        'document.body.appendChild(js);">');
      doc.close();
   </c:if>

	if(${empty userId})
	    parent.frames[ "overview" ].location.href = action + '?method=listRuleFolders' + '&workflow=' + workflow + '&refresh=true';
	else
		parent.frames[ "overview" ].location.href = action + '?method=listRuleFolders' + '&workflow=ESTIMATION_USER_${userId}&userId=${userId}&refresh=true';

</script>
