<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }



</style>

<script language="JavaScript" src='common/scripts/jquery.js'></script>
<script language="JavaScript" src='common/scripts/i18n.js'></script>
<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/variables.js"></script>
<script language="JavaScript" src="rules/scripts/segments.js"></script>
<script language="JavaScript">
//<!--

var action = '<c:url value="/r_rules.do"/>';
var variableAction = '<c:url value="/r_variables.do"/>';
var workflow = '${definer}_${activity}_${segment}_variables';
var definer = '${definer}';
var activity = '${activity}';
var segment = '${segment}';
var segmorgid = '${segmorgid}';
var depth = '${depth}';
var variableId = '${variableInfo.segmentFieldId}';
var variableUpNbr = '${variableInfo.lstUpdtNbr}';
var variableName = '${variableInfo.fieldName}';

function ignoreReturn(evt)
{
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

//-->
</script>


 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=viewVariable&variableId=${variableInfo.segmentFieldId}&variableUpNbr=${variableInfo.lstUpdtNbr}&definer=${definer}&activity=${activity}&segment=${segment}&segmorgid=${segmorgid}&depth=${depth}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>
 </div>

<br><br>


<div>
<TABLE name="variableInfoTable" class="configurationTable" style="border:2px solid #e0e2e5;margin-left:10px" cellspacing="0" cellpadding="2" border="0" >

   <tr align="left" valign="top" >
     <th colspan="5" class="configurationTableTitle" >&nbsp;<fmt:message key="rules.variables.${definer}.details.txt" /><br>&nbsp;</th>
   </tr>

   <tr class="configurationTableDataRow" valign="top" style="height:10px;">
     <td colspan="5">  </td>
   </tr>

   <c:choose>
   <c:when test="${definer=='system'}">
     <tr class="configurationTableDataRow" valign="top">
       <td nowrap><fmt:message key="variable.variableUpdateContent.name.txt" />:</td>
       <td colspan='3'>${variableInfo.fieldName}</td>
       <td>&nbsp;</td>
     </tr>
     <tr class="configurationTableDataRow" valign="top">
       <td nowrap><fmt:message key="variable.variableUpdateContent.businessUnit.txt" />:</td>
       <td colspan='3'>${variableInfo.fieldBusinessName}</td>
       <td>&nbsp;</td>
     </tr>
   </c:when>
   <c:otherwise>
     <tr class="configurationTableDataRow" valign="top">
       <td nowrap><fmt:message key="variable.variableUpdateContent.name.txt" />:</td>
       <td colspan='3'>${variableInfo.fieldBusinessName}</td>
       <td>&nbsp;</td>
     </tr>
     <tr class="configurationTableDataRow" valign="top">
       <td nowrap><fmt:message key="variable.variableUpdateContent.dataPop.txt" />:</td>
       <td colspan='3'>${variableInfo.dataPopValue}</td>
       <td>&nbsp;</td>
     </tr>
   </c:otherwise>
   </c:choose>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableUpdateContent.type.txt" />:</td>
     <c:if test="${!variableInfo.numeric}">
       <td colspan="3">${variableInfo.fieldLength} <fmt:message key="variable.variablesDetailContent.${fn:toLowerCase(fn:trim(fn:escapeXml(variableInfo.variableType)))}.type.txt"/></td>
     </c:if>
     <c:if test="${variableInfo.numeric}">
       <td colspan="3"> <fmt:message key="variable.variablesDetailContent.${fn:toLowerCase(fn:trim(fn:escapeXml(variableInfo.variableType)))}.type.txt"/></td>
     </c:if>
     <td>&nbsp;</td>
   </tr>

<c:if test="${definer=='V' || definer=='I'}">
   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableUpdateContent.initialValue.txt" />:</td>
     <td colspan='3'>
        <c:if test="${fn:trim(variableInfo.segmentAcronym)!='RUA'}">
           <c:if test="${empty fn:trim(variableInfo.initialValue)}"><i><fmt:message key="variable.variableDetailContent.none.txt" /></i></c:if>
           <c:if test="${not empty fn:trim(variableInfo.initialValue)}">${esapi:encodeForHTML(variableInfo.initialValue)}</c:if></td>
       </c:if>
        <c:if test="${fn:trim(variableInfo.segmentAcronym)=='RUA'}">
           <i><fmt:message key="variable.variableUpdateContent.na.txt" /></i>
       </c:if>
     <td>&nbsp;</td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableUpdateContent.maskingType.txt" />:</td>
       <td colspan="3">${variableInfo.maskingType}</td>
     <td>&nbsp;</td>
   </tr>
</c:if>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableUpdateContent.description.txt" />:</td>
     <td colspan='3'><c:if test="${empty fn:trim(variableInfo.desc)}"><i><fmt:message key="variable.variableDetailContent.none.txt" /></i></c:if>
                     <c:if test="${not empty fn:trim(variableInfo.desc)}">${variableInfo.desc}</c:if></td>
     <td>&nbsp;</td>
   </tr>

   <pre id="segmentAcronym" style="display:none;">${variableInfo.segmentAcronym}</pre>
   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableUpdateContent.segment.txt" />:</td>
     <td>${fn:trim(variableInfo.segmentAcronym)}: ${variableInfo.segmentDesc}</td>
     <td nowrap><c:if test="${definer=='V' && fn:trim(variableInfo.segmentAcronym)!='RUA'}"><fmt:message key="variable.variableUpdateContent.businessUnit.txt" />:</c:if></td> <%-- S1010617 --%>
     <td><c:if test="${definer=='V' && fn:trim(variableInfo.segmentAcronym)!='RUA'}">${variableInfo.businessUnitName}</c:if></td> <%-- S1010617 --%>
     <td>&nbsp;</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableDetailContent.components.txt" />:</td>

     <td <c:if test="${definer!='V' || (fn:trim(variableInfo.segmentAcronym)=='RUA' && (!variableInfo.candidateForModeling))}"> colspan='3' </c:if> >
       <c:set var="sep" value=","/>
       <c:forEach var="comp" items="${variableInfo.components}" varStatus='stat'>
          <c:if test="${stat.count==1}">
             ${fn:trim(comp.componentType)}:
          </c:if>
          <c:if test="${stat.last || fn:trim(comp.componentValue)=='TRX'}">
             <c:set var="sep" value=""/>
          </c:if>
          <c:if test="${fn:trim(comp.componentValue)!='CMD' && fn:trim(comp.componentValue)!='MON'}">
            ${fn:trim(comp.componentValueName)} (${fn:trim(comp.componentValue)})${sep}
          </c:if>
       </c:forEach>
       <br>&nbsp;
     </td>

     <c:if test="${variableInfo.candidateForModeling && variableInfo.segmentAcronym=='RUA'}">
       <td nowrap><fmt:message key="variable.variableDetailContent.usedToSplitTransactions.txt" />:</td>
       <td><c:choose><c:when test="${variableInfo.exposedForModeling == '1'}"><fmt:message key="variable.variableDetailContent.yes.txt" /></c:when><c:otherwise><fmt:message key="variable.variableDetailContent.no.txt" /></c:otherwise></c:choose></td>
     </c:if>
     <td>&nbsp;</td>
   </tr>

<c:if test="${definer=='V'}">
  <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableUpdateContent.messageAlias.txt" />:</td>
     <td>${fn:toUpperCase(variableInfo.fieldName)}</td>
     <td nowrap><fmt:message key="variable.variableUpdateContent.deploymentBuildNumber.txt" />:</td>
     <c:if test="${variableInfo.hasBeenBuilt}">
        <td>${variableInfo.buildId}</td>
     </c:if>
     <c:if test="${!variableInfo.hasBeenBuilt}">
        <td><i><fmt:message key="variable.variableUpdateContent.na.txt" /></i></td>
     </c:if>
     <td>&nbsp;</td>
  </tr>
</c:if>

  <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableUpdateContent.created.txt" />:</td>
     <td style="width:45%;" nowrap><fmt:formatDate value='${variableInfo.createTimestamp}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/>&nbsp;<fmt:message key="variable.variableDetailContent.byUser.fmt.txt"><fmt:param>${variableInfo.createUser}</fmt:param></fmt:message> </td> <%-- S1010617 --%>
     <td nowrap><fmt:message key="variable.variableUpdateContent.testingRuleUseCount.txt" />:</td>
     <td>${variableInfo.testUseCount}</td>
     <td>&nbsp;</td>
  </tr>

  <tr class="configurationTableDataRow" valign="top">
     <td nowrap><fmt:message key="variable.variableUpdateContent.updated.txt" />:</td>
     <td nowrap><fmt:formatDate value='${variableInfo.lstUpdtTimestamp}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/>&nbsp;<fmt:message key="variable.variableDetailContent.byUser.fmt.txt"><fmt:param>${variableInfo.lstUpdtUser}</fmt:param></fmt:message></td> <%-- S1010617 --%>
     <td nowrap><fmt:message key="variable.variableUpdateContent.productionRuleUseCount.txt" />:</td>
     <td>${variableInfo.prodUseCount}</td>
     <td>&nbsp;</td>
  </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan='5'>&nbsp;</td>
   </tr>

   <tr align="left" valign="top" >
     <td colspan="5" class="configurationTableSection" ><fmt:message key="variable.variableDetailContent.rulesUsingThisVariable.txt" /></td>
   </tr>


   <tr class="configurationTableDataRow" valign="top">
    <td colspan="4" class="configurationTableDataRow" >
      <div align="left" style="width:100%;">
        <div style="float:left">
        </div>
        <div style="float:right;font-weight:normal;">
          <c:if test="${depth=='full'}"><a style="font-weight:normal;" href="javascript:showHideDepthRules()" title="<esapi:encodeForHTMLAttribute><fmt:message key='variable.variableDetailContent.table.suppressPrompt.txt' /></esapi:encodeForHTMLAttribute>"><fmt:message key="variable.variableDetailContent.table.less.txt" />&nbsp;<img border="0" src="images/rules/chevrons-left.gif"></a>&nbsp;</c:if>
          <c:if test="${depth!='full'}"><a style="font-weight:normal;" href="javascript:showHideDepthRules()" title="<esapi:encodeForHTMLAttribute><fmt:message key='variable.variableDetailContent.table.expandPrompt.txt' /></esapi:encodeForHTMLAttribute>"><fmt:message key="variable.variableDetailContent.table.more.txt" />&nbsp;<img border="0" src="images/rules/chevrons-right.gif"></a>&nbsp;</c:if>
        </div>
      </div>
      <br>

      <table class="mainTable" id="variablesTable" width="100%" align="left" style="margin:0px 0px 0px 0px;-moz-user-select:none;" onselectstart="return false;" border="0" cellspacing="0" cellpadding="0">
         <thead>
           <TR class="tableColumnHeaderRow" >
             <TH class="centeredTableHeader" nowrap rules:sortAsNum>&nbsp;<fmt:message key="variable.variableDetailContent.tableHeader.ruleId.txt" /></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="variable.variableDetailContent.tableHeader.ruleName.txt" /></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="variable.variableDetailContent.tableHeader.ruleType.txt" /></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="variable.variableDetailContent.tableHeader.businessUnit.txt" /></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="variable.variableDetailContent.tableHeader.ruleState.txt" /></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="variable.variableDetailContent.tableHeader.queueName.txt" /></TH>
             <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="variable.variableDetailContent.tableHeader.ruleDescription.txt" /></TH>
             <c:if test="${depth=='full'}">
               <TH class="centeredTableHeader" nowrap rules:sortAsText>&nbsp;<fmt:message key="variable.variableDetailContent.tableHeader.ruleCode.txt" /></TH>
             </c:if>
           </TR>
         </thead>
         <TBODY id="ruleTableBody">
          <c:if test="${empty variableInfo.rules}">
            <TR rowspan="2">
               <TD align="right" style="font-size:0.79rem;" colspan="100%"><center><em><fmt:message key="variable.variableDetailContent.table.noRulesUsingVariable.txt" />.</center></em></TD>
            </TR>
          </c:if>
          <c:if test="${not empty variableInfo.rules}">
            <c:forEach var="rule" items="${variableInfo.rules}" varStatus="status">
               <%-- Not honoring color alternation in css dataRow${status.count%2+1}_tableRow, so do it by hand --%>
               <c:set var="bgcolor" value="white"/>
               <c:if test="${status.count%2==0}"><c:set var="bgcolor" value="#f0f1f2"/></c:if>
               <TR id="${status.count}" class="dataRow${status.count%2+1}_tableRow" >
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${rule.BASE_RULE_ID}.${rule.RULE_VERSION_NBR}</TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_NAME))} </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_TYPE_NAME))} </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.BUSINESS_UNIT_NAME))} </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_STATE))} </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >
                     <c:if test="${empty rule.QUEUE_NAME}">N/A</c:if>
                     <c:if test="${not empty rule.QUEUE_NAME}">${fn:trim(fn:escapeXml(rule.QUEUE_NAME))}</c:if>
                  </TD>
                  <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" >${fn:trim(fn:escapeXml(rule.RULE_DESC))}</TD>
                  <c:if test="${depth=='full'}">
                     <TD style="background-color:${bgcolor};vertical-align:top;" class="textTableCell" ><pre style="font-size:xx-small;">${fn:trim(fn:escapeXml(rule.RULE_CODE))}</pre></TD>
                  </c:if>
               </TR>
            </c:forEach>
          </c:if>
         </TBODY>
      </table>
    </td>
    <td> &nbsp; </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan="5"> &nbsp; </td>
   </tr>

</TABLE>

</div>

</div>



<script>
   attachEventHandlerToTableCells(['variablesTable']);
</script>


