---------------
-- Change FMX_PARTITION_DEFINITION Entries to IXX from YXX
---------------

update fmx_partition_definition set table_name=replace(table_name,'YXX','IXX') where table_name like '%YXX%';
commit;


---------------
-- Insert FMX_PARTITION_DEFINITION Entries for OXX
---------------
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_NAMF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSAE_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CCSH_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSCK_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSNM_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSCW_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCCP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSMF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CCCA_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCCA_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_MANM_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLCW_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLCA_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLCK_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_BRST_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_NAMO_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_MAFM_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCMF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLNM_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCSH_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSBF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CCBF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSDP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSCA_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCBF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CCNM_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_NAMP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_NAME_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSAB_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLCP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCCK_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCDP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCNM_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CCMF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_MAMF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSCP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLDP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_LCCW_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLMF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CCDP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLSH_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CCCP_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_SLBF_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_NANM_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
insert into fmx_partition_definition  (TABLE_NAME,GRANULARITY,GRANULARITY_UNIT,PARTITION_COUNT, PARTITION_DATATYPE,LOCKTIMEOUT_RETRY_COUNT,PREVIEW_ONLY_IND,SKIP_SANITY_CHECK_IND,  DETACH_WAIT_SEC) values ('FCM_CSSH_OXX', 1, 'WEEK',3,'TIMESTAMP',3,'0','0',2 );
commit;
---------------------------------------------------------------------------------
--
-- Insert version release 4.4.0.2 and API Release 04.04.03
--
---------------------------------------------------------------------------------

merge into FCM_VERSION p
USING TABLE(values('TDR Base DDL', '4.4.0.2'))
                     ac(VERSION_NAME , VERSION_NUM)
                  ON (p.VERSION_NAME = ac.VERSION_NAME
                      AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT)
VALUES (
        'TDR Base DDL', '4.4.0.2', current_date, '4.4 M0 HF2 DDL', 'TDR DDL')
;

commit;

merge into FCM_VERSION p
USING TABLE(values('Message API', '04.04.03'))
                     ac(VERSION_NAME , VERSION_NUM)
                  ON (p.VERSION_NAME = ac.VERSION_NAME
                      AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT)
VALUES 
	('Message API', '04.04.03', current date, 'API for MetaData and Transaction tables ', 'DDL');

commit;
