
-----------------------------------------------
-- DDL Statements for table FCM_BRST_OXX
------------------------------------------------

CREATE TABLE FCM_BRST_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_BRST_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CCBF_OXX
------------------------------------------------

CREATE TABLE FCM_CCBF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CCBF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CCCA_OXX
------------------------------------------------

CREATE TABLE FCM_CCCA_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CCCA_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CCCP_OXX
------------------------------------------------

CREATE TABLE FCM_CCCP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CCCP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CCDP_OXX
------------------------------------------------

CREATE TABLE FCM_CCDP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CCDP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CCMF_OXX
------------------------------------------------

CREATE TABLE FCM_CCMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CCMF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CCNM_OXX
------------------------------------------------

CREATE TABLE FCM_CCNM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CCNM_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CCSH_OXX
------------------------------------------------

CREATE TABLE FCM_CCSH_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CCSH_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSAB_OXX
------------------------------------------------

CREATE TABLE FCM_CSAB_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSAB_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSAE_OXX
------------------------------------------------

CREATE TABLE FCM_CSAE_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSAE_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSBF_OXX
------------------------------------------------

CREATE TABLE FCM_CSBF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSBF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSCA_OXX
------------------------------------------------

CREATE TABLE FCM_CSCA_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSCA_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSCK_OXX
------------------------------------------------

CREATE TABLE FCM_CSCK_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSCK_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSCP_OXX
------------------------------------------------

CREATE TABLE FCM_CSCP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSCP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSCW_OXX
------------------------------------------------

CREATE TABLE FCM_CSCW_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSCW_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSDP_OXX
------------------------------------------------

CREATE TABLE FCM_CSDP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSDP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSMF_OXX
------------------------------------------------

CREATE TABLE FCM_CSMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSMF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSNM_OXX
------------------------------------------------

CREATE TABLE FCM_CSNM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSNM_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_CSSH_OXX
------------------------------------------------

CREATE TABLE FCM_CSSH_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_CSSH_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCBF_OXX
------------------------------------------------

CREATE TABLE FCM_LCBF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCBF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCCA_OXX
------------------------------------------------

CREATE TABLE FCM_LCCA_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCCA_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCCK_OXX
------------------------------------------------

CREATE TABLE FCM_LCCK_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCCK_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCCP_OXX
------------------------------------------------

CREATE TABLE FCM_LCCP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCCP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCCW_OXX
------------------------------------------------

CREATE TABLE FCM_LCCW_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCCW_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCDP_OXX
------------------------------------------------

CREATE TABLE FCM_LCDP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCDP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCMF_OXX
------------------------------------------------

CREATE TABLE FCM_LCMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCMF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCNM_OXX
------------------------------------------------

CREATE TABLE FCM_LCNM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCNM_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_LCSH_OXX
------------------------------------------------

CREATE TABLE FCM_LCSH_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_LCSH_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_MAFM_OXX
------------------------------------------------

CREATE TABLE FCM_MAFM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_MAFM_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_MAMF_OXX
------------------------------------------------

CREATE TABLE FCM_MAMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_MAMF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_MANM_OXX
------------------------------------------------

CREATE TABLE FCM_MANM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_MANM_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_NAME_OXX
------------------------------------------------

CREATE TABLE FCM_NAME_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_NAME_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_NAMF_OXX
------------------------------------------------

CREATE TABLE FCM_NAMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_NAMF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_NAMO_OXX
------------------------------------------------

CREATE TABLE FCM_NAMO_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_NAMO_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_NAMP_OXX
------------------------------------------------

CREATE TABLE FCM_NAMP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_NAMP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_NANM_OXX
------------------------------------------------

CREATE TABLE FCM_NANM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_NANM_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLBF_OXX
------------------------------------------------

CREATE TABLE FCM_SLBF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLBF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLCA_OXX
------------------------------------------------

CREATE TABLE FCM_SLCA_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLCA_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLCK_OXX
------------------------------------------------

CREATE TABLE FCM_SLCK_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLCK_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLCP_OXX
------------------------------------------------

CREATE TABLE FCM_SLCP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLCP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLCW_OXX
------------------------------------------------

CREATE TABLE FCM_SLCW_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLCW_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLDP_OXX
------------------------------------------------

CREATE TABLE FCM_SLDP_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLDP_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLMF_OXX
------------------------------------------------

CREATE TABLE FCM_SLMF_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLMF_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLNM_OXX
------------------------------------------------

CREATE TABLE FCM_SLNM_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLNM_OXX_32K
/
show errors;


-----------------------------------------------
-- DDL Statements for table FCM_SLSH_OXX
------------------------------------------------

CREATE TABLE FCM_SLSH_OXX (
	RQO_PROC_UTC_DATETIME TIMESTAMP  NOT NULL 
,	CMX_TRAN_ID NUMERIC(19)  NOT NULL 
,	CMX_CREATE_TIMESTAMP TIMESTAMP   
,	SMH_MULTI_ORG_NODE_KEY VARCHAR2(6)  NOT NULL 
,	ENCODING VARCHAR2(1)   
,	OXX_ID VARCHAR2(2)  NOT NULL 
,	OXX_SEG_ID_VERSION VARCHAR2(8)   
,	OXX_VARIABLE_DATA_LENGTH NUMERIC(10)   
,	OXX_BUILD_NUM NUMERIC(10)   
,	OXX_EXECUTION_BUILD_NUM NUMERIC(10)   
,	VARIABLE_DATA_00 VARCHAR2(4000)   
,	VARIABLE_DATA_01 VARCHAR2(4000)   
,	VARIABLE_DATA_02 VARCHAR2(4000)   
,	VARIABLE_DATA_03 VARCHAR2(4000)   
,	VARIABLE_DATA_04 VARCHAR2(4000)   
,	VARIABLE_DATA_05 VARCHAR2(4000)   
,	VARIABLE_DATA_06 VARCHAR2(4000)   
,	VARIABLE_DATA_07 VARCHAR2(4000)   
) TABLESPACE TS_SLSH_OXX_32K
/
show errors;


CREATE UNIQUE INDEX PKX_BRST_OXX 
 ON FCM_BRST_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_BRST_OXX_32K
/
show errors;

CREATE  INDEX NDX2_BRST_OXX 
 ON FCM_BRST_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_BRST_OXX_32K
/
show errors;


CREATE  INDEX NDX1_CCBF_OXX 
 ON FCM_CCBF_OXX ( RQO_PROC_UTC_DATETIME  ) 
TABLESPACE IX_CCBF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CCBF_OXX 
 ON FCM_CCBF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CCBF_OXX_32K
/
show errors;

CREATE UNIQUE INDEX PKX_CCBF_OXX 
 ON FCM_CCBF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CCBF_OXX_32K
/
show errors;




CREATE UNIQUE INDEX PKX_CCCA_OXX 
 ON FCM_CCCA_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CCCA_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CCCA_OXX 
 ON FCM_CCCA_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CCCA_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CCCP_OXX 
 ON FCM_CCCP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CCCP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CCCP_OXX 
 ON FCM_CCCP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CCCP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CCDP_OXX 
 ON FCM_CCDP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CCDP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CCDP_OXX 
 ON FCM_CCDP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CCDP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CCMF_OXX 
 ON FCM_CCMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CCMF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CCMF_OXX 
 ON FCM_CCMF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CCMF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CCNM_OXX 
 ON FCM_CCNM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CCNM_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CCNM_OXX 
 ON FCM_CCNM_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CCNM_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CCSH_OXX 
 ON FCM_CCSH_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CCSH_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CCSH_OXX 
 ON FCM_CCSH_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CCSH_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSAB_OXX 
 ON FCM_CSAB_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSAB_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSAB_OXX 
 ON FCM_CSAB_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSAB_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSAE_OXX 
 ON FCM_CSAE_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSAE_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSAE_OXX 
 ON FCM_CSAE_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSAE_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSBF_OXX 
 ON FCM_CSBF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSBF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSBF_OXX 
 ON FCM_CSBF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSBF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSCA_OXX 
 ON FCM_CSCA_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSCA_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSCA_OXX 
 ON FCM_CSCA_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSCA_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSCK_OXX 
 ON FCM_CSCK_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSCK_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSCK_OXX 
 ON FCM_CSCK_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSCK_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSCP_OXX 
 ON FCM_CSCP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSCP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSCP_OXX 
 ON FCM_CSCP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSCP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSCW_OXX 
 ON FCM_CSCW_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSCW_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSCW_OXX 
 ON FCM_CSCW_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSCW_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSDP_OXX 
 ON FCM_CSDP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSDP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSDP_OXX 
 ON FCM_CSDP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSDP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSMF_OXX 
 ON FCM_CSMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSMF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSMF_OXX 
 ON FCM_CSMF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSMF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSNM_OXX 
 ON FCM_CSNM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSNM_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSNM_OXX 
 ON FCM_CSNM_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSNM_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_CSSH_OXX 
 ON FCM_CSSH_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_CSSH_OXX_32K
/
show errors;

CREATE  INDEX NDX2_CSSH_OXX 
 ON FCM_CSSH_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_CSSH_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCBF_OXX 
 ON FCM_LCBF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCBF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCBF_OXX 
 ON FCM_LCBF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCBF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCCA_OXX 
 ON FCM_LCCA_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCCA_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCCA_OXX 
 ON FCM_LCCA_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCCA_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCCK_OXX 
 ON FCM_LCCK_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCCK_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCCK_OXX 
 ON FCM_LCCK_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCCK_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCCP_OXX 
 ON FCM_LCCP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCCP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCCP_OXX 
 ON FCM_LCCP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCCP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCCW_OXX 
 ON FCM_LCCW_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCCW_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCCW_OXX 
 ON FCM_LCCW_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCCW_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCDP_OXX 
 ON FCM_LCDP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCDP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCDP_OXX 
 ON FCM_LCDP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCDP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCMF_OXX 
 ON FCM_LCMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCMF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCMF_OXX 
 ON FCM_LCMF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCMF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCNM_OXX 
 ON FCM_LCNM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCNM_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCNM_OXX 
 ON FCM_LCNM_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCNM_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_LCSH_OXX 
 ON FCM_LCSH_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_LCSH_OXX_32K
/
show errors;

CREATE  INDEX NDX2_LCSH_OXX 
 ON FCM_LCSH_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_LCSH_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_MAFM_OXX 
 ON FCM_MAFM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_MAFM_OXX_32K
/
show errors;

CREATE  INDEX NDX2_MAFM_OXX 
 ON FCM_MAFM_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_MAFM_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_MAMF_OXX 
 ON FCM_MAMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_MAMF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_MAMF_OXX 
 ON FCM_MAMF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_MAMF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_MANM_OXX 
 ON FCM_MANM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_MANM_OXX_32K
/
show errors;

CREATE  INDEX NDX2_MANM_OXX 
 ON FCM_MANM_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_MANM_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_NAME_OXX 
 ON FCM_NAME_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_NAME_OXX_32K
/
show errors;

CREATE  INDEX NDX2_NAME_OXX 
 ON FCM_NAME_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_NAME_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_NAMF_OXX 
 ON FCM_NAMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_NAMF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_NAMF_OXX 
 ON FCM_NAMF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_NAMF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_NAMO_OXX 
 ON FCM_NAMO_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_NAMO_OXX_32K
/
show errors;

CREATE  INDEX NDX2_NAMO_OXX 
 ON FCM_NAMO_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_NAMO_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_NAMP_OXX 
 ON FCM_NAMP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_NAMP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_NAMP_OXX 
 ON FCM_NAMP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_NAMP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_NANM_OXX 
 ON FCM_NANM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_NANM_OXX_32K
/
show errors;

CREATE  INDEX NDX2_NANM_OXX 
 ON FCM_NANM_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_NANM_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLBF_OXX 
 ON FCM_SLBF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLBF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLBF_OXX 
 ON FCM_SLBF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLBF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLCA_OXX 
 ON FCM_SLCA_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLCA_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLCA_OXX 
 ON FCM_SLCA_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLCA_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLCK_OXX 
 ON FCM_SLCK_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLCK_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLCK_OXX 
 ON FCM_SLCK_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLCK_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLCP_OXX 
 ON FCM_SLCP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLCP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLCP_OXX 
 ON FCM_SLCP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLCP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLCW_OXX 
 ON FCM_SLCW_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLCW_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLCW_OXX 
 ON FCM_SLCW_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLCW_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLDP_OXX 
 ON FCM_SLDP_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLDP_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLDP_OXX 
 ON FCM_SLDP_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLDP_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLMF_OXX 
 ON FCM_SLMF_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLMF_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLMF_OXX 
 ON FCM_SLMF_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLMF_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLNM_OXX 
 ON FCM_SLNM_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLNM_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLNM_OXX 
 ON FCM_SLNM_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLNM_OXX_32K
/
show errors;



CREATE UNIQUE INDEX PKX_SLSH_OXX 
 ON FCM_SLSH_OXX ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )  REVERSE
TABLESPACE IX_SLSH_OXX_32K
/
show errors;

CREATE  INDEX NDX2_SLSH_OXX 
 ON FCM_SLSH_OXX ( CMX_CREATE_TIMESTAMP  ) 
TABLESPACE IX_SLSH_OXX_32K
/
show errors;


ALTER TABLE FCM_BRST_OXX 
     ADD CONSTRAINT PKX_BRST_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CCBF_OXX 
     ADD CONSTRAINT PKX_CCBF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CCCA_OXX 
     ADD CONSTRAINT PKX_CCCA_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CCCP_OXX 
     ADD CONSTRAINT PKX_CCCP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CCDP_OXX 
     ADD CONSTRAINT PKX_CCDP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CCMF_OXX 
     ADD CONSTRAINT PKX_CCMF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CCNM_OXX 
     ADD CONSTRAINT PKX_CCNM_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CCSH_OXX 
     ADD CONSTRAINT PKX_CCSH_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSAB_OXX 
     ADD CONSTRAINT PKX_CSAB_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSAE_OXX 
     ADD CONSTRAINT PKX_CSAE_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSBF_OXX 
     ADD CONSTRAINT PKX_CSBF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSCA_OXX 
     ADD CONSTRAINT PKX_CSCA_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSCK_OXX 
     ADD CONSTRAINT PKX_CSCK_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSCP_OXX 
     ADD CONSTRAINT PKX_CSCP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSCW_OXX 
     ADD CONSTRAINT PKX_CSCW_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSDP_OXX 
     ADD CONSTRAINT PKX_CSDP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSMF_OXX 
     ADD CONSTRAINT PKX_CSMF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSNM_OXX 
     ADD CONSTRAINT PKX_CSNM_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_CSSH_OXX 
     ADD CONSTRAINT PKX_CSSH_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCBF_OXX 
     ADD CONSTRAINT PKX_LCBF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCCA_OXX 
     ADD CONSTRAINT PKX_LCCA_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCCK_OXX 
     ADD CONSTRAINT PKX_LCCK_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCCP_OXX 
     ADD CONSTRAINT PKX_LCCP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCCW_OXX 
     ADD CONSTRAINT PKX_LCCW_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCDP_OXX 
     ADD CONSTRAINT PKX_LCDP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCMF_OXX 
     ADD CONSTRAINT PKX_LCMF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCNM_OXX 
     ADD CONSTRAINT PKX_LCNM_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_LCSH_OXX 
     ADD CONSTRAINT PKX_LCSH_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_MAFM_OXX 
     ADD CONSTRAINT PKX_MAFM_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_MAMF_OXX 
     ADD CONSTRAINT PKX_MAMF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_MANM_OXX 
     ADD CONSTRAINT PKX_MANM_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_NAME_OXX 
     ADD CONSTRAINT PKX_NAME_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_NAMF_OXX 
     ADD CONSTRAINT PKX_NAMF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_NAMO_OXX 
     ADD CONSTRAINT PKX_NAMO_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_NAMP_OXX 
     ADD CONSTRAINT PKX_NAMP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_NANM_OXX 
     ADD CONSTRAINT PKX_NANM_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLBF_OXX 
     ADD CONSTRAINT PKX_SLBF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLCA_OXX 
     ADD CONSTRAINT PKX_SLCA_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLCK_OXX 
     ADD CONSTRAINT PKX_SLCK_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLCP_OXX 
     ADD CONSTRAINT PKX_SLCP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLCW_OXX 
     ADD CONSTRAINT PKX_SLCW_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLDP_OXX 
     ADD CONSTRAINT PKX_SLDP_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLMF_OXX 
     ADD CONSTRAINT PKX_SLMF_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLNM_OXX 
     ADD CONSTRAINT PKX_SLNM_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


ALTER TABLE FCM_SLSH_OXX 
     ADD CONSTRAINT PKX_SLSH_OXX PRIMARY KEY ( OXX_ID,CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )
/
show errors;
 


