
---------------
-- Update Version table
---------------

merge into fcm_version p
USING (select 'TDR Base DDL' as VERSION_NAME,'4.4.0.2' as VERSION_NUM from dual) ac
                  ON (p.VERSION_NAME = ac.VERSION_NAME AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) 
VALUES (
 	'TDR Base DDL', '4.4.0.2', current_date, '4.4 M0 HF2 DDL', 'TDR DDL')
;
commit;

merge into fcm_version p
USING (select 'Message API' as VERSION_NAME,'04.04.03' as VERSION_NUM from dual) ac
                  ON (p.VERSION_NAME = ac.VERSION_NAME AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) 
VALUES (
 	'Message API', '04.04.03', current_date, 'API for MetaData and Transaction tables ', 'DDL')
;
commit;

